#!/bin/sh

# Licensed Materials - Property of IBM
# 5648-AE1  
# (c) Copyright IBM Corp. 2014.
# Version:1.10
#argument checking
if [ $# -ne 2 ]
then
    echo "Error in $0 - Invalid Argument Count"
    echo "Syntax: $0 old_IP new_IP"
    exit
fi

#assign arguments
oldIP=$1
newIP=$2

#check arguments are IP addresses
regex="\b(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\b"
CHECK=$(echo $oldIP | egrep $regex)
if [ "$?" != "0" ]; then
        echo invalid old IP address
        exit 8
fi
CHECK=$(echo $newIP | egrep $regex)
if [ "$?" != "0" ]; then
        echo invalid new IP address
        exit 8
fi

#check that the old ip exists in the jnlp
CHECK=`cat /usr/wave/GUI/WAVE.jnlp | grep -c $oldIP`
if [ "$CHECK" == "0" ]; then
        echo incorrect old IP address
        exit 8
fi

#check that the old and new ip are different
if [ "$oldIP" == "$newIP" ]; then
        echo old and new IP addresses are the same. ignoring.
        exit 0
fi

#do actual change
cd /usr/wave/GUI
sed -i s/$oldIP/$newIP/g /usr/wave/GUI/WAVE.jnlp
sed -i s/$oldIP/$newIP/g /usr/wave/GUI/TestAPI.jnlp
