CREATE DATABASE WAVE;
USE WAVE;
SET FOREIGN_KEY_CHECKS=0;
         
-- MySQL dump 9.11
--
-- Host: localhost    Database: WAVE_DEPLOY_110
-- ------------------------------------------------------
-- Server version	4.0.30

--
-- Table structure for table `AGC_Entry_Table`
--

CREATE TABLE AGC_Entry_Table (
  AGC_Entry_ID int(11) NOT NULL auto_increment,
  AGC_Entry_Value varchar(255) NOT NULL default '',
  AGC_Entry_Short_Description varchar(255) NOT NULL default '',
  AGC_Entry_Long_Description text NOT NULL,
  AGC_Entry_XML text NOT NULL,
  AGC_Entry_Status int(10) unsigned NOT NULL default '0',
  AGC_Entry_IAN text NOT NULL,
  AGC_Entry_Locker varchar(255) NOT NULL default '',
  AGC_Entry_Create_User varchar(255) NOT NULL default '',
  AGC_Entry_Create_TimeStamp datetime NOT NULL default '0000-00-00 00:00:00',
  AGC_Entry_Update_User varchar(255) NOT NULL default '',
  AGC_Entry_Update_TimeStamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (AGC_Entry_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `AGC_Entry_Table`
--


--
-- Table structure for table `BTS_Request_Statistics_Table`
--

CREATE TABLE BTS_Request_Statistics_Table (
  Entry_ID bigint(20) unsigned NOT NULL auto_increment,
  Request_Initiator varchar(255) NOT NULL default '',
  Request_Type varchar(255) NOT NULL default '',
  Request_Parameters varchar(45) NOT NULL default '',
  Run_Count bigint(20) unsigned NOT NULL default '0',
  Error_Count bigint(20) unsigned NOT NULL default '0',
  Last_Run datetime NOT NULL default '0000-00-00 00:00:00',
  Last_Error datetime NOT NULL default '0000-00-00 00:00:00',
  Last_Reset datetime NOT NULL default '0000-00-00 00:00:00',
  Permanent_Ignore tinyint(4) NOT NULL default '0',
  Temporary_Ignore tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (Entry_ID),
  UNIQUE KEY Request_Type (Request_Type,Request_Parameters),
  KEY Request_Initiator_Idx (Request_Initiator),
  CONSTRAINT `Initiator_fk` FOREIGN KEY (`Request_Initiator`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `request_fk` FOREIGN KEY (`Request_Type`, `Request_Parameters`) REFERENCES `BTS_Schedule_Table` (`BTS_Schedule_Entry_Workunit_Request`, `BTS_Schedule_Entry_Workunit_Parameters`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `BTS_Request_Statistics_Table`
--

INSERT INTO BTS_Request_Statistics_Table VALUES (1,'WAVEinit','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestCleanWorkunit','',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,0);
INSERT INTO BTS_Request_Statistics_Table VALUES (2,'WAVEinit','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestUpdateWAVESRVStatus','',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,0);
INSERT INTO BTS_Request_Statistics_Table VALUES (3,'WAVEinit','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestUpdateWAVEUsers','',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00',0,0);

--
-- Table structure for table `BTS_Request_Table`
--

CREATE TABLE BTS_Request_Table (
  Request_Class varchar(255) NOT NULL default '',
  Request_Type varchar(255) NOT NULL default '',
  Request_Parameters text NOT NULL,
  Request_Workunit_ID varchar(50) NOT NULL default '',
  Request_Status enum('Pending','Active','Done','Terminated','Scheduled','Skipped') NOT NULL default 'Pending',
  Request_Final_RC int(11) default NULL,
  Request_ID varchar(50) NOT NULL default '',
  Request_Step_Num int(10) unsigned NOT NULL default '0',
  Request_Progress int(10) unsigned NOT NULL default '0',
  Request_Name varchar(255) NOT NULL default '',
  Request_Workunit_AutoKey bigint(64) unsigned NOT NULL default '0',
  Request_AutoKEY bigint(64) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (Request_AutoKEY),
  KEY FK_BTS_Request_Table_1 (Request_Workunit_AutoKey),
  KEY Index_4 (Request_ID),
  KEY FK_BTS_Request_Table_2 (Request_Workunit_ID),
  KEY Index_5 (Request_Status),
  CONSTRAINT `FK_BTS_Request_Table_1` FOREIGN KEY (`Request_Workunit_AutoKey`) REFERENCES `BTS_Workunit_Table` (`Workunit_AutoKEY`) ON DELETE CASCADE
) TYPE=InnoDB COMMENT='InnoDB free: 8192 kB; (Request_Workunit_AutoKey) REFER WAVE_';

--
-- Dumping data for table `BTS_Request_Table`
--


--
-- Table structure for table `BTS_Schedule_Table`
--

CREATE TABLE BTS_Schedule_Table (
  BTS_Schedule_Entry_Workunit_Schedule_Type enum('AT','EVERY','ATEVERY') NOT NULL default 'AT',
  BTS_Schedule_Entry_Workunit_Schedule_Parms varchar(45) NOT NULL default '',
  BTS_Schedule_Entry_Workunit_Request varchar(255) NOT NULL default '',
  BTS_Schedule_Entry_Workunit_Parameters varchar(45) NOT NULL default '',
  BTS_Schedule_Entry_Workunit_XML text NOT NULL,
  BTS_Schedule_Entry_Workunit_Initiator varchar(255) NOT NULL default '',
  BTS_Schedule_Entry_Request_Status int(10) unsigned NOT NULL default '1',
  BTS_Schefule_Entry_LastRun datetime default NULL,
  UNIQUE KEY BTS_Schedule_Entry_Workunit_Request (BTS_Schedule_Entry_Workunit_Request,BTS_Schedule_Entry_Workunit_Parameters)
) TYPE=InnoDB;

--
-- Dumping data for table `BTS_Schedule_Table`
--

INSERT INTO BTS_Schedule_Table VALUES ('EVERY','24 Hours','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestCleanWorkunit','','','WAVEBTSScheduler',1,NULL);
INSERT INTO BTS_Schedule_Table VALUES ('EVERY','60 Seconds','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestUpdateWAVESRVStatus','','','WAVEBTSScheduler',1,NULL);
INSERT INTO BTS_Schedule_Table VALUES ('EVERY','1 Hours','com.CSL.WAVE.BTS.Request.Queueable.BTSQueueableRequestUpdateWAVEUsers','','','WAVEBTSScheduler',1,NULL);

--
-- Table structure for table `BTS_Workunit_Table`
--

CREATE TABLE BTS_Workunit_Table (
  Workunit_ID varchar(50) NOT NULL default '',
  Workunit_Name varchar(100) NOT NULL default '',
  Workunit_Group_ID varchar(255) NOT NULL default '',
  Workunit_Start_Time datetime NOT NULL default '0000-00-00 00:00:00',
  Workunit_End_Time datetime NOT NULL default '0000-00-00 00:00:00',
  Workunit_Initiator varchar(255) NOT NULL default '',
  Workunit_Status enum('Pending','Active','Done','Terminated','Error','Scheduled') NOT NULL default 'Pending',
  Workunit_XML longtext NOT NULL,
  Workunit_Final_Return_Code int(11) NOT NULL default '0',
  Workunit_Flow_Text text NOT NULL,
  Workunit_COR_Keep_Days int(11) NOT NULL default '-1',
  Workunit_AutoKEY bigint(64) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (Workunit_AutoKEY),
  KEY FK_BTS_Workunit_Table_1 (Workunit_Initiator),
  KEY Index_3 (Workunit_Status),
  CONSTRAINT `FK_BTS_Workunit_Table_1` FOREIGN KEY (`Workunit_Initiator`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `BTS_Workunit_Table`
--


--
-- Table structure for table `COR_Entry_Log_Active_Table`
--

CREATE TABLE COR_Entry_Log_Active_Table (
  COREntry_ID varchar(50) NOT NULL default '',
  COR_Entry_Request_ID varchar(50) NOT NULL default '',
  COR_Entry_TimeStamp timestamp NOT NULL,
  COR_Entry_DebugLevel int(4) unsigned NOT NULL default '0',
  COR_Entry_Contents text NOT NULL,
  KEY Index_1 (COREntry_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `COR_Entry_Log_Active_Table`
--


--
-- Table structure for table `COR_Entry_Table`
--

CREATE TABLE COR_Entry_Table (
  COREntry_ID varchar(50) NOT NULL default '',
  COR_Entry_Request_ID varchar(50) NOT NULL default '',
  COR_Entry_Contents longtext NOT NULL,
  COR_Entry_Status enum('Open','Closed','Terminated') NOT NULL default 'Open',
  COR_Entry_Type enum('Log','Script','REXX','Report') NOT NULL default 'Log',
  PRIMARY KEY  (COREntry_ID),
  KEY Index_2 (COR_Entry_Request_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `COR_Entry_Table`
--


--
-- Table structure for table `FCP_Connection_Table`
--

CREATE TABLE FCP_Connection_Table (
  FCP_Connection_ID int(10) unsigned NOT NULL auto_increment,
  FCP_Connection_Owner_Type varchar(45) NOT NULL default '',
  FCP_Connection_Owner_ID varchar(17) NOT NULL default '',
  FCP_Connection_Device varchar(4) NOT NULL default '',
  FCP_Connection_WWPN varchar(18) NOT NULL default '',
  FCP_Connection_Lun varchar(18) NOT NULL default '',
  FCP_Connection_UniqueDiskID varchar(255) NOT NULL default '',
  PRIMARY KEY  (FCP_Connection_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `FCP_Connection_Table`
--


--
-- Table structure for table `FCP_Disk_Table`
--

CREATE TABLE FCP_Disk_Table (
  FCP_Disk_ID int(10) unsigned NOT NULL auto_increment,
  FCP_Disk_DiskUniqueID varchar(255) NOT NULL default '',
  FCP_Disk_StorageController_ID int(10) unsigned NOT NULL default '0',
  FCP_Disk_Size double NOT NULL default '0',
  FCP_Disk_Inconsist tinyint(4) unsigned NOT NULL default '0',
  FCP_Disk_Created_User varchar(255) default 'WAVEinit',
  FCP_Disk_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  FCP_Disk_Update_User varchar(255) NOT NULL default 'WAVEinit',
  FCP_Disk_Update_TimeStamp timestamp NOT NULL,
  FCP_Disk_Update_Locker varchar(255) NOT NULL default '',
  FCP_Disk_IAN text NOT NULL,
  PRIMARY KEY  (FCP_Disk_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `FCP_Disk_Table`
--


--
-- Table structure for table `FCP_WWPN_SC_Table`
--

CREATE TABLE FCP_WWPN_SC_Table (
  targetWWPN char(20) NOT NULL default '',
  StorageControllerID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (targetWWPN)
) TYPE=InnoDB;

--
-- Dumping data for table `FCP_WWPN_SC_Table`
--


--
-- Table structure for table `Linux_Repository_Table`
--

CREATE TABLE Linux_Repository_Table (
  Repository_ID int(10) unsigned NOT NULL auto_increment,
  Repository_Name varchar(45) NOT NULL default '',
  Repository_Description text,
  Repository_Server_IP varchar(45) NOT NULL default '',
  Repository_Protocol enum('FTP','NFS') default NULL,
  Repository_Protocol_Username varchar(45) default NULL,
  Repository_Protocol_Password varchar(45) default NULL,
  Repository_Directory text NOT NULL,
  Repository_Linux_Distribution enum('SUSE','REDHAT') default NULL,
  Repository_Linux_Arch varchar(45) default NULL,
  Repository_Linux_Version varchar(45) default NULL,
  Repository_Linux_SP varchar(45) default NULL,
  Repository_SM_Minidisk_Address varchar(4) default NULL,
  Repository_Using_Hypervisor_IDs text,
  Repository_Error_Condition text,
  Repository_IAN text,
  Repository_Locker varchar(255) default NULL,
  Repository_Create_User varchar(255) NOT NULL default 'WAVEinit',
  Repository_Create_Timestamp datetime NOT NULL default '2000-01-01 00:00:00',
  Repository_Update_User varchar(255) NOT NULL default 'WAVEinit',
  Repository_Update_Timestamp timestamp NOT NULL,
  PRIMARY KEY  (Repository_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `Linux_Repository_Table`
--


--
-- Table structure for table `OS_Distribution_Table`
--

CREATE TABLE OS_Distribution_Table (
  Distribution_ID smallint(6) NOT NULL default '0',
  Distribution_Short_Name varchar(10) NOT NULL default '',
  Distribution_Full_Name varchar(30) NOT NULL default '',
  Distribution_Source_Name varchar(20) default NULL,
  Distribution_Discription varchar(255) NOT NULL default '',
  Distribution_Update_User varchar(255) NOT NULL default 'WAVEinit',
  Distribution_Update_TimeStamp timestamp NOT NULL,
  Distribution_Arch enum('64','31','NA') NOT NULL default '64',
  PRIMARY KEY  (Distribution_ID),
  KEY Distribution_Update_User (Distribution_Update_User),
  CONSTRAINT `OS_Distribution_Table_ibfk_1` FOREIGN KEY (`Distribution_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `OS_Distribution_Table`
--

INSERT INTO OS_Distribution_Table VALUES (0,'CMS','General CMS',NULL,'General CMS','WAVEinit',20080602202318,'64');
INSERT INTO OS_Distribution_Table VALUES (1,'SLES9-31b','SLES9 - 31 Bit',NULL,'SUSE LINUX Enterprise Server 9 (s390)','WAVEinit',20100513135626,'31');
INSERT INTO OS_Distribution_Table VALUES (2,'SLES9-64b','SLES9 - 64 Bit',NULL,'SuSE 9 64Bit Enterprise Server Edition','WAVEinit',20100513135626,'64');
INSERT INTO OS_Distribution_Table VALUES (3,'RHEL5-64b','RedHat 5 - 64 Bit',NULL,'RedHat 5 64Bit Enterprise Linux','WAVEinit',20100513135626,'64');
INSERT INTO OS_Distribution_Table VALUES (4,'RHEL4-31b','Red Hat 4 - 31 Bit',NULL,'Red Hat Enterprise Server 4 (31 Bit)','WAVEinit',20100513135626,'31');
INSERT INTO OS_Distribution_Table VALUES (5,'RHEL4-64b','Red Hat 4 - 64 Bit',NULL,'Red Hat Enterprise Server 4 (64 Bit)','WAVEinit',20100513135627,'64');
INSERT INTO OS_Distribution_Table VALUES (6,'SLES10-64b','SLES10 - 64 Bit',NULL,'SuSE 10 64Bit Enterprise Server Edition','WAVEinit',20100513135627,'64');
INSERT INTO OS_Distribution_Table VALUES (7,'SLES11-64b','SLES11 - 64 Bit',NULL,'SuSE 11 64Bit Enterprise Server Edition','WAVEinit',20100513135630,'64');
INSERT INTO OS_Distribution_Table VALUES (8,'RHEL6-64b','RedHat 6 - 64 Bit',NULL,'RedHat 6 64Bit Enterprise Linux','WAVEinit',20080602202353,'64');
INSERT INTO OS_Distribution_Table VALUES (20,'z/OS','IBM: z/OS',NULL,'IBM: z/OS operating system','WAVEinit',20090122040638,'64');
INSERT INTO OS_Distribution_Table VALUES (30,'z/VM','IBM: z/VM',NULL,'IBM: z/VM - virtual machine','WAVEinit',20090122040638,'64');
INSERT INTO OS_Distribution_Table VALUES (40,'z/VSE','IBM: z/VSE',NULL,'IBM: z/VSE- Virtual Storage Extended','WAVEinit',20090122040638,'64');
INSERT INTO OS_Distribution_Table VALUES (50,'z/TPF','IBM: z/TPF',NULL,'IBM: z/TPF - Transaction Processing Facility','WAVEinit',20090122040638,'64');
INSERT INTO OS_Distribution_Table VALUES (60,'Solaris','SUN - Solaris',NULL,'SUN - Solaris','WAVEinit',20080602202353,'64');
INSERT INTO OS_Distribution_Table VALUES (90,'Other','Other',NULL,'Other','WAVEinit',20080602202353,'NA');
INSERT INTO OS_Distribution_Table VALUES (99,'UNASSIGNED','Unassigned OS Distribution',NULL,'Unassigned OS Distribution','WAVEinit',20080602202353,'NA');

--
-- Table structure for table `Site_Project_Table`
--

CREATE TABLE Site_Project_Table (
  Site_Project_Name varchar(255) NOT NULL default '',
  Site_Project_Description varchar(255) NOT NULL default '',
  Site_Project_Contact_Name varchar(255) NOT NULL default '',
  Site_Project_Phone varchar(30) NOT NULL default '',
  Site_Project_Email varchar(255) NOT NULL default '',
  Site_Project_Team varchar(255) NOT NULL default '',
  Site_Project_Department varchar(255) NOT NULL default '',
  Site_Project_Create_User varchar(255) NOT NULL default '',
  Site_Project_Create_Time datetime NOT NULL default '2000-01-01 00:00:00',
  Site_Project_Update_User varchar(255) NOT NULL default '',
  Site_Project_Update_Time timestamp NOT NULL,
  Site_Project_Locker varchar(255) NOT NULL default '',
  Site_Project_Ian text NOT NULL,
  PRIMARY KEY  (Site_Project_Name),
  KEY Site_Project_Create_User (Site_Project_Create_User),
  KEY Site_Project_Update_User (Site_Project_Update_User),
  CONSTRAINT `Site_Project_Table_ibfk_1` FOREIGN KEY (`Site_Project_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `Site_Project_Table_ibfk_2` FOREIGN KEY (`Site_Project_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `Site_Project_Table`
--


--
-- Table structure for table `VM_Account_Table`
--

CREATE TABLE VM_Account_Table (
  Account_ID int(10) unsigned NOT NULL auto_increment,
  Account_Value varchar(8) NOT NULL default '',
  Account_Description text NOT NULL,
  Account_InUse int(10) unsigned NOT NULL default '0',
  Account_Last_Modified_User varchar(255) default 'WAVEinit',
  Account_Last_Modified_Timestamp timestamp NOT NULL,
  Account_Create_User varchar(255) default 'WAVEinit',
  Account_Create_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (Account_ID),
  UNIQUE KEY Acct_Value (Account_Value),
  KEY Index_2 (Account_Last_Modified_User),
  KEY Index_3 (Account_Create_User),
  CONSTRAINT `FK_VM_Account_Table_1` FOREIGN KEY (`Account_Last_Modified_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `FK_VM_Account_Table_2` FOREIGN KEY (`Account_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE SET NULL ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Account_Table`
--


--
-- Table structure for table `VM_CPC_Table`
--

CREATE TABLE VM_CPC_Table (
  VM_CPC_ID varchar(8) NOT NULL default '',
  VM_CPC_Status enum('Active','Inactive','Restricted') NOT NULL default 'Inactive',
  VM_CPC_Model varchar(4) NOT NULL default '',
  VM_CPC_CPUID varchar(10) NOT NULL default '',
  VM_CPC_Desc varchar(255) NOT NULL default '',
  VM_CPC_Ian text NOT NULL,
  VM_CPC_Created_User varchar(255) NOT NULL default 'WAVEinit',
  VM_CPC_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_CPC_Update_User varchar(255) NOT NULL default 'WAVEinit',
  VM_CPC_Update_TimeStamp timestamp NOT NULL,
  VM_CPC_Locker varchar(255) NOT NULL default '',
  PRIMARY KEY  (VM_CPC_ID),
  KEY VM_CPC_Created_User (VM_CPC_Created_User),
  KEY VM_CPC_Update_User (VM_CPC_Update_User),
  CONSTRAINT `VM_CPC_Table_ibfk_1` FOREIGN KEY (`VM_CPC_Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_CPC_Table_ibfk_2` FOREIGN KEY (`VM_CPC_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_CPC_Table`
--


--
-- Table structure for table `VM_DASD_Group_Common_Table`
--

CREATE TABLE VM_DASD_Group_Common_Table (
  Group_ID int(10) NOT NULL auto_increment,
  Group_Name varchar(10) NOT NULL default '',
  Group_Description varchar(255) default NULL,
  Group_Inconsist tinyint(4) NOT NULL default '0',
  Group_Created_User varchar(255) NOT NULL default 'WAVEinit',
  Group_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  Group_Update_User varchar(255) NOT NULL default 'WAVEinit',
  Group_Update_TimeStamp timestamp NOT NULL,
  Group_Locker varchar(255) NOT NULL default '',
  Group_Ian text NOT NULL,
  Group_Directory_ID int(10) unsigned default NULL,
  Group_Warning_Field int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (Group_ID),
  KEY Group_Created_User (Group_Created_User),
  KEY Group_Update_User (Group_Update_User),
  KEY FK_VM_DASD_Group_Common_Table_3 (Group_Directory_ID),
  KEY Group_Name (Group_Name),
  CONSTRAINT `FK_VM_DASD_Group_Common_Table_3` FOREIGN KEY (`Group_Directory_ID`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VM_DASD_Group_Table_ibfk_2` FOREIGN KEY (`Group_Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_DASD_Group_Table_ibfk_3` FOREIGN KEY (`Group_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Group_Common_Table`
--


--
-- Table structure for table `VM_DASD_Group_Specific_Table`
--

CREATE TABLE VM_DASD_Group_Specific_Table (
  Group_ID int(10) NOT NULL default '0',
  Group_Full_Name varchar(45) default NULL,
  Group_Sysname varchar(45) default NULL,
  Group_Eligability tinyint(1) default NULL,
  KEY index2 (Group_Full_Name),
  KEY fk_VM_DASD_Group_Specific_Table_1 (Group_ID),
  KEY fk_VM_DASD_Group_Specific_Table_2 (Group_Sysname),
  CONSTRAINT `FK_VM_DASD_Group_Specific_Table_1` FOREIGN KEY (`Group_ID`) REFERENCES `VM_DASD_Group_Common_Table` (`Group_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_VM_DASD_Group_Specific_Table_2` FOREIGN KEY (`Group_Sysname`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Group_Specific_Table`
--


--
-- Table structure for table `VM_DASD_Region_Common_Table`
--

CREATE TABLE VM_DASD_Region_Common_Table (
  Region_ID int(10) NOT NULL auto_increment,
  Region_Name varchar(10) NOT NULL default '',
  Region_Vol_ID varchar(255) NOT NULL default '',
  Region_Group varchar(20) default NULL,
  Region_Start_Cyl int(11) NOT NULL default '0',
  Region_Size int(11) NOT NULL default '0',
  Region_Free_Cyl int(11) NOT NULL default '0',
  Region_Max_Free int(11) NOT NULL default '0',
  Region_Inconsist tinyint(4) NOT NULL default '0',
  Region_Created_User varchar(255) NOT NULL default 'WAVEinit',
  Region_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  Region_Update_User varchar(255) NOT NULL default 'WAVEinit',
  Region_Update_TimeStamp timestamp NOT NULL,
  Region_Directory_ID int(10) unsigned default NULL,
  PRIMARY KEY  (Region_ID),
  KEY Region_Group (Region_Group),
  KEY Region_Vol_ID (Region_Vol_ID),
  KEY Region_Created_User (Region_Created_User),
  KEY Region_Update_User (Region_Update_User),
  KEY FK_VM_DASD_Region_Common_Table_1 (Region_Directory_ID),
  CONSTRAINT `FK_VM_DASD_Region_Common_Table_1` FOREIGN KEY (`Region_Directory_ID`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Region_Common_Table`
--


--
-- Table structure for table `VM_DASD_Region_Group_Relation_Table`
--

CREATE TABLE VM_DASD_Region_Group_Relation_Table (
  Region_Group_ID varchar(30) NOT NULL default '',
  System_ID varchar(8) NOT NULL default '',
  Region_ID varchar(20) NOT NULL default '',
  Group_ID varchar(20) NOT NULL default '',
  Created_User varchar(255) NOT NULL default 'WAVEinit',
  Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  Update_User varchar(255) NOT NULL default 'WAVEinit',
  Update_TimeStamp timestamp NOT NULL,
  PRIMARY KEY  (Region_Group_ID),
  KEY Region_ID (Region_ID,Group_ID),
  KEY System_ID (System_ID),
  KEY Created_User (Created_User),
  KEY Update_User (Update_User),
  CONSTRAINT `VM_DASD_Region_Group_Relation_Table_ibfk_1` FOREIGN KEY (`Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_DASD_Region_Group_Relation_Table_ibfk_2` FOREIGN KEY (`Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Region_Group_Relation_Table`
--


--
-- Table structure for table `VM_DASD_Region_Specific_Table`
--

CREATE TABLE VM_DASD_Region_Specific_Table (
  Region_ID int(10) NOT NULL default '0',
  Region_Full_Name varchar(20) default NULL,
  Region_Sysname varchar(8) default NULL,
  KEY fk_new_table_1 (Region_Sysname),
  KEY fk_new_table_2 (Region_ID),
  CONSTRAINT `fk_new_table_1` FOREIGN KEY (`Region_Sysname`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_new_table_2` FOREIGN KEY (`Region_ID`) REFERENCES `VM_DASD_Region_Common_Table` (`Region_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Region_Specific_Table`
--


--
-- Table structure for table `VM_DASD_Volume_Table`
--

CREATE TABLE VM_DASD_Volume_Table (
  Volume_ID varchar(20) NOT NULL default '',
  Volume_VOLSER varchar(8) NOT NULL default '',
  Volume_Sysname varchar(8) NOT NULL default '',
  Volume_Devtype varchar(12) default NULL,
  Volume_Rdev text,
  Volume_Size int(11) default NULL,
  Volume_Status enum('Enabled','Defined','Assigned','Page','Spool','PageSpool','Free','User','SYS') NOT NULL default 'Enabled',
  Volume_Online tinyint(1) NOT NULL default '1',
  Volume_Inconsist tinyint(4) NOT NULL default '0',
  Volume_Created_User varchar(255) NOT NULL default 'WAVEinit',
  Volume_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  Volume_Update_User varchar(255) NOT NULL default 'WAVEinit',
  Volume_Update_TimeStamp timestamp NOT NULL,
  Volume_Locker varchar(255) NOT NULL default '',
  Volume_Ian text NOT NULL,
  PRIMARY KEY  (Volume_ID),
  KEY Volume_Sysname (Volume_Sysname),
  KEY Volume_Update_User (Volume_Update_User),
  KEY Volume_Created_User (Volume_Created_User),
  CONSTRAINT `VM_DASD_Volume_Table_ibfk_1` FOREIGN KEY (`Volume_Sysname`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VM_DASD_Volume_Table_ibfk_2` FOREIGN KEY (`Volume_Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_DASD_Volume_Table_ibfk_3` FOREIGN KEY (`Volume_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_DASD_Volume_Table`
--


--
-- Table structure for table `VM_Directory_Table`
--

CREATE TABLE VM_Directory_Table (
  VM_Directory_ID int(10) unsigned NOT NULL auto_increment,
  VM_Directory_Name text NOT NULL,
  VM_Directory_Description varchar(255) NOT NULL default '',
  VM_Directory_UID varchar(255) NOT NULL default '',
  VM_Directory_Create_By varchar(255) NOT NULL default '',
  VM_Directory_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_Directory_Update_By varchar(255) NOT NULL default '',
  VM_Directory_Update_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_Directory_SSI_Name varchar(8) default NULL,
  PRIMARY KEY  (VM_Directory_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Directory_Table`
--


--
-- Table structure for table `VM_Performance_Table`
--

CREATE TABLE VM_Performance_Table (
  VM_Performance_System_Name varchar(8) NOT NULL default '',
  VM_Performance_CPU int(11) default NULL,
  VM_Performance_Page int(11) default NULL,
  VM_Performance_Spool int(11) default NULL,
  VM_Performance_Storage_Real int(11) default NULL,
  VM_Performance_Storage_Virtual int(11) default NULL,
  VM_Performance_Timestamp datetime default NULL,
  PRIMARY KEY  (VM_Performance_System_Name),
  UNIQUE KEY VM_Performance_System_Name_UNIQUE (VM_Performance_System_Name),
  KEY fk_VM_Performance_Table_1 (VM_Performance_System_Name),
  CONSTRAINT `fk_VM_Performance_Table_1` FOREIGN KEY (`VM_Performance_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Performance_Table`
--


--
-- Table structure for table `VM_Profile_Common_Table`
--

CREATE TABLE VM_Profile_Common_Table (
  VM_Profile_ID int(10) NOT NULL auto_increment,
  VM_Profile_Name varchar(8) NOT NULL default '',
  VM_Profile_System_Name varchar(8) NOT NULL default '',
  VM_Profile_Directory_Entry text NOT NULL,
  VM_Profile_Inconsistancy int(10) unsigned NOT NULL default '0',
  VM_Profile_Description varchar(255) default NULL,
  VM_Profile_Create_User varchar(255) default NULL,
  VM_Profile_Create_TimeStamp datetime default NULL,
  VM_Profile_Update_User varchar(255) default NULL,
  VM_Profile_Update_TimeStamp timestamp NOT NULL,
  VM_Profile_Locker varchar(255) default NULL,
  VM_Profile_Ian text,
  VM_Profile_Directory_ID int(10) unsigned default NULL,
  VM_User_Prototype_User_Full_Name varchar(45) default NULL,
  PRIMARY KEY  (VM_Profile_ID),
  KEY FK_VM_Profile_Table_1 (VM_Profile_System_Name),
  KEY fk_VM_Profile_Common_Table_1 (VM_Profile_Create_User),
  KEY fk_VM_Profile_Common_Table_2 (VM_Profile_Update_User),
  KEY FK_VM_Profile_Common_Table_3 (VM_Profile_Directory_ID),
  CONSTRAINT `fk_VM_Profile_Common_Table_1` FOREIGN KEY (`VM_Profile_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_VM_Profile_Common_Table_2` FOREIGN KEY (`VM_Profile_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_VM_Profile_Common_Table_3` FOREIGN KEY (`VM_Profile_Directory_ID`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Profile_Common_Table`
--


--
-- Table structure for table `VM_Profile_Specific_Table`
--

CREATE TABLE VM_Profile_Specific_Table (
  VM_Profile_ID int(10) NOT NULL default '0',
  VM_Profile_Full_Name varchar(45) default NULL,
  VM_Profile_System varchar(45) default NULL,
  KEY fk_VM_Profile_Specific_Table_1 (VM_Profile_ID),
  KEY fk_VM_Profile_Specific_Table_2 (VM_Profile_System),
  KEY Index_3 (VM_Profile_ID),
  CONSTRAINT `fk_VM_Profile_Specific_Table_1` FOREIGN KEY (`VM_Profile_ID`) REFERENCES `VM_Profile_Common_Table` (`VM_Profile_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_VM_Profile_Specific_Table_2` FOREIGN KEY (`VM_Profile_System`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Profile_Specific_Table`
--


--
-- Table structure for table `VM_Prototype_Common_Table`
--

CREATE TABLE VM_Prototype_Common_Table (
  VM_User_Prototype_ID int(10) NOT NULL auto_increment,
  VM_User_Prototype_Name varchar(30) default NULL,
  VM_User_Prototype_Project varchar(255) default NULL,
  VM_User_Prototype_Functionality varchar(255) default NULL,
  VM_User_Prototype_Description varchar(255) default NULL,
  VM_User_Prototype_VM_User_ID varchar(8) default NULL,
  VM_User_Prototype_DASD_Group_ID varchar(10) default NULL,
  VM_User_Prototype_Inconsistancy int(10) unsigned default NULL,
  VM_User_Prototype_Create_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Prototype_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_User_Prototype_Update_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Prototype_Update_TimeStamp timestamp NOT NULL,
  VM_User_Prototype_Locker varchar(255) NOT NULL default '',
  VM_User_Prototype_Ian text NOT NULL,
  VM_User_Prototype_Directory_ID int(10) unsigned default NULL,
  VM_User_Prototype_User_Full_Name varchar(45) default NULL,
  PRIMARY KEY  (VM_User_Prototype_ID),
  KEY VM_User_Prototype_Create_User (VM_User_Prototype_Create_User),
  KEY VM_User_Prototype_Update_User (VM_User_Prototype_Update_User),
  KEY Prototype_ZVM_User_Name (VM_User_Prototype_VM_User_ID),
  KEY VM_User_Prototype_DASD_Group_ID (VM_User_Prototype_DASD_Group_ID),
  KEY VM_User_Prototype_Project (VM_User_Prototype_Project),
  KEY FK_VM_Prototype_Common_Table_1 (VM_User_Prototype_Directory_ID),
  CONSTRAINT `FK_VM_Prototype_Common_Table_1` FOREIGN KEY (`VM_User_Prototype_Directory_ID`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_VM_Prototype_Common_Table_2` FOREIGN KEY (`VM_User_Prototype_DASD_Group_ID`) REFERENCES `VM_DASD_Group_Common_Table` (`Group_Name`) ON DELETE SET NULL ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Prototype_Common_Table`
--


--
-- Table structure for table `VM_Prototype_Specific_Table`
--

CREATE TABLE VM_Prototype_Specific_Table (
  VM_User_Prototype_ID int(10) NOT NULL default '0',
  VM_User_Prototype_System_Name varchar(8) NOT NULL default '',
  VM_User_Prototype_Full_Name varchar(255) NOT NULL default '',
  UNIQUE KEY tbl_idx (VM_User_Prototype_ID,VM_User_Prototype_System_Name,VM_User_Prototype_Full_Name),
  KEY VM_User_Prototype_System_Name (VM_User_Prototype_System_Name),
  KEY fk_VM_Prototype_Specific_Table_2 (VM_User_Prototype_ID),
  CONSTRAINT `fk_VM_Prototype_Specific_Table_1` FOREIGN KEY (`VM_User_Prototype_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `fk_VM_Prototype_Specific_Table_2` FOREIGN KEY (`VM_User_Prototype_ID`) REFERENCES `VM_Prototype_Common_Table` (`VM_User_Prototype_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Prototype_Specific_Table`
--


--
-- Table structure for table `VM_System_Table`
--

CREATE TABLE VM_System_Table (
  VM_System_Name varchar(8) NOT NULL default '',
  VM_CPC_ID varchar(8) NOT NULL default '',
  VM_System_Version enum('VM53','VM54','VM61','VM62','VM63') NOT NULL default 'VM62',
  VM_System_Service_Level int(11) default NULL,
  VM_System_Arch enum('31','64') default '64',
  VM_System_IP varchar(15) default NULL,
  VM_System_IPv6 varchar(25) default NULL,
  VM_System_HOSTNAME varchar(255) default NULL,
  VM_System_Type enum('Prod','Test','QA','System','Develop','Other') default 'Other',
  VM_system_Description varchar(255) default NULL,
  VM_System_Status enum('active','Not Reachable','suspend','suspendLic','shutting down','autodetect') default 'Not Reachable',
  VM_System_CPU_no smallint(2) NOT NULL default '0',
  VM_System_CPU_Serial varchar(10) NOT NULL default '0',
  VM_System_Machine_ID int(4) NOT NULL default '0',
  VM_System_CLC_Server_IP_Address varchar(15) default NULL,
  VM_System_CLC_Server_Port varchar(11) default NULL,
  VM_System_DASD_Dummy_Region_Name varchar(8) NOT NULL default '',
  VM_System_DASD_Dummy_Region_VOLID varchar(8) NOT NULL default '',
  VM_System_DIRMAINT_Read_Pass varchar(50) NOT NULL default '',
  VM_System_MAINT_Pass varchar(32) NOT NULL default '',
  VM_System_API_Port varchar(10) NOT NULL default '',
  VM_System_Created_User varchar(255) NOT NULL default 'WAVEinit',
  VM_System_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_System_Update_User varchar(255) NOT NULL default 'WAVEinit',
  VM_System_Update_TimeStamp timestamp NOT NULL,
  VM_System_IPL_Time varchar(80) NOT NULL default '',
  VM_System_Locker varchar(255) NOT NULL default '',
  VM_System_Ian text NOT NULL,
  VM_System_AUTOLOG_Name varchar(10) NOT NULL default '',
  VM_System_AUTOLOG_Pass varchar(20) NOT NULL default '',
  VM_System_API_User varchar(8) NOT NULL default '',
  VM_System_Short_Service_Machine varchar(8) NOT NULL default '',
  VM_System_Long_Service_Machine varchar(8) NOT NULL default '',
  VM_System_CSC_Service_Machine varchar(8) NOT NULL default '',
  VM_System_New_Dev_Pool_DASD varchar(255) default NULL,
  VM_System_New_Dev_Pool_OSA varchar(255) default NULL,
  VM_System_New_Dev_Pool_HIPER varchar(255) default NULL,
  VM_System_New_Dev_Pool_FCP varchar(255) default NULL,
  VM_System_Performance_Machine varchar(8) NOT NULL default '',
  VM_System_NFS_Server_Name varchar(45) NOT NULL default '',
  VM_System_3270_Port int(4) NOT NULL default '23',
  VM_System_3270_Is_SSL_Tunnel tinyint(1) NOT NULL default '0',
  VM_System_VM_Name varchar(8) NOT NULL default '',
  VM_System_Directory int(10) unsigned default '0',
  VM_System_IsEncrypted tinyint(1) NOT NULL default '0',
  VM_System_Minidisk_Read_Pass varchar(32) NOT NULL default 'READ',
  VM_System_Minidisk_Write_Pass varchar(32) NOT NULL default 'WRITE',
  VM_System_Minidisk_Multi_Pass varchar(32) NOT NULL default 'MULTI',
  PRIMARY KEY  (VM_System_Name),
  UNIQUE KEY VM_System_Id (VM_System_Name),
  KEY VM_System_Machine_ID (VM_System_Machine_ID),
  KEY VM_Machine_ID (VM_CPC_ID),
  KEY VM_System_Created_User (VM_System_Created_User),
  KEY VM_System_Update_User (VM_System_Update_User),
  KEY FK_VM_System_Table_4 (VM_System_Directory),
  CONSTRAINT `FK_VM_System_Table_4` FOREIGN KEY (`VM_System_Directory`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`),
  CONSTRAINT `VM_System_Table_ibfk_1` FOREIGN KEY (`VM_CPC_ID`) REFERENCES `VM_CPC_Table` (`VM_CPC_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VM_System_Table_ibfk_2` FOREIGN KEY (`VM_System_Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_System_Table_ibfk_3` FOREIGN KEY (`VM_System_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_System_Table`
--


--
-- Table structure for table `VM_User_Common_Table`
--

CREATE TABLE VM_User_Common_Table (
  VM_User_ID int(10) NOT NULL auto_increment,
  VM_User_Name varchar(8) NOT NULL default '',
  VM_User_Project varchar(255) default NULL,
  VM_User_Functionality varchar(255) default NULL,
  VM_User_Description varchar(255) default NULL,
  VM_User_Prototype_Id int(10) default NULL,
  VM_User_Distribution_Id smallint(6) NOT NULL default '99',
  VM_User_IsInitedForWAVE int(10) unsigned NOT NULL default '1',
  VM_User_HasZIPL tinyint(1) NOT NULL default '0',
  VM_User_HasHCP tinyint(1) NOT NULL default '0',
  VM_User_Root_Pass varchar(255) NOT NULL default '',
  VM_User_VM_Pass varchar(255) NOT NULL default '',
  VM_User_Hostname varchar(45) NOT NULL default '',
  VM_User_Locker varchar(255) NOT NULL default '',
  VM_User_Ian text NOT NULL,
  VM_User_Original_VM_User_ID varchar(17) default NULL,
  VM_User_Directory_Entry longtext NOT NULL,
  VM_User_Default_VM_System varchar(8) NOT NULL default '',
  VM_User_Custom_Attributes text NOT NULL,
  VM_User_Create_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_User_Update_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Update_TimeStamp timestamp NOT NULL,
  VM_User_Inconsistancy int(10) unsigned default NULL,
  VM_User_Directory_ID int(10) unsigned NOT NULL default '0',
  Guest_Installation_Status int(4) NOT NULL default '-1',
  VM_User_AGC_Status int(11) NOT NULL default '-1',
  PRIMARY KEY  (VM_User_ID),
  KEY VM_User_Prototype_Id (VM_User_Prototype_Id),
  KEY VM_User_Distribution_Id (VM_User_Distribution_Id),
  KEY VM_User_Create_User (VM_User_Create_User),
  KEY VM_User_Update_User (VM_User_Update_User),
  KEY VM_User_Project (VM_User_Project),
  KEY fk_VM_User_Attribute_Table_1 (VM_User_Prototype_Id),
  KEY VM_User_Directory (VM_User_Directory_ID),
  CONSTRAINT `fk_VM_User_Attribute_Table_1` FOREIGN KEY (`VM_User_Prototype_Id`) REFERENCES `VM_Prototype_Common_Table` (`VM_User_Prototype_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_VM_User_Common_Table_6` FOREIGN KEY (`VM_User_Directory_ID`) REFERENCES `VM_Directory_Table` (`VM_Directory_ID`) ON DELETE CASCADE,
  CONSTRAINT `VM_User_Common_Table_ibfk_21` FOREIGN KEY (`VM_User_Distribution_Id`) REFERENCES `OS_Distribution_Table` (`Distribution_ID`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `VM_User_Common_Table_ibfk_47` FOREIGN KEY (`VM_User_Project`) REFERENCES `Site_Project_Table` (`Site_Project_Name`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `VM_User_Common_Table_ibfk_51` FOREIGN KEY (`VM_User_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_User_Common_Table_ibfk_52` FOREIGN KEY (`VM_User_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_User_Common_Table`
--


--
-- Table structure for table `VM_User_Group_Table`
--

CREATE TABLE VM_User_Group_Table (
  VM_User_Group_ID varchar(35) NOT NULL default '000',
  VM_User_Group_Short_Name varchar(25) NOT NULL default '',
  VM_User_Group_Full_Name varchar(45) default NULL,
  VM_User_Group_System_Name varchar(8) NOT NULL default '',
  VM_User_Group_Discription varchar(255) default NULL,
  VM_User_Group_Create_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Group_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  VM_User_Group_Update_User varchar(255) NOT NULL default 'WAVEinit',
  VM_User_Group_Update_TimeStamp timestamp NOT NULL,
  VM_User_Group_Locker varchar(255) NOT NULL default '',
  VM_User_Group_Ian text NOT NULL,
  PRIMARY KEY  (VM_User_Group_ID),
  KEY VM_User_Group_Create_User (VM_User_Group_Create_User),
  KEY VM_User_Group_Update_User (VM_User_Group_Update_User),
  KEY VM_User_Group_System_Name (VM_User_Group_System_Name),
  CONSTRAINT `VM_User_Group_Table_ibfk_5` FOREIGN KEY (`VM_User_Group_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VM_User_Group_Table_ibfk_6` FOREIGN KEY (`VM_User_Group_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `VM_User_Group_Table_ibfk_7` FOREIGN KEY (`VM_User_Group_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `VM_User_Group_Table`
--


--
-- Table structure for table `VM_User_Specific_Table`
--

CREATE TABLE VM_User_Specific_Table (
  VM_User_ID int(10) NOT NULL default '0',
  VM_User_Full_Name varchar(17) NOT NULL default '',
  VM_User_Status enum('Active','Inactive','Shutting Down','Starting Up','Recycling','Cloning','Clone Pending','Clone Error','Clone Source','Relocation Source','Relocation Target','Paused') NOT NULL default 'Inactive',
  VM_User_System_Name varchar(8) NOT NULL default '',
  VM_User_Group_ID varchar(45) default NULL,
  VM_User_Group_Name varchar(25) default NULL,
  VM_User_Profile_ID varchar(17) default NULL,
  VM_User_Eligability varchar(45) default NULL,
  VM_User_Memory_Min int(11) default NULL,
  VM_User_Memory_Max int(11) default NULL,
  VM_User_Num_CPU smallint(6) default NULL,
  VM_User_Disk_Space bigint(20) unsigned default NULL,
  VM_User_Authorization_Class varchar(7) default NULL,
  VM_User_IsConnectable tinyint(1) default NULL,
  VM_User_Initial_Connected datetime default NULL,
  VM_User_isRouter tinyint(1) default NULL,
  VM_User_Router_File_Machine_Name varchar(17) default NULL,
  VM_User_Router_File_Minidisk_Address varchar(4) default NULL,
  VM_User_Router_File_Name varchar(255) default NULL,
  VM_User_Acct int(10) unsigned default NULL,
  KEY VM_User_System_Name (VM_User_System_Name),
  KEY Index_2 (VM_User_ID),
  KEY Index_3 (VM_User_Full_Name),
  KEY Index_4 (VM_User_Acct),
  CONSTRAINT `FK_VM_User_Specific_Table_2` FOREIGN KEY (`VM_User_ID`) REFERENCES `VM_User_Common_Table` (`VM_User_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_VM_User_Specific_Table_3` FOREIGN KEY (`VM_User_Acct`) REFERENCES `VM_Account_Table` (`Account_ID`) ON DELETE SET NULL ON UPDATE CASCADE,
  CONSTRAINT `VM_User_Specific_Table_ibfk_1` FOREIGN KEY (`VM_User_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_User_Specific_Table`
--


--
-- Table structure for table `VM_Workunit_Table`
--

CREATE TABLE VM_Workunit_Table (
  VM_Workunit_WUID varchar(10) NOT NULL default '',
  VM_Workunit_WAVE_Workunit_ID varchar(47) NOT NULL default '',
  VM_Workunit_System varchar(8) NOT NULL default '',
  VM_Workunit_Operation varchar(100) NOT NULL default '',
  VM_Workunit_Status enum('Pending','Active','InProgress','Ended-OK','Ended-Error') NOT NULL default 'Active',
  VM_Workunit_Start_Time datetime NOT NULL default '2000-01-01 00:00:00',
  VM_Workunit_End_Time datetime default NULL,
  KEY VM_Workunit_WAVE_Workunit_ID (VM_Workunit_WAVE_Workunit_ID,VM_Workunit_System),
  KEY VM_Workunit_System (VM_Workunit_System),
  CONSTRAINT `VM_Workunit_Table_ibfk_1` FOREIGN KEY (`VM_Workunit_WAVE_Workunit_ID`) REFERENCES `WAVE_Workunit_Table` (`WAVE_Workunit_ID`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `VM_Workunit_Table_ibfk_2` FOREIGN KEY (`VM_Workunit_System`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `VM_Workunit_Table`
--


--
-- Table structure for table `WAVE_Attention_Required_Table`
--

CREATE TABLE WAVE_Attention_Required_Table (
  WAVE_Attention_Required_Object_Type enum('zVMCPC','zVMSystem','zVMUser','zVMPrototype','zVMLAN','zVMLANConnection','zVMDASDGroup','zVMDASDVolume','zVMDASDRegion','zVMVSwitch','zVMRealDevice','VNS','zVMDevicePool') NOT NULL default 'zVMUser',
  WAVE_Attention_Required_Object_Name varchar(255) NOT NULL default '',
  WAVE_Attention_Required_Object_System varchar(45) NOT NULL default '',
  WAVE_Attention_Required_Text text NOT NULL,
  WAVE_Attention_Required_Severity varchar(45) NOT NULL default '',
  WAVE_Attention_Required_User_Severity int(11) NOT NULL default '0'
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Attention_Required_Table`
--


--
-- Table structure for table `WAVE_Custom_Attribute_Table`
--

CREATE TABLE WAVE_Custom_Attribute_Table (
  Attribute_Name varchar(45) NOT NULL default '',
  Attribute_Default_Value text NOT NULL,
  Attribute_Values text NOT NULL,
  Attribute_Comment text NOT NULL,
  PRIMARY KEY  (Attribute_Name)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Custom_Attribute_Table`
--


--
-- Table structure for table `WAVE_External_Call_Messages`
--

CREATE TABLE WAVE_External_Call_Messages (
  Message_ID varchar(13) NOT NULL default '',
  Class_Name text NOT NULL,
  CALL_ID text NOT NULL,
  RC int(10) NOT NULL default '0',
  RS int(10) NOT NULL default '0',
  Short_Message int(10) unsigned NOT NULL default '0',
  Detailed_Message int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (Message_ID),
  KEY FK_WAVE_External_Call_Messages_1 (Short_Message),
  KEY FK_WAVE_External_Call_Messages_2 (Detailed_Message),
  CONSTRAINT `FK_WAVE_External_Call_Messages_1` FOREIGN KEY (`Short_Message`) REFERENCES `WAVE_External_Resource_Messages_Short_US` (`Message_Idx`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `FK_WAVE_External_Call_Messages_2` FOREIGN KEY (`Detailed_Message`) REFERENCES `WAVE_External_Resource_Messages_Detailed_US` (`Message_Idx`) ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_External_Call_Messages`
--

INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI000000I','ConnectionTozVMAPI','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI000002E','ConnectionTozVMAPI','*GENERAL*',-6,0,111,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530000I','ConnectionTozVMAPIVM53','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530001E','ConnectionTozVMAPIVM53','*GENERAL*',24,-1,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530002E','ConnectionTozVMAPIVM53','*GENERAL*',100,8,3,3);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530003E','ConnectionTozVMAPIVM53','*GENERAL*',100,16,4,4);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530004E','ConnectionTozVMAPIVM53','*GENERAL*',120,0,5,5);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530005E','ConnectionTozVMAPIVM53','*GENERAL*',900,12,6,6);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530006E','ConnectionTozVMAPIVM53','*GENERAL*',900,20,7,7);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530007E','ConnectionTozVMAPIVM53','*GENERAL*',900,24,8,8);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530008E','ConnectionTozVMAPIVM53','*GENERAL*',900,36,9,9);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530009E','ConnectionTozVMAPIVM53','*GENERAL*',500,8,11,11);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530010I','ConnectionTozVMAPIVM53','*GENERAL*',592,-1,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530011E','ConnectionTozVMAPIVM53','*GENERAL*',596,-1,13,13);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530012E','ConnectionTozVMAPIVM53','guestDefinitionQuery',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530013E','ConnectionTozVMAPIVM53','nameListQuery',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530014E','ConnectionTozVMAPIVM53','nameListQuery',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530015W','ConnectionTozVMAPIVM53','directoryPrototypeGetAll',416,4,16,16);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530016I','ConnectionTozVMAPIVM53','nameListAddName',0,12,17,17);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530017I','ConnectionTozVMAPIVM53','nameListAddName',0,36,18,18);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530018E','ConnectionTozVMAPIVM53','nameListAddName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530019E','ConnectionTozVMAPIVM53','nameListAddName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530020I','ConnectionTozVMAPIVM53','nameListRemoveName',0,16,20,20);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530021I','ConnectionTozVMAPIVM53','nameListRemoveName',0,32,21,21);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530022E','ConnectionTozVMAPIVM53','nameListRemoveName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530023E','ConnectionTozVMAPIVM53','nameListRemoveName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530024E','ConnectionTozVMAPIVM53','nameListRemoveName',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530025W','ConnectionTozVMAPIVM53','directorySearchUSER',0,28,23,23);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530026I','ConnectionTozVMAPIVM53','getActiveImages',0,12,24,24);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530027W','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',0,8,25,25);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530028E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530029E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530030E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',404,24,27,27);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530031E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',404,28,28,28);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530032E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530033E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530034E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530035E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530036E','ConnectionTozVMAPIVM53','guestStorageCloneMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530037E','ConnectionTozVMAPIVM53','guestVirtualNetworkDisconnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530038E','ConnectionTozVMAPIVM53','guestVirtualNetworkDisconnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530039E','ConnectionTozVMAPIVM53','guestVirtualNetworkDisconnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530040E','ConnectionTozVMAPIVM53','guestVirtualNetworkConnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530041E','ConnectionTozVMAPIVM53','guestVirtualNetworkConnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530042E','ConnectionTozVMAPIVM53','guestVirtualNetworkConnect',404,4,35,35);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530043E','ConnectionTozVMAPIVM53','guestVirtualNetworkConnect',404,12,36,36);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530044E','ConnectionTozVMAPIVM53','guestVirtualNetworkConnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530045E','ConnectionTozVMAPIVM53','guestDeactivateUsingAPI',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530046E','ConnectionTozVMAPIVM53','guestDeactivateUsingAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530047E','ConnectionTozVMAPIVM53','guestDeactivateUsingAPI',200,32,39,39);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530048E','ConnectionTozVMAPIVM53','guestDeactivateUsingAPI',200,36,40,40);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530049E','ConnectionTozVMAPIVM53','guestCreate',400,8,41,41);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530050E','ConnectionTozVMAPIVM53','guestCreate',400,20,42,42);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530051E','ConnectionTozVMAPIVM53','guestCreate',400,40,43,43);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530052E','ConnectionTozVMAPIVM53','guestCreate',436,4,44,44);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530053E','ConnectionTozVMAPIVM53','guestCreate',436,40,45,45);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530054E','ConnectionTozVMAPIVM53','guestCreate',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530055E','ConnectionTozVMAPIVM53','guestCreate',448,0,47,47);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530056E','ConnectionTozVMAPIVM53','guestPasswordSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530057E','ConnectionTozVMAPIVM53','guestPasswordSet',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530058E','ConnectionTozVMAPIVM53','guestPasswordSet',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530059E','ConnectionTozVMAPIVM53','guestDelete',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530060E','ConnectionTozVMAPIVM53','guestDelete',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530061E','ConnectionTozVMAPIVM53','guestDelete',400,16,48,48);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530062E','ConnectionTozVMAPIVM53','prototypeDefinitionQuery',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530063E','ConnectionTozVMAPIVM53','prototypeCreate',416,0,50,50);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530064E','ConnectionTozVMAPIVM53','prototypeCreate',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530065E','ConnectionTozVMAPIVM53','prototypeReplace',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530066E','ConnectionTozVMAPIVM53','prototypeDelete',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530067E','ConnectionTozVMAPIVM53','*GENERAL*',100,12,51,51);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530068E','ConnectionTozVMAPIVM53','guestActivateWithAPI',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530069E','ConnectionTozVMAPIVM53','guestActivateWithAPI',200,8,53,53);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530070E','ConnectionTozVMAPIVM53','guestActivateWithAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530071E','ConnectionTozVMAPIVM53','guestActivateWithAPI',200,28,54,54);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530072E','ConnectionTozVMAPIVM53','guestTagSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530073E','ConnectionTozVMAPIVM53','guestTagSet',432,8,55,55);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530074E','ConnectionTozVMAPIVM53','guestTagSet',432,16,56,56);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530075E','ConnectionTozVMAPIVM53','guestTagSet',432,20,57,57);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530076E','ConnectionTozVMAPIVM53','DASDGroupRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530077E','ConnectionTozVMAPIVM53','DASDGroupRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530078E','ConnectionTozVMAPIVM53','DASDDeleteDASDGroup',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530079E','ConnectionTozVMAPIVM53','DASDDeleteDASDGroup',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530080E','ConnectionTozVMAPIVM53','DASDGroupAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530081E','ConnectionTozVMAPIVM53','DASDGroupAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530082E','ConnectionTozVMAPIVM53','DASDGroupAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530083E','ConnectionTozVMAPIVM53','DASDVolumeAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530084E','ConnectionTozVMAPIVM53','DASDVolumeAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530085E','ConnectionTozVMAPIVM53','DASDVolumeAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530086E','ConnectionTozVMAPIVM53','DASDVolumeRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530087E','ConnectionTozVMAPIVM53','DASDVolumeRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530088E','ConnectionTozVMAPIVM53','DASDGroupAddVolume',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530089E','ConnectionTozVMAPIVM53','DASDGroupAddVolume',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530090E','ConnectionTozVMAPIVM53','DASDGroupAddVolume',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530091E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530092E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530093E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530094E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530095E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530096E','ConnectionTozVMAPIVM53','guestStorageAddFullMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530097E','ConnectionTozVMAPIVM53','guestStorageAddFullMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530098E','ConnectionTozVMAPIVM53','guestStorageAddFullMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530099E','ConnectionTozVMAPIVM53','guestStorageAddFullMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530100E','ConnectionTozVMAPIVM53','guestStorageAddFullMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530101E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530102E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530103E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',208,4,61,61);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530104E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',208,8,62,62);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530105E','ConnectionTozVMAPIVM53','DASDGroupAdd',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530106E','ConnectionTozVMAPIVM53','DASDGroupAdd',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530107E','ConnectionTozVMAPIVM53','DASDGroupAdd',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530108E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530109E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530110E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530111E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530112E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530113E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,16,63,63);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530114E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,28,64,64);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530115E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskAdd',408,32,65,65);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530116E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskRemove',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530117E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskRemove',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530118E','ConnectionTozVMAPIVM53','guestStorageLinkMinidiskRemove',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530119E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530120E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530121E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530122E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530123E','ConnectionTozVMAPIVM53','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530127E','ConnectionTozVMAPIVM53','DASDDefinitionQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530128E','ConnectionTozVMAPIVM53','DASDDefinitionQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530129E','ConnectionTozVMAPIVM53','DASDFreeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530130E','ConnectionTozVMAPIVM53','DASDFreeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530131I','ConnectionTozVMAPIVM53','asychOperationStatusQuery',0,100,66,66);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530132I','ConnectionTozVMAPIVM53','asychOperationStatusQuery',0,104,67,67);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530133I','ConnectionTozVMAPIVM53','asychOperationStatusQuery',0,108,68,68);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530134E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,14,69,69);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530135E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,22,70,70);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530136E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,24,71,71);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530137E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,28,72,72);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530138E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,32,73,73);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530139E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,34,74,74);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530140E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,36,75,75);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530141E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,38,76,76);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530142E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,40,77,77);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530143E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,42,78,78);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530144E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,44,79,79);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530145E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,46,80,80);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530146E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,48,81,81);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530147E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,50,82,82);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530148E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,52,83,83);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530149E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,54,84,84);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530150E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,58,85,85);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530151E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,60,86,86);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530152E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,62,87,87);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530153E','ConnectionTozVMAPIVM53','virtualNetworkAccessSet',620,64,88,88);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530154E','ConnectionTozVMAPIVM53','vmSystemStorageVolumeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530155E','ConnectionTozVMAPIVM53','vmSystemStorageVolumeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530156E','ConnectionTozVMAPIVM53','asyncNotificationEnable',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530157E','ConnectionTozVMAPIVM53','asyncNotificationEnable',428,4,89,89);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530158E','ConnectionTozVMAPIVM53','profileDefinitionQuery',400,4,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530159E','ConnectionTozVMAPIVM53','*GENERAL*',-3,100,143,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530160E','ConnectionTozVMAPIVM53','apiServerCheckStatus',8,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530161E','ConnectionTozVMAPIVM53','prototypeCreate',416,8,142,163);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530164E','ConnectionTozVMAPIVM53','*GENERAL*',592,0,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530167E','ConnectionTozVMAPIVM53','guestVirtualNetworkDisconnect',24,1024,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530170E','ConnectionTozVMAPIVM53','*GENERAL*',900,8,144,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530171E','ConnectionTozVMAPIVM53','*GENERAL*',-3,0,143,166);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530172E','ConnectionTozVMAPIVM53','*GENERAL*',-1,0,143,167);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530173E','ConnectionTozVMAPIVM53','*GENERAL*',-2,0,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530174E','ConnectionTozVMAPIVM53','*GENERAL*',-2,100,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530175E','ConnectionTozVMAPIVM53','*GENERAL*',-4,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530176E','ConnectionTozVMAPIVM53','*GENERAL*',-4,100,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530177E','ConnectionTozVMAPIVM53','*GENERAL*',-5,0,143,169);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530178E','ConnectionTozVMAPIVM53','*GENERAL*',-6,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530179E','ConnectionTozVMAPIVM61','guestPasswordQuery',8,0,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530180E','ConnectionTozVMAPIVM53','apiServerStop',8,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530181E','ConnectionTozVMAPIVM53','addCPUToGuest',520,24,171,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530182E','ConnectionTozVMAPIVM53','addCPUToGuest',520,28,171,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530183E','ConnectionTozVMAPIVM53','addCPUToGuest',520,32,171,203);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530184E','ConnectionTozVMAPIVM53','addCPUToGuest',520,45,171,204);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530185E','ConnectionTozVMAPIVM53','deleteCPUfromGuest',520,28,172,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI530186E','ConnectionTozVMAPIVM53','deleteCPUfromGuest',520,30,172,205);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540000I','ConnectionTozVMAPIVM54','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540001E','ConnectionTozVMAPIVM54','*GENERAL*',24,-1,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540002E','ConnectionTozVMAPIVM54','*GENERAL*',100,8,3,3);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540003E','ConnectionTozVMAPIVM54','*GENERAL*',100,16,4,4);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540004E','ConnectionTozVMAPIVM54','*GENERAL*',120,0,5,5);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540005E','ConnectionTozVMAPIVM54','*GENERAL*',900,12,6,6);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540006E','ConnectionTozVMAPIVM54','*GENERAL*',900,20,7,7);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540007E','ConnectionTozVMAPIVM54','*GENERAL*',900,24,8,8);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540008E','ConnectionTozVMAPIVM54','*GENERAL*',900,36,9,9);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540009E','ConnectionTozVMAPIVM54','*GENERAL*',500,8,11,11);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540010I','ConnectionTozVMAPIVM54','*GENERAL*',592,-1,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540011E','ConnectionTozVMAPIVM54','*GENERAL*',596,-1,13,13);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540012E','ConnectionTozVMAPIVM54','guestDefinitionQuery',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540013E','ConnectionTozVMAPIVM54','nameListQuery',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540014E','ConnectionTozVMAPIVM54','nameListQuery',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540015W','ConnectionTozVMAPIVM54','directoryPrototypeGetAll',416,4,16,16);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540016I','ConnectionTozVMAPIVM54','nameListAddName',0,12,17,17);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540017I','ConnectionTozVMAPIVM54','nameListAddName',0,36,18,18);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540018E','ConnectionTozVMAPIVM54','nameListAddName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540019E','ConnectionTozVMAPIVM54','nameListAddName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540020I','ConnectionTozVMAPIVM54','nameListRemoveName',0,16,20,20);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540021I','ConnectionTozVMAPIVM54','nameListRemoveName',0,32,21,21);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540022E','ConnectionTozVMAPIVM54','nameListRemoveName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540023E','ConnectionTozVMAPIVM54','nameListRemoveName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540024E','ConnectionTozVMAPIVM54','nameListRemoveName',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540025W','ConnectionTozVMAPIVM54','directorySearchUSER',0,28,23,23);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540026I','ConnectionTozVMAPIVM54','getActiveImages',0,12,24,24);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540027W','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',0,8,25,25);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540028E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540029E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540030E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',404,24,27,27);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540031E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',404,28,28,28);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540032E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540033E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540034E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540035E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540036E','ConnectionTozVMAPIVM54','guestStorageCloneMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540037E','ConnectionTozVMAPIVM54','guestVirtualNetworkDisconnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540038E','ConnectionTozVMAPIVM54','guestVirtualNetworkDisconnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540039E','ConnectionTozVMAPIVM54','guestVirtualNetworkDisconnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540040E','ConnectionTozVMAPIVM54','guestVirtualNetworkConnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540041E','ConnectionTozVMAPIVM54','guestVirtualNetworkConnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540042E','ConnectionTozVMAPIVM54','guestVirtualNetworkConnect',404,4,35,35);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540043E','ConnectionTozVMAPIVM54','guestVirtualNetworkConnect',404,12,36,36);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540044E','ConnectionTozVMAPIVM54','guestVirtualNetworkConnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540045E','ConnectionTozVMAPIVM54','guestDeactivateUsingAPI',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540046E','ConnectionTozVMAPIVM54','guestDeactivateUsingAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540047E','ConnectionTozVMAPIVM54','guestDeactivateUsingAPI',200,32,39,39);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540048E','ConnectionTozVMAPIVM54','guestDeactivateUsingAPI',200,36,40,40);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540049E','ConnectionTozVMAPIVM54','guestCreate',400,8,41,41);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540050E','ConnectionTozVMAPIVM54','guestCreate',400,20,42,42);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540051E','ConnectionTozVMAPIVM54','guestCreate',400,40,43,43);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540052E','ConnectionTozVMAPIVM54','guestCreate',436,4,44,44);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540053E','ConnectionTozVMAPIVM54','guestCreate',436,40,45,45);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540054E','ConnectionTozVMAPIVM54','guestCreate',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540055E','ConnectionTozVMAPIVM54','guestCreate',448,0,47,47);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540056E','ConnectionTozVMAPIVM54','guestPasswordSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540057E','ConnectionTozVMAPIVM54','guestPasswordSet',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540058E','ConnectionTozVMAPIVM54','guestPasswordSet',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540059E','ConnectionTozVMAPIVM54','guestDelete',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540060E','ConnectionTozVMAPIVM54','guestDelete',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540061E','ConnectionTozVMAPIVM54','guestDelete',400,16,48,48);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540062E','ConnectionTozVMAPIVM54','prototypeDefinitionQuery',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540063E','ConnectionTozVMAPIVM54','prototypeCreate',416,0,50,50);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540064E','ConnectionTozVMAPIVM54','prototypeCreate',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540065E','ConnectionTozVMAPIVM54','prototypeReplace',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540066E','ConnectionTozVMAPIVM54','prototypeDelete',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540067E','ConnectionTozVMAPIVM54','*GENERAL*',100,12,51,51);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540068E','ConnectionTozVMAPIVM54','guestActivateWithAPI',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540069E','ConnectionTozVMAPIVM54','guestActivateWithAPI',200,8,53,53);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540070E','ConnectionTozVMAPIVM54','guestActivateWithAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540071E','ConnectionTozVMAPIVM54','guestActivateWithAPI',200,28,54,54);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540072E','ConnectionTozVMAPIVM54','guestTagSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540073E','ConnectionTozVMAPIVM54','guestTagSet',432,8,55,55);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540074E','ConnectionTozVMAPIVM54','guestTagSet',432,16,56,56);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540075E','ConnectionTozVMAPIVM54','guestTagSet',432,20,57,57);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540076E','ConnectionTozVMAPIVM54','DASDGroupRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540077E','ConnectionTozVMAPIVM54','DASDGroupRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540078E','ConnectionTozVMAPIVM54','DASDDeleteDASDGroup',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540079E','ConnectionTozVMAPIVM54','DASDDeleteDASDGroup',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540080E','ConnectionTozVMAPIVM54','DASDGroupAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540081E','ConnectionTozVMAPIVM54','DASDGroupAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540082E','ConnectionTozVMAPIVM54','DASDGroupAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540083E','ConnectionTozVMAPIVM54','DASDVolumeAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540084E','ConnectionTozVMAPIVM54','DASDVolumeAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540085E','ConnectionTozVMAPIVM54','DASDVolumeAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540086E','ConnectionTozVMAPIVM54','DASDVolumeRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540087E','ConnectionTozVMAPIVM54','DASDVolumeRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540088E','ConnectionTozVMAPIVM54','DASDGroupAddVolume',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540089E','ConnectionTozVMAPIVM54','DASDGroupAddVolume',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540090E','ConnectionTozVMAPIVM54','DASDGroupAddVolume',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540091E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540092E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540093E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540094E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540095E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540096E','ConnectionTozVMAPIVM54','guestStorageAddFullMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540097E','ConnectionTozVMAPIVM54','guestStorageAddFullMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540098E','ConnectionTozVMAPIVM54','guestStorageAddFullMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540099E','ConnectionTozVMAPIVM54','guestStorageAddFullMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540100E','ConnectionTozVMAPIVM54','guestStorageAddFullMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540101E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540102E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540103E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',208,4,61,61);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540104E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',208,8,62,62);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540105E','ConnectionTozVMAPIVM54','DASDGroupAdd',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540106E','ConnectionTozVMAPIVM54','DASDGroupAdd',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540107E','ConnectionTozVMAPIVM54','DASDGroupAdd',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540108E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540109E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540110E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540111E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540112E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540113E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,16,63,63);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540114E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,28,64,64);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540115E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskAdd',408,32,65,65);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540116E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskRemove',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540117E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskRemove',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540118E','ConnectionTozVMAPIVM54','guestStorageLinkMinidiskRemove',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540119E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540120E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540121E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540122E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540123E','ConnectionTozVMAPIVM54','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540127E','ConnectionTozVMAPIVM54','DASDDefinitionQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540128E','ConnectionTozVMAPIVM54','DASDDefinitionQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540129E','ConnectionTozVMAPIVM54','DASDFreeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540130E','ConnectionTozVMAPIVM54','DASDFreeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540131I','ConnectionTozVMAPIVM54','asychOperationStatusQuery',0,100,66,66);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540132I','ConnectionTozVMAPIVM54','asychOperationStatusQuery',0,104,67,67);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540133I','ConnectionTozVMAPIVM54','asychOperationStatusQuery',0,108,68,68);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540134E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,14,69,69);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540135E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,22,70,70);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540136E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,24,71,71);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540137E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,28,72,72);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540138E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,32,73,73);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540139E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,34,74,74);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540140E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,36,75,75);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540141E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,38,76,76);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540142E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,40,77,77);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540143E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,42,78,78);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540144E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,44,79,79);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540145E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,46,80,80);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540146E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,48,81,81);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540147E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,50,82,82);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540148E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,52,83,83);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540149E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,54,84,84);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540150E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,58,85,85);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540151E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,60,86,86);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540152E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,62,87,87);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540153E','ConnectionTozVMAPIVM54','virtualNetworkAccessSet',620,64,88,88);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540154E','ConnectionTozVMAPIVM54','vmSystemStorageVolumeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540155E','ConnectionTozVMAPIVM54','vmSystemStorageVolumeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540156E','ConnectionTozVMAPIVM54','asyncNotificationEnable',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540157E','ConnectionTozVMAPIVM54','asyncNotificationEnable',428,4,89,89);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540158E','ConnectionTozVMAPIVM54','profileDefinitionQuery',400,4,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540159E','ConnectionTozVMAPIVM54','prototypeCreate',416,8,142,163);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540160E','ConnectionTozVMAPIVM54','apiServerCheckStatus',8,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540162E','ConnectionTozVMAPIVM54','*GENERAL*',-3,100,143,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540165E','ConnectionTozVMAPIVM54','*GENERAL*',592,0,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540168E','ConnectionTozVMAPIVM54','guestVirtualNetworkDisconnect',24,1024,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540170E','ConnectionTozVMAPIVM54','*GENERAL*',900,8,144,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540171E','ConnectionTozVMAPIVM54','*GENERAL*',-3,0,143,166);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540172E','ConnectionTozVMAPIVM54','*GENERAL*',-1,0,143,167);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540173E','ConnectionTozVMAPIVM54','*GENERAL*',-2,0,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540174E','ConnectionTozVMAPIVM54','*GENERAL*',-2,100,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540175E','ConnectionTozVMAPIVM54','*GENERAL*',-4,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540176E','ConnectionTozVMAPIVM54','*GENERAL*',-4,100,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540177E','ConnectionTozVMAPIVM54','*GENERAL*',-5,0,143,169);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540178E','ConnectionTozVMAPIVM54','*GENERAL*',-6,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540179E','ConnectionTozVMAPIVM54','guestPasswordQuery',8,0,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540180E','ConnectionTozVMAPIVM54','apiServerStop',8,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540181E','ConnectionTozVMAPIVM54','addCPUToGuest',520,24,171,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540182E','ConnectionTozVMAPIVM54','addCPUToGuest',520,28,171,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540183E','ConnectionTozVMAPIVM54','addCPUToGuest',520,32,171,203);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540184E','ConnectionTozVMAPIVM54','addCPUToGuest',520,45,171,204);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540185E','ConnectionTozVMAPIVM54','deleteCPUfromGuest',520,28,172,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI540186E','ConnectionTozVMAPIVM54','deleteCPUfromGuest',520,30,172,205);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610000I','ConnectionTozVMAPIVM61','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610001E','ConnectionTozVMAPIVM61','*GENERAL*',24,-1,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610002E','ConnectionTozVMAPIVM61','*GENERAL*',100,8,3,3);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610003E','ConnectionTozVMAPIVM61','*GENERAL*',100,16,4,4);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610004E','ConnectionTozVMAPIVM61','*GENERAL*',120,0,5,5);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610005E','ConnectionTozVMAPIVM61','*GENERAL*',900,12,6,6);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610006E','ConnectionTozVMAPIVM61','*GENERAL*',900,20,7,7);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610007E','ConnectionTozVMAPIVM61','*GENERAL*',900,24,8,8);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610008E','ConnectionTozVMAPIVM61','*GENERAL*',900,36,9,9);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610009E','ConnectionTozVMAPIVM61','*GENERAL*',500,8,11,11);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610010I','ConnectionTozVMAPIVM61','*GENERAL*',592,-1,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610011E','ConnectionTozVMAPIVM61','*GENERAL*',596,-1,13,13);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610012E','ConnectionTozVMAPIVM61','guestDefinitionQuery',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610013E','ConnectionTozVMAPIVM61','nameListQuery',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610014E','ConnectionTozVMAPIVM61','nameListQuery',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610015W','ConnectionTozVMAPIVM61','directoryPrototypeGetAll',416,4,16,16);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610016I','ConnectionTozVMAPIVM61','nameListAddName',0,12,17,17);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610017I','ConnectionTozVMAPIVM61','nameListAddName',0,36,18,18);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610018E','ConnectionTozVMAPIVM61','nameListAddName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610019E','ConnectionTozVMAPIVM61','nameListAddName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610020I','ConnectionTozVMAPIVM61','nameListRemoveName',0,16,20,20);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610021I','ConnectionTozVMAPIVM61','nameListRemoveName',0,32,21,21);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610022E','ConnectionTozVMAPIVM61','nameListRemoveName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610023E','ConnectionTozVMAPIVM61','nameListRemoveName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610024E','ConnectionTozVMAPIVM61','nameListRemoveName',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610025W','ConnectionTozVMAPIVM61','directorySearchUSER',0,28,23,23);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610026I','ConnectionTozVMAPIVM61','getActiveImages',0,12,24,24);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610027W','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',0,8,25,25);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610028E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610029E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610030E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',404,24,27,27);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610031E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',404,28,28,28);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610032E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610033E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610034E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610035E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610036E','ConnectionTozVMAPIVM61','guestStorageCloneMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610037E','ConnectionTozVMAPIVM61','guestVirtualNetworkDisconnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610038E','ConnectionTozVMAPIVM61','guestVirtualNetworkDisconnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610039E','ConnectionTozVMAPIVM61','guestVirtualNetworkDisconnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610040E','ConnectionTozVMAPIVM61','guestVirtualNetworkConnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610041E','ConnectionTozVMAPIVM61','guestVirtualNetworkConnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610042E','ConnectionTozVMAPIVM61','guestVirtualNetworkConnect',404,4,35,35);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610043E','ConnectionTozVMAPIVM61','guestVirtualNetworkConnect',404,12,36,36);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610044E','ConnectionTozVMAPIVM61','guestVirtualNetworkConnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610045E','ConnectionTozVMAPIVM61','guestDeactivateUsingAPI',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610046E','ConnectionTozVMAPIVM61','guestDeactivateUsingAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610047E','ConnectionTozVMAPIVM61','guestDeactivateUsingAPI',200,32,39,39);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610048E','ConnectionTozVMAPIVM61','guestDeactivateUsingAPI',200,36,40,40);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610049E','ConnectionTozVMAPIVM61','guestCreate',400,8,41,41);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610050E','ConnectionTozVMAPIVM61','guestCreate',400,20,42,42);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610051E','ConnectionTozVMAPIVM61','guestCreate',400,40,43,43);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610052E','ConnectionTozVMAPIVM61','guestCreate',436,4,44,44);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610053E','ConnectionTozVMAPIVM61','guestCreate',436,40,45,45);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610054E','ConnectionTozVMAPIVM61','guestCreate',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610055E','ConnectionTozVMAPIVM61','guestCreate',448,0,47,47);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610056E','ConnectionTozVMAPIVM61','guestPasswordSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610057E','ConnectionTozVMAPIVM61','guestPasswordSet',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610058E','ConnectionTozVMAPIVM61','guestPasswordSet',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610059E','ConnectionTozVMAPIVM61','guestDelete',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610060E','ConnectionTozVMAPIVM61','guestDelete',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610061E','ConnectionTozVMAPIVM61','guestDelete',400,16,48,48);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610062E','ConnectionTozVMAPIVM61','prototypeDefinitionQuery',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610063E','ConnectionTozVMAPIVM61','prototypeCreate',416,0,50,50);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610064E','ConnectionTozVMAPIVM61','prototypeCreate',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610065E','ConnectionTozVMAPIVM61','prototypeReplace',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610066E','ConnectionTozVMAPIVM61','prototypeDelete',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610067E','ConnectionTozVMAPIVM61','*GENERAL*',100,12,51,51);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610068E','ConnectionTozVMAPIVM61','guestActivateWithAPI',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610069E','ConnectionTozVMAPIVM61','guestActivateWithAPI',200,8,53,53);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610070E','ConnectionTozVMAPIVM61','guestActivateWithAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610071E','ConnectionTozVMAPIVM61','guestActivateWithAPI',200,28,54,54);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610072E','ConnectionTozVMAPIVM61','guestTagSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610073E','ConnectionTozVMAPIVM61','guestTagSet',432,8,55,55);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610074E','ConnectionTozVMAPIVM61','guestTagSet',432,16,56,56);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610075E','ConnectionTozVMAPIVM61','guestTagSet',432,20,57,57);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610076E','ConnectionTozVMAPIVM61','DASDGroupRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610077E','ConnectionTozVMAPIVM61','DASDGroupRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610078E','ConnectionTozVMAPIVM61','DASDDeleteDASDGroup',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610079E','ConnectionTozVMAPIVM61','DASDDeleteDASDGroup',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610080E','ConnectionTozVMAPIVM61','DASDGroupAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610081E','ConnectionTozVMAPIVM61','DASDGroupAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610082E','ConnectionTozVMAPIVM61','DASDGroupAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610083E','ConnectionTozVMAPIVM61','DASDVolumeAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610084E','ConnectionTozVMAPIVM61','DASDVolumeAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610085E','ConnectionTozVMAPIVM61','DASDVolumeAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610086E','ConnectionTozVMAPIVM61','DASDVolumeRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610087E','ConnectionTozVMAPIVM61','DASDVolumeRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610088E','ConnectionTozVMAPIVM61','DASDGroupAddVolume',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610089E','ConnectionTozVMAPIVM61','DASDGroupAddVolume',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610090E','ConnectionTozVMAPIVM61','DASDGroupAddVolume',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610091E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610092E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610093E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610094E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610095E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610096E','ConnectionTozVMAPIVM61','guestStorageAddFullMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610097E','ConnectionTozVMAPIVM61','guestStorageAddFullMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610098E','ConnectionTozVMAPIVM61','guestStorageAddFullMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610099E','ConnectionTozVMAPIVM61','guestStorageAddFullMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610100E','ConnectionTozVMAPIVM61','guestStorageAddFullMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610101E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610102E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610103E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',208,4,61,61);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610104E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',208,8,62,62);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610105E','ConnectionTozVMAPIVM61','DASDGroupAdd',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610106E','ConnectionTozVMAPIVM61','DASDGroupAdd',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610107E','ConnectionTozVMAPIVM61','DASDGroupAdd',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610108E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610109E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610110E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610111E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610112E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610113E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,16,63,63);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610114E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,28,64,64);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610115E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskAdd',408,32,65,65);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610116E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskRemove',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610117E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskRemove',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610118E','ConnectionTozVMAPIVM61','guestStorageLinkMinidiskRemove',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610119E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610120E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610121E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610122E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610123E','ConnectionTozVMAPIVM61','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610127E','ConnectionTozVMAPIVM61','DASDDefinitionQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610128E','ConnectionTozVMAPIVM61','DASDDefinitionQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610129E','ConnectionTozVMAPIVM61','DASDFreeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610130E','ConnectionTozVMAPIVM61','DASDFreeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610131I','ConnectionTozVMAPIVM61','asychOperationStatusQuery',0,100,66,66);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610132I','ConnectionTozVMAPIVM61','asychOperationStatusQuery',0,104,67,67);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610133I','ConnectionTozVMAPIVM61','asychOperationStatusQuery',0,108,68,68);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610134E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,14,69,69);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610135E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,22,70,70);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610136E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,24,71,71);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610137E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,28,72,72);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610138E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,32,73,73);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610139E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,34,74,74);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610140E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,36,75,75);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610141E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,38,76,76);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610142E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,40,77,77);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610143E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,42,78,78);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610144E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,44,79,79);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610145E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,46,80,80);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610146E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,48,81,81);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610147E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,50,82,82);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610148E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,52,83,83);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610149E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,54,84,84);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610150E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,58,85,85);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610151E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,60,86,86);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610152E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,62,87,87);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610153E','ConnectionTozVMAPIVM61','virtualNetworkAccessSet',620,64,88,88);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610154E','ConnectionTozVMAPIVM61','vmSystemStorageVolumeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610155E','ConnectionTozVMAPIVM61','vmSystemStorageVolumeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610156E','ConnectionTozVMAPIVM61','asyncNotificationEnable',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610157E','ConnectionTozVMAPIVM61','asyncNotificationEnable',428,4,89,89);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610158E','ConnectionTozVMAPIVM61','profileDefinitionQuery',400,4,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610159E','ConnectionTozVMAPIVM61','prototypeCreate',416,8,142,163);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610160E','ConnectionTozVMAPIVM61','apiServerCheckStatus',8,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610163E','ConnectionTozVMAPIVM61','*GENERAL*',-3,100,143,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610166E','ConnectionTozVMAPIVM61','*GENERAL*',592,0,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610169E','ConnectionTozVMAPIVM61','guestVirtualNetworkDisconnect',24,1024,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610170E','ConnectionTozVMAPIVM61','*GENERAL*',900,8,144,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610171E','ConnectionTozVMAPIVM61','*GENERAL*',-3,0,143,166);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610172E','ConnectionTozVMAPIVM61','*GENERAL*',-1,0,143,167);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610173E','ConnectionTozVMAPIVM61','*GENERAL*',-2,0,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610174E','ConnectionTozVMAPIVM61','*GENERAL*',-2,100,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610175E','ConnectionTozVMAPIVM61','*GENERAL*',-4,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610176E','ConnectionTozVMAPIVM61','*GENERAL*',-4,100,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610177E','ConnectionTozVMAPIVM61','*GENERAL*',-5,0,143,169);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610178E','ConnectionTozVMAPIVM61','*GENERAL*',-6,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610179E','ConnectionTozVMAPIVM53','guestPasswordQuery',8,0,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610180E','ConnectionTozVMAPIVM61','apiServerStop',8,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610181E','ConnectionTozVMAPIVM61','addCPUToGuest',520,24,171,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610182E','ConnectionTozVMAPIVM61','addCPUToGuest',520,28,171,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610183E','ConnectionTozVMAPIVM61','addCPUToGuest',520,32,171,203);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610184E','ConnectionTozVMAPIVM61','addCPUToGuest',520,45,171,204);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610185E','ConnectionTozVMAPIVM61','deleteCPUfromGuest',520,28,172,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI610186E','ConnectionTozVMAPIVM61','deleteCPUfromGuest',520,30,172,205);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620000I','ConnectionTozVMAPIVM62','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620001E','ConnectionTozVMAPIVM62','*GENERAL*',24,-1,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620002E','ConnectionTozVMAPIVM62','*GENERAL*',100,8,3,3);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620003E','ConnectionTozVMAPIVM62','*GENERAL*',100,16,4,4);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620004E','ConnectionTozVMAPIVM62','*GENERAL*',120,0,5,5);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620005E','ConnectionTozVMAPIVM62','*GENERAL*',900,12,6,6);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620006E','ConnectionTozVMAPIVM62','*GENERAL*',900,20,7,7);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620007E','ConnectionTozVMAPIVM62','*GENERAL*',900,24,8,8);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620008E','ConnectionTozVMAPIVM62','*GENERAL*',900,36,9,9);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620009E','ConnectionTozVMAPIVM62','*GENERAL*',500,8,11,11);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620010I','ConnectionTozVMAPIVM62','*GENERAL*',592,-1,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620011E','ConnectionTozVMAPIVM62','*GENERAL*',596,-1,13,13);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620012E','ConnectionTozVMAPIVM62','guestDefinitionQuery',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620013E','ConnectionTozVMAPIVM62','nameListQuery',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620014E','ConnectionTozVMAPIVM62','nameListQuery',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620015W','ConnectionTozVMAPIVM62','directoryPrototypeGetAll',416,4,16,16);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620016I','ConnectionTozVMAPIVM62','nameListAddName',0,12,17,17);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620017I','ConnectionTozVMAPIVM62','nameListAddName',0,36,18,18);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620018E','ConnectionTozVMAPIVM62','nameListAddName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620019E','ConnectionTozVMAPIVM62','nameListAddName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620020I','ConnectionTozVMAPIVM62','nameListRemoveName',0,16,20,20);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620021I','ConnectionTozVMAPIVM62','nameListRemoveName',0,32,21,21);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620022E','ConnectionTozVMAPIVM62','nameListRemoveName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620023E','ConnectionTozVMAPIVM62','nameListRemoveName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620024E','ConnectionTozVMAPIVM62','nameListRemoveName',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620025W','ConnectionTozVMAPIVM62','directorySearchUSER',0,28,23,23);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620026I','ConnectionTozVMAPIVM62','getActiveImages',0,12,24,24);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620027W','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',0,8,25,25);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620028E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620029E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620030E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',404,24,27,27);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620031E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',404,28,28,28);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620032E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620033E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620034E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620035E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620036E','ConnectionTozVMAPIVM62','guestStorageCloneMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620037E','ConnectionTozVMAPIVM62','guestVirtualNetworkDisconnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620038E','ConnectionTozVMAPIVM62','guestVirtualNetworkDisconnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620039E','ConnectionTozVMAPIVM62','guestVirtualNetworkDisconnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620040E','ConnectionTozVMAPIVM62','guestVirtualNetworkConnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620041E','ConnectionTozVMAPIVM62','guestVirtualNetworkConnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620042E','ConnectionTozVMAPIVM62','guestVirtualNetworkConnect',404,4,35,35);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620043E','ConnectionTozVMAPIVM62','guestVirtualNetworkConnect',404,12,36,36);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620044E','ConnectionTozVMAPIVM62','guestVirtualNetworkConnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620045E','ConnectionTozVMAPIVM62','guestDeactivateUsingAPI',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620046E','ConnectionTozVMAPIVM62','guestDeactivateUsingAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620047E','ConnectionTozVMAPIVM62','guestDeactivateUsingAPI',200,32,39,39);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620048E','ConnectionTozVMAPIVM62','guestDeactivateUsingAPI',200,36,40,40);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620049E','ConnectionTozVMAPIVM62','guestCreate',400,8,41,41);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620050E','ConnectionTozVMAPIVM62','guestCreate',400,20,42,42);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620051E','ConnectionTozVMAPIVM62','guestCreate',400,40,43,43);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620052E','ConnectionTozVMAPIVM62','guestCreate',436,4,44,44);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620053E','ConnectionTozVMAPIVM62','guestCreate',436,40,45,45);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620054E','ConnectionTozVMAPIVM62','guestCreate',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620055E','ConnectionTozVMAPIVM62','guestCreate',448,0,47,47);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620056E','ConnectionTozVMAPIVM62','guestPasswordSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620057E','ConnectionTozVMAPIVM62','guestPasswordSet',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620058E','ConnectionTozVMAPIVM62','guestPasswordSet',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620059E','ConnectionTozVMAPIVM62','guestDelete',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620060E','ConnectionTozVMAPIVM62','guestDelete',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620061E','ConnectionTozVMAPIVM62','guestDelete',400,16,48,48);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620062E','ConnectionTozVMAPIVM62','prototypeDefinitionQuery',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620063E','ConnectionTozVMAPIVM62','prototypeCreate',416,0,50,50);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620064E','ConnectionTozVMAPIVM62','prototypeCreate',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620065E','ConnectionTozVMAPIVM62','prototypeReplace',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620066E','ConnectionTozVMAPIVM62','prototypeDelete',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620067E','ConnectionTozVMAPIVM62','*GENERAL*',100,12,51,51);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620068E','ConnectionTozVMAPIVM62','guestActivateWithAPI',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620069E','ConnectionTozVMAPIVM62','guestActivateWithAPI',200,8,53,53);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620070E','ConnectionTozVMAPIVM62','guestActivateWithAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620071E','ConnectionTozVMAPIVM62','guestActivateWithAPI',200,28,54,54);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620072E','ConnectionTozVMAPIVM62','guestTagSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620073E','ConnectionTozVMAPIVM62','guestTagSet',432,8,55,55);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620074E','ConnectionTozVMAPIVM62','guestTagSet',432,16,56,56);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620075E','ConnectionTozVMAPIVM62','guestTagSet',432,20,57,57);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620076E','ConnectionTozVMAPIVM62','DASDGroupRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620077E','ConnectionTozVMAPIVM62','DASDGroupRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620078E','ConnectionTozVMAPIVM62','DASDDeleteDASDGroup',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620079E','ConnectionTozVMAPIVM62','DASDDeleteDASDGroup',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620080E','ConnectionTozVMAPIVM62','DASDGroupAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620081E','ConnectionTozVMAPIVM62','DASDGroupAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620082E','ConnectionTozVMAPIVM62','DASDGroupAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620083E','ConnectionTozVMAPIVM62','DASDVolumeAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620084E','ConnectionTozVMAPIVM62','DASDVolumeAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620085E','ConnectionTozVMAPIVM62','DASDVolumeAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620086E','ConnectionTozVMAPIVM62','DASDVolumeRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620087E','ConnectionTozVMAPIVM62','DASDVolumeRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620088E','ConnectionTozVMAPIVM62','DASDGroupAddVolume',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620089E','ConnectionTozVMAPIVM62','DASDGroupAddVolume',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620090E','ConnectionTozVMAPIVM62','DASDGroupAddVolume',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620091E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620092E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620093E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620094E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620095E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620096E','ConnectionTozVMAPIVM62','guestStorageAddFullMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620097E','ConnectionTozVMAPIVM62','guestStorageAddFullMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620098E','ConnectionTozVMAPIVM62','guestStorageAddFullMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620099E','ConnectionTozVMAPIVM62','guestStorageAddFullMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620100E','ConnectionTozVMAPIVM62','guestStorageAddFullMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620101E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620102E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620103E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',208,4,61,61);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620104E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',208,8,62,62);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620105E','ConnectionTozVMAPIVM62','DASDGroupAdd',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620106E','ConnectionTozVMAPIVM62','DASDGroupAdd',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620107E','ConnectionTozVMAPIVM62','DASDGroupAdd',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620108E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620109E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620110E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620111E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620112E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620113E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,16,63,63);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620114E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,28,64,64);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620115E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskAdd',408,32,65,65);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620116E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskRemove',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620117E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskRemove',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620118E','ConnectionTozVMAPIVM62','guestStorageLinkMinidiskRemove',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620119E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620120E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620121E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620122E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620123E','ConnectionTozVMAPIVM62','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620127E','ConnectionTozVMAPIVM62','DASDDefinitionQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620128E','ConnectionTozVMAPIVM62','DASDDefinitionQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620129E','ConnectionTozVMAPIVM62','DASDFreeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620130E','ConnectionTozVMAPIVM62','DASDFreeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620131I','ConnectionTozVMAPIVM62','asychOperationStatusQuery',0,100,66,66);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620132I','ConnectionTozVMAPIVM62','asychOperationStatusQuery',0,104,67,67);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620133I','ConnectionTozVMAPIVM62','asychOperationStatusQuery',0,108,68,68);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620134E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,14,69,69);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620135E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,22,70,70);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620136E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,24,71,71);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620137E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,28,72,72);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620138E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,32,73,73);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620139E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,34,74,74);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620140E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,36,75,75);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620141E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,38,76,76);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620142E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,40,77,77);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620143E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,42,78,78);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620144E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,44,79,79);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620145E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,46,80,80);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620146E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,48,81,81);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620147E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,50,82,82);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620148E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,52,83,83);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620149E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,54,84,84);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620150E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,58,85,85);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620151E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,60,86,86);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620152E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,62,87,87);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620153E','ConnectionTozVMAPIVM62','virtualNetworkAccessSet',620,64,88,88);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620154E','ConnectionTozVMAPIVM62','vmSystemStorageVolumeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620155E','ConnectionTozVMAPIVM62','vmSystemStorageVolumeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620156E','ConnectionTozVMAPIVM62','asyncNotificationEnable',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620157E','ConnectionTozVMAPIVM62','asyncNotificationEnable',428,4,89,89);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620158E','ConnectionTozVMAPIVM62','profileDefinitionQuery',400,4,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620159E','ConnectionTozVMAPIVM62','prototypeCreate',416,8,142,163);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620160E','ConnectionTozVMAPIVM62','apiServerCheckStatus',8,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620163E','ConnectionTozVMAPIVM62','*GENERAL*',-3,100,143,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620166E','ConnectionTozVMAPIVM62','*GENERAL*',592,0,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620169E','ConnectionTozVMAPIVM62','guestVirtualNetworkDisconnect',24,1024,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620170E','ConnectionTozVMAPIVM62','*GENERAL*',900,8,144,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620171E','ConnectionTozVMAPIVM62','*GENERAL*',-3,0,143,166);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620172E','ConnectionTozVMAPIVM62','*GENERAL*',-1,0,143,167);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620173E','ConnectionTozVMAPIVM62','*GENERAL*',-2,0,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620174E','ConnectionTozVMAPIVM62','*GENERAL*',-2,100,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620175E','ConnectionTozVMAPIVM62','*GENERAL*',-4,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620176E','ConnectionTozVMAPIVM62','*GENERAL*',-4,100,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620177E','ConnectionTozVMAPIVM62','*GENERAL*',-5,0,143,169);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620178E','ConnectionTozVMAPIVM62','*GENERAL*',-6,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620179E','ConnectionTozVMAPIVM62','guestPasswordQuery',8,0,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620180E','ConnectionTozVMAPIVM62','apiServerStop',8,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620181W','ConnectionTozVMAPIVM62','relocationStatusQueryAllUsingAPI',4,3001,164,191);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620182E','ConnectionTozVMAPIVM62','relocationStatusQueryAllUsingAPI',8,3002,165,192);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620183E','ConnectionTozVMAPIVM62','relocationStatusQueryAllUsingAPI',8,3003,166,193);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620184W','ConnectionTozVMAPIVM62','guestRelocate',4,3000,167,194);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620185E','ConnectionTozVMAPIVM62','guestRelocate',8,3000,168,194);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620186E','ConnectionTozVMAPIVM62','guestRelocate',8,3002,165,192);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620187E','ConnectionTozVMAPIVM62','guestRelocate',8,3003,166,193);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620188E','ConnectionTozVMAPIVM62','guestRelocate',8,3004,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620190E','ConnectionTozVMAPIVM62','addCPUToGuest',520,24,171,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620191E','ConnectionTozVMAPIVM62','addCPUToGuest',520,28,171,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620192E','ConnectionTozVMAPIVM62','addCPUToGuest',520,32,171,203);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620193E','ConnectionTozVMAPIVM62','addCPUToGuest',520,45,171,204);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620194E','ConnectionTozVMAPIVM62','deleteCPUfromGuest',520,28,172,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI620195E','ConnectionTozVMAPIVM62','deleteCPUfromGuest',520,30,172,205);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630000I','ConnectionTozVMAPIVM63','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630001E','ConnectionTozVMAPIVM63','*GENERAL*',24,-1,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630002E','ConnectionTozVMAPIVM63','*GENERAL*',100,8,3,3);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630003E','ConnectionTozVMAPIVM63','*GENERAL*',100,16,4,4);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630004E','ConnectionTozVMAPIVM63','*GENERAL*',120,0,5,5);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630005E','ConnectionTozVMAPIVM63','*GENERAL*',900,12,6,6);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630006E','ConnectionTozVMAPIVM63','*GENERAL*',900,20,7,7);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630007E','ConnectionTozVMAPIVM63','*GENERAL*',900,24,8,8);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630008E','ConnectionTozVMAPIVM63','*GENERAL*',900,36,9,9);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630009E','ConnectionTozVMAPIVM63','*GENERAL*',500,8,11,11);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630010I','ConnectionTozVMAPIVM63','*GENERAL*',592,-1,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630011E','ConnectionTozVMAPIVM63','*GENERAL*',596,-1,13,13);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630012E','ConnectionTozVMAPIVM63','guestDefinitionQuery',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630013E','ConnectionTozVMAPIVM63','nameListQuery',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630014E','ConnectionTozVMAPIVM63','nameListQuery',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630015W','ConnectionTozVMAPIVM63','directoryPrototypeGetAll',416,4,16,16);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630016I','ConnectionTozVMAPIVM63','nameListAddName',0,12,17,17);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630017I','ConnectionTozVMAPIVM63','nameListAddName',0,36,18,18);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630018E','ConnectionTozVMAPIVM63','nameListAddName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630019E','ConnectionTozVMAPIVM63','nameListAddName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630020I','ConnectionTozVMAPIVM63','nameListRemoveName',0,16,20,20);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630021I','ConnectionTozVMAPIVM63','nameListRemoveName',0,32,21,21);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630022E','ConnectionTozVMAPIVM63','nameListRemoveName',28,0,14,14);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630023E','ConnectionTozVMAPIVM63','nameListRemoveName',36,0,19,19);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630024E','ConnectionTozVMAPIVM63','nameListRemoveName',200,24,15,15);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630025W','ConnectionTozVMAPIVM63','directorySearchUSER',0,28,23,23);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630026I','ConnectionTozVMAPIVM63','getActiveImages',0,12,24,24);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630027W','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',0,8,25,25);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630028E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630029E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630030E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',404,24,27,27);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630031E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',404,28,28,28);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630032E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630033E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630034E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630035E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630036E','ConnectionTozVMAPIVM63','guestStorageCloneMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630037E','ConnectionTozVMAPIVM63','guestVirtualNetworkDisconnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630038E','ConnectionTozVMAPIVM63','guestVirtualNetworkDisconnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630039E','ConnectionTozVMAPIVM63','guestVirtualNetworkDisconnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630040E','ConnectionTozVMAPIVM63','guestVirtualNetworkConnect',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630041E','ConnectionTozVMAPIVM63','guestVirtualNetworkConnect',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630042E','ConnectionTozVMAPIVM63','guestVirtualNetworkConnect',404,4,35,35);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630043E','ConnectionTozVMAPIVM63','guestVirtualNetworkConnect',404,12,36,36);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630044E','ConnectionTozVMAPIVM63','guestVirtualNetworkConnect',404,8,34,34);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630045E','ConnectionTozVMAPIVM63','guestDeactivateUsingAPI',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630046E','ConnectionTozVMAPIVM63','guestDeactivateUsingAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630047E','ConnectionTozVMAPIVM63','guestDeactivateUsingAPI',200,32,39,39);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630048E','ConnectionTozVMAPIVM63','guestDeactivateUsingAPI',200,36,40,40);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630049E','ConnectionTozVMAPIVM63','guestCreate',400,8,41,41);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630050E','ConnectionTozVMAPIVM63','guestCreate',400,20,42,42);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630051E','ConnectionTozVMAPIVM63','guestCreate',400,40,43,43);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630052E','ConnectionTozVMAPIVM63','guestCreate',436,4,44,44);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630053E','ConnectionTozVMAPIVM63','guestCreate',436,40,45,45);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630054E','ConnectionTozVMAPIVM63','guestCreate',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630055E','ConnectionTozVMAPIVM63','guestCreate',448,0,47,47);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630056E','ConnectionTozVMAPIVM63','guestPasswordSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630057E','ConnectionTozVMAPIVM63','guestPasswordSet',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630058E','ConnectionTozVMAPIVM63','guestPasswordSet',444,0,46,46);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630059E','ConnectionTozVMAPIVM63','guestDelete',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630060E','ConnectionTozVMAPIVM63','guestDelete',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630061E','ConnectionTozVMAPIVM63','guestDelete',400,16,48,48);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630062E','ConnectionTozVMAPIVM63','prototypeDefinitionQuery',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630063E','ConnectionTozVMAPIVM63','prototypeCreate',416,0,50,50);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630064E','ConnectionTozVMAPIVM63','prototypeCreate',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630065E','ConnectionTozVMAPIVM63','prototypeReplace',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630066E','ConnectionTozVMAPIVM63','prototypeDelete',416,4,49,49);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630067E','ConnectionTozVMAPIVM63','*GENERAL*',100,12,51,51);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630068E','ConnectionTozVMAPIVM63','guestActivateWithAPI',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630069E','ConnectionTozVMAPIVM63','guestActivateWithAPI',200,8,53,53);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630070E','ConnectionTozVMAPIVM63','guestActivateWithAPI',200,16,38,38);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630071E','ConnectionTozVMAPIVM63','guestActivateWithAPI',200,28,54,54);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630072E','ConnectionTozVMAPIVM63','guestTagSet',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630073E','ConnectionTozVMAPIVM63','guestTagSet',432,8,55,55);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630074E','ConnectionTozVMAPIVM63','guestTagSet',432,16,56,56);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630075E','ConnectionTozVMAPIVM63','guestTagSet',432,20,57,57);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630076E','ConnectionTozVMAPIVM63','DASDGroupRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630077E','ConnectionTozVMAPIVM63','DASDGroupRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630078E','ConnectionTozVMAPIVM63','DASDDeleteDASDGroup',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630079E','ConnectionTozVMAPIVM63','DASDDeleteDASDGroup',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630080E','ConnectionTozVMAPIVM63','DASDGroupAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630081E','ConnectionTozVMAPIVM63','DASDGroupAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630082E','ConnectionTozVMAPIVM63','DASDGroupAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630083E','ConnectionTozVMAPIVM63','DASDVolumeAddRegion',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630084E','ConnectionTozVMAPIVM63','DASDVolumeAddRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630085E','ConnectionTozVMAPIVM63','DASDVolumeAddRegion',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630086E','ConnectionTozVMAPIVM63','DASDVolumeRemoveRegion',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630087E','ConnectionTozVMAPIVM63','DASDVolumeRemoveRegion',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630088E','ConnectionTozVMAPIVM63','DASDGroupAddVolume',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630089E','ConnectionTozVMAPIVM63','DASDGroupAddVolume',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630090E','ConnectionTozVMAPIVM63','DASDGroupAddVolume',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630091E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630092E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630093E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630094E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630095E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630096E','ConnectionTozVMAPIVM63','guestStorageAddFullMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630097E','ConnectionTozVMAPIVM63','guestStorageAddFullMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630098E','ConnectionTozVMAPIVM63','guestStorageAddFullMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630099E','ConnectionTozVMAPIVM63','guestStorageAddFullMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630100E','ConnectionTozVMAPIVM63','guestStorageAddFullMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630101E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',200,4,52,52);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630102E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',200,12,37,37);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630103E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',208,4,61,61);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630104E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',208,8,62,62);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630105E','ConnectionTozVMAPIVM63','DASDGroupAdd',420,4,59,59);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630106E','ConnectionTozVMAPIVM63','DASDGroupAdd',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630107E','ConnectionTozVMAPIVM63','DASDGroupAdd',420,36,60,60);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630108E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630109E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630110E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630111E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630112E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,12,31,31);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630113E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,16,63,63);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630114E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,28,64,64);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630115E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskAdd',408,32,65,65);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630116E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskRemove',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630117E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskRemove',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630118E','ConnectionTozVMAPIVM63','guestStorageLinkMinidiskRemove',408,8,30,30);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630119E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630120E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',400,12,26,26);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630121E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',408,4,29,29);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630122E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',408,24,32,32);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630123E','ConnectionTozVMAPIVM63','guestStorageAddMinidisk',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630127E','ConnectionTozVMAPIVM63','DASDDefinitionQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630128E','ConnectionTozVMAPIVM63','DASDDefinitionQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630129E','ConnectionTozVMAPIVM63','DASDFreeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630130E','ConnectionTozVMAPIVM63','DASDFreeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630131I','ConnectionTozVMAPIVM63','asychOperationStatusQuery',0,100,66,66);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630132I','ConnectionTozVMAPIVM63','asychOperationStatusQuery',0,104,67,67);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630133I','ConnectionTozVMAPIVM63','asychOperationStatusQuery',0,108,68,68);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630134E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,14,69,69);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630135E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,22,70,70);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630136E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,24,71,71);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630137E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,28,72,72);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630138E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,32,73,73);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630139E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,34,74,74);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630140E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,36,75,75);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630141E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,38,76,76);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630142E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,40,77,77);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630143E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,42,78,78);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630144E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,44,79,79);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630145E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,46,80,80);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630146E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,48,81,81);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630147E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,50,82,82);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630148E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,52,83,83);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630149E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,54,84,84);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630150E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,58,85,85);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630151E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,60,86,86);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630152E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,62,87,87);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630153E','ConnectionTozVMAPIVM63','virtualNetworkAccessSet',620,64,88,88);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630154E','ConnectionTozVMAPIVM63','vmSystemStorageVolumeQuery',420,8,33,33);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630155E','ConnectionTozVMAPIVM63','vmSystemStorageVolumeQuery',420,12,58,58);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630156E','ConnectionTozVMAPIVM63','asyncNotificationEnable',400,4,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630157E','ConnectionTozVMAPIVM63','asyncNotificationEnable',428,4,89,89);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630158E','ConnectionTozVMAPIVM63','profileDefinitionQuery',400,4,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630159E','ConnectionTozVMAPIVM63','prototypeCreate',416,8,142,163);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630160E','ConnectionTozVMAPIVM63','apiServerCheckStatus',8,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630163E','ConnectionTozVMAPIVM63','*GENERAL*',-3,100,143,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630166E','ConnectionTozVMAPIVM63','*GENERAL*',592,0,12,12);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630169E','ConnectionTozVMAPIVM63','guestVirtualNetworkDisconnect',24,1024,2,2);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630170E','ConnectionTozVMAPIVM63','*GENERAL*',900,8,144,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630171E','ConnectionTozVMAPIVM63','*GENERAL*',-3,0,143,166);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630172E','ConnectionTozVMAPIVM63','*GENERAL*',-1,0,143,167);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630173E','ConnectionTozVMAPIVM63','*GENERAL*',-2,0,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630174E','ConnectionTozVMAPIVM63','*GENERAL*',-2,100,143,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630175E','ConnectionTozVMAPIVM63','*GENERAL*',-4,0,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630176E','ConnectionTozVMAPIVM63','*GENERAL*',-4,100,143,164);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630177E','ConnectionTozVMAPIVM63','*GENERAL*',-5,0,143,169);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630178E','ConnectionTozVMAPIVM63','*GENERAL*',-6,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630179E','ConnectionTozVMAPIVM63','guestPasswordQuery',8,0,10,10);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630180E','ConnectionTozVMAPIVM63','apiServerStop',8,0,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630181W','ConnectionTozVMAPIVM63','relocationStatusQueryAllUsingAPI',4,3001,164,191);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630182E','ConnectionTozVMAPIVM63','relocationStatusQueryAllUsingAPI',8,3002,165,192);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630183E','ConnectionTozVMAPIVM63','relocationStatusQueryAllUsingAPI',8,3003,166,193);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630184W','ConnectionTozVMAPIVM63','guestRelocate',4,3000,167,194);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630185E','ConnectionTozVMAPIVM63','guestRelocate',8,3000,168,194);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630186E','ConnectionTozVMAPIVM63','guestRelocate',8,3002,165,192);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630187E','ConnectionTozVMAPIVM63','guestRelocate',8,3003,166,193);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630188E','ConnectionTozVMAPIVM63','guestRelocate',8,3004,143,165);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630190E','ConnectionTozVMAPIVM63','addCPUToGuest',520,24,171,201);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630191E','ConnectionTozVMAPIVM63','addCPUToGuest',520,28,171,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630192E','ConnectionTozVMAPIVM63','addCPUToGuest',520,32,171,203);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630193E','ConnectionTozVMAPIVM63','addCPUToGuest',520,45,171,204);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630194E','ConnectionTozVMAPIVM63','deleteCPUfromGuest',520,28,172,202);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVAPI630195E','ConnectionTozVMAPIVM63','deleteCPUfromGuest',520,30,172,205);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVEAPI000003','ConnectionTozVMAPI','*GENERAL*',4,0,110,116);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVEAPI000004','ConnectionTozVMAPI','*GENERAL*',8,0,111,117);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01000I','ConnectionToSQLPerformance','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01001I','ConnectionToSQLPerformance','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01002I','ConnectionToSQLPerformance','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01003I','ConnectionToSQLPerformance','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01004W','ConnectionToSQLPerformance','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01005W','ConnectionToSQLPerformance','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01006W','ConnectionToSQLPerformance','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01007W','ConnectionToSQLPerformance','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01008E','ConnectionToSQLPerformance','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01009E','ConnectionToSQLPerformance','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01010E','ConnectionToSQLPerformance','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL01011E','ConnectionToSQLPerformance','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02000I','ConnectionToSQLDasdGroups','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02001I','ConnectionToSQLDasdGroups','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02002I','ConnectionToSQLDasdGroups','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02003I','ConnectionToSQLDasdGroups','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02004W','ConnectionToSQLDasdGroups','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02005W','ConnectionToSQLDasdGroups','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02006W','ConnectionToSQLDasdGroups','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02007W','ConnectionToSQLDasdGroups','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02008E','ConnectionToSQLDasdGroups','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02009E','ConnectionToSQLDasdGroups','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02010E','ConnectionToSQLDasdGroups','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL02011E','ConnectionToSQLDasdGroups','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03000I','ConnectionToSQLDasdRegions','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03001I','ConnectionToSQLDasdRegions','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03002I','ConnectionToSQLDasdRegions','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03003I','ConnectionToSQLDasdRegions','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03004W','ConnectionToSQLDasdRegions','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03005W','ConnectionToSQLDasdRegions','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03006W','ConnectionToSQLDasdRegions','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03007W','ConnectionToSQLDasdRegions','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03008E','ConnectionToSQLDasdRegions','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03009E','ConnectionToSQLDasdRegions','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03010E','ConnectionToSQLDasdRegions','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL03011E','ConnectionToSQLDasdRegions','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04000I','ConnectionToSQLGuests','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04001I','ConnectionToSQLGuests','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04002I','ConnectionToSQLGuests','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04003I','ConnectionToSQLGuests','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04004W','ConnectionToSQLGuests','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04005W','ConnectionToSQLGuests','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04006W','ConnectionToSQLGuests','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04007W','ConnectionToSQLGuests','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04008E','ConnectionToSQLGuests','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04009E','ConnectionToSQLGuests','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04010E','ConnectionToSQLGuests','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL04011E','ConnectionToSQLGuests','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05000I','ConnectionToSQLProfiles','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05001I','ConnectionToSQLProfiles','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05002I','ConnectionToSQLProfiles','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05003I','ConnectionToSQLProfiles','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05004W','ConnectionToSQLProfiles','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05005W','ConnectionToSQLProfiles','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05006W','ConnectionToSQLProfiles','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05007W','ConnectionToSQLProfiles','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05008E','ConnectionToSQLProfiles','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05009E','ConnectionToSQLProfiles','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05010E','ConnectionToSQLProfiles','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL05011E','ConnectionToSQLProfiles','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06000I','ConnectionToSQLPrototypes','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06001I','ConnectionToSQLPrototypes','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06002I','ConnectionToSQLPrototypes','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06003I','ConnectionToSQLPrototypes','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06004W','ConnectionToSQLPrototypes','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06005W','ConnectionToSQLPrototypes','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06006W','ConnectionToSQLPrototypes','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06007W','ConnectionToSQLPrototypes','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06008E','ConnectionToSQLPrototypes','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06009E','ConnectionToSQLPrototypes','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06010E','ConnectionToSQLPrototypes','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL06011E','ConnectionToSQLPrototypes','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07000I','ConnectionToSQLFCP','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07001I','ConnectionToSQLFCP','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07002I','ConnectionToSQLFCP','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07003I','ConnectionToSQLFCP','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07004W','ConnectionToSQLFCP','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07005W','ConnectionToSQLFCP','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07006W','ConnectionToSQLFCP','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07007W','ConnectionToSQLFCP','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07008E','ConnectionToSQLFCP','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07009E','ConnectionToSQLFCP','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07010E','ConnectionToSQLFCP','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL07011E','ConnectionToSQLFCP','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15000I','ConnectionToSQLAttentionReq','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15001I','ConnectionToSQLAttentionReq','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15002I','ConnectionToSQLAttentionReq','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15003I','ConnectionToSQLAttentionReq','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15004W','ConnectionToSQLAttentionReq','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15005W','ConnectionToSQLAttentionReq','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15006W','ConnectionToSQLAttentionReq','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15007W','ConnectionToSQLAttentionReq','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15008E','ConnectionToSQLAttentionReq','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15009E','ConnectionToSQLAttentionReq','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15010E','ConnectionToSQLAttentionReq','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL15011E','ConnectionToSQLAttentionReq','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16000I','ConnectionToSQLCustomAttribute','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16001I','ConnectionToSQLCustomAttribute','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16002I','ConnectionToSQLCustomAttribute','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16003I','ConnectionToSQLCustomAttribute','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16004W','ConnectionToSQLCustomAttribute','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16005W','ConnectionToSQLCustomAttribute','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16006W','ConnectionToSQLCustomAttribute','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16007W','ConnectionToSQLCustomAttribute','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16008E','ConnectionToSQLCustomAttribute','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16009E','ConnectionToSQLCustomAttribute','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16010E','ConnectionToSQLCustomAttribute','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL16011E','ConnectionToSQLCustomAttribute','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17000I','ConnectionToSQLDirectory','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17001I','ConnectionToSQLDirectory','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17002I','ConnectionToSQLDirectory','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17003I','ConnectionToSQLDirectory','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17004W','ConnectionToSQLDirectory','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17005W','ConnectionToSQLDirectory','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17006W','ConnectionToSQLDirectory','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17007W','ConnectionToSQLDirectory','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17008E','ConnectionToSQLDirectory','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17009E','ConnectionToSQLDirectory','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17010E','ConnectionToSQLDirectory','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL17011E','ConnectionToSQLDirectory','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18000I','ConnectionToSQLManagedEntities','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18001I','ConnectionToSQLManagedEntities','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18002I','ConnectionToSQLManagedEntities','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18003I','ConnectionToSQLManagedEntities','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18004W','ConnectionToSQLManagedEntities','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18005W','ConnectionToSQLManagedEntities','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18006W','ConnectionToSQLManagedEntities','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18007W','ConnectionToSQLManagedEntities','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18008E','ConnectionToSQLManagedEntities','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18009E','ConnectionToSQLManagedEntities','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18010E','ConnectionToSQLManagedEntities','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL18011E','ConnectionToSQLManagedEntities','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19000I','ConnectionToSQLPermissions','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19001I','ConnectionToSQLPermissions','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19002I','ConnectionToSQLPermissions','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19003I','ConnectionToSQLPermissions','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19004W','ConnectionToSQLPermissions','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19005W','ConnectionToSQLPermissions','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19006W','ConnectionToSQLPermissions','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19007W','ConnectionToSQLPermissions','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19008E','ConnectionToSQLPermissions','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19009E','ConnectionToSQLPermissions','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19010E','ConnectionToSQLPermissions','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL19011E','ConnectionToSQLPermissions','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20000I','ConnectionToSQLPersonalization','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20001I','ConnectionToSQLPersonalization','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20002I','ConnectionToSQLPersonalization','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20003I','ConnectionToSQLPersonalization','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20004W','ConnectionToSQLPersonalization','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20005W','ConnectionToSQLPersonalization','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20006W','ConnectionToSQLPersonalization','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20007W','ConnectionToSQLPersonalization','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20008E','ConnectionToSQLPersonalization','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20009E','ConnectionToSQLPersonalization','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20010E','ConnectionToSQLPersonalization','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL20011E','ConnectionToSQLPersonalization','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21000I','ConnectionToSQLProject','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21001I','ConnectionToSQLProject','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21002I','ConnectionToSQLProject','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21003I','ConnectionToSQLProject','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21004W','ConnectionToSQLProject','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21005W','ConnectionToSQLProject','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21006W','ConnectionToSQLProject','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21007W','ConnectionToSQLProject','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21008E','ConnectionToSQLProject','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21009E','ConnectionToSQLProject','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21010E','ConnectionToSQLProject','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL21011E','ConnectionToSQLProject','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22000I','ConnectionToSQLScripts','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22001I','ConnectionToSQLScripts','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22002I','ConnectionToSQLScripts','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22003I','ConnectionToSQLScripts','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22004W','ConnectionToSQLScripts','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22005W','ConnectionToSQLScripts','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22006W','ConnectionToSQLScripts','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22007W','ConnectionToSQLScripts','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22008E','ConnectionToSQLScripts','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22009E','ConnectionToSQLScripts','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22010E','ConnectionToSQLScripts','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL22011E','ConnectionToSQLScripts','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23000I','ConnectionToSQLVNS','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23001I','ConnectionToSQLVNS','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23002I','ConnectionToSQLVNS','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23003I','ConnectionToSQLVNS','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23004W','ConnectionToSQLVNS','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23005W','ConnectionToSQLVNS','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23006W','ConnectionToSQLVNS','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23007W','ConnectionToSQLVNS','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23008E','ConnectionToSQLVNS','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23009E','ConnectionToSQLVNS','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23010E','ConnectionToSQLVNS','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL23011E','ConnectionToSQLVNS','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24000I','ConnectionToSQLWAVELog','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24001I','ConnectionToSQLWAVELog','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24002I','ConnectionToSQLWAVELog','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24003I','ConnectionToSQLWAVELog','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24004W','ConnectionToSQLWAVELog','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24005W','ConnectionToSQLWAVELog','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24006W','ConnectionToSQLWAVELog','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24007W','ConnectionToSQLWAVELog','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24008E','ConnectionToSQLWAVELog','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24009E','ConnectionToSQLWAVELog','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24010E','ConnectionToSQLWAVELog','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL24011E','ConnectionToSQLWAVELog','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25000I','ConnectionToSQLWAVEWorkunits','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25001I','ConnectionToSQLWAVEWorkunits','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25002I','ConnectionToSQLWAVEWorkunits','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25003I','ConnectionToSQLWAVEWorkunits','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25004W','ConnectionToSQLWAVEWorkunits','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25005W','ConnectionToSQLWAVEWorkunits','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25006W','ConnectionToSQLWAVEWorkunits','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25007W','ConnectionToSQLWAVEWorkunits','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25008E','ConnectionToSQLWAVEWorkunits','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25009E','ConnectionToSQLWAVEWorkunits','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25010E','ConnectionToSQLWAVEWorkunits','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL25011E','ConnectionToSQLWAVEWorkunits','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26000I','ConnectionToSQLWAVEUser','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26001I','ConnectionToSQLWAVEUser','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26002I','ConnectionToSQLWAVEUser','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26003I','ConnectionToSQLWAVEUser','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26004W','ConnectionToSQLWAVEUser','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26005W','ConnectionToSQLWAVEUser','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26006W','ConnectionToSQLWAVEUser','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26007W','ConnectionToSQLWAVEUser','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26008E','ConnectionToSQLWAVEUser','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26009E','ConnectionToSQLWAVEUser','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26010E','ConnectionToSQLWAVEUser','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVESQL26011E','ConnectionToSQLWAVEUser','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00001I','ConnectionTozVMGuestRHEL','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00002W','ConnectionTozVMGuestRHEL','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00003E','ConnectionTozVMGuestRHEL','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00042E','ConnectionTozVMGuestRHEL','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00043E','ConnectionTozVMGuestRHEL','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00044E','ConnectionTozVMGuestRHEL','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00045E','ConnectionTozVMGuestRHEL','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00046E','ConnectionTozVMGuestRHEL','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00047E','ConnectionTozVMGuestRHEL','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00048E','ConnectionTozVMGuestRHEL','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR00049E','ConnectionTozVMGuestRHEL','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40001I','ConnectionTozVMGuestRHEL4','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40002W','ConnectionTozVMGuestRHEL4','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40003E','ConnectionTozVMGuestRHEL4','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40042E','ConnectionTozVMGuestRHEL4','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40043E','ConnectionTozVMGuestRHEL4','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40044E','ConnectionTozVMGuestRHEL4','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40045E','ConnectionTozVMGuestRHEL4','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40046E','ConnectionTozVMGuestRHEL4','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40047E','ConnectionTozVMGuestRHEL4','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40048E','ConnectionTozVMGuestRHEL4','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR40049E','ConnectionTozVMGuestRHEL4','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50001I','ConnectionTozVMGuestRHEL5','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50002W','ConnectionTozVMGuestRHEL5','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50003E','ConnectionTozVMGuestRHEL5','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50042E','ConnectionTozVMGuestRHEL5','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50043E','ConnectionTozVMGuestRHEL5','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50044E','ConnectionTozVMGuestRHEL5','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50045E','ConnectionTozVMGuestRHEL5','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50046E','ConnectionTozVMGuestRHEL5','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50047E','ConnectionTozVMGuestRHEL5','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50048E','ConnectionTozVMGuestRHEL5','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR50049E','ConnectionTozVMGuestRHEL5','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60001I','ConnectionTozVMGuestRHEL6','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60002W','ConnectionTozVMGuestRHEL6','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60003E','ConnectionTozVMGuestRHEL6','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60042E','ConnectionTozVMGuestRHEL6','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60043E','ConnectionTozVMGuestRHEL6','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60044E','ConnectionTozVMGuestRHEL6','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60045E','ConnectionTozVMGuestRHEL6','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60046E','ConnectionTozVMGuestRHEL6','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60047E','ConnectionTozVMGuestRHEL6','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60048E','ConnectionTozVMGuestRHEL6','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSR60049E','ConnectionTozVMGuestRHEL6','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00001I','ConnectionTozVMGuestSLES','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00002W','ConnectionTozVMGuestSLES','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00003E','ConnectionTozVMGuestSLES','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00042E','ConnectionTozVMGuestSLES','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00043E','ConnectionTozVMGuestSLES','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00044E','ConnectionTozVMGuestSLES','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00045E','ConnectionTozVMGuestSLES','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00046E','ConnectionTozVMGuestSLES','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00047E','ConnectionTozVMGuestSLES','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00048E','ConnectionTozVMGuestSLES','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS00049E','ConnectionTozVMGuestSLES','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS10001I','ConnectionTozVMGuestSLES10','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS10002W','ConnectionTozVMGuestSLES10','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS10003E','ConnectionTozVMGuestSLES10','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11001I','ConnectionTozVMGuestSLES11','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11002W','ConnectionTozVMGuestSLES11','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11003E','ConnectionTozVMGuestSLES11','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11042E','ConnectionTozVMGuestSLES11','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11043E','ConnectionTozVMGuestSLES11','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11044E','ConnectionTozVMGuestSLES11','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11045E','ConnectionTozVMGuestSLES11','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11046E','ConnectionTozVMGuestSLES11','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11047E','ConnectionTozVMGuestSLES11','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11048E','ConnectionTozVMGuestSLES11','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS11049E','ConnectionTozVMGuestSLES11','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS90001I','ConnectionTozVMGuestSLES9','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS90002W','ConnectionTozVMGuestSLES9','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGSS90003E','ConnectionTozVMGuestSLES9','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00001I','ConnectionTozVMGuest','*GENERAL*',0,0,112,118);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00002W','ConnectionTozVMGuest','*GENERAL*',4,0,113,119);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00003E','ConnectionTozVMGuest','*GENERAL*',8,0,114,120);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00004E','ConnectionTozVMGuest','hasShutdownFlag',4,1,115,121);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00005E','ConnectionTozVMGuest','checkOSVersion',8,1,116,122);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00006E','ConnectionTozVMGuest','checkOSVersion',8,2,116,123);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00007E','ConnectionTozVMGuest','checkOSVersion',8,3,116,124);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00008E','ConnectionTozVMGuest','checkOSVersion',8,4,116,125);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00009E','ConnectionTozVMGuest','removeFile',4,1,117,126);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00010E','ConnectionTozVMGuest','setETHStatus',8,1,118,127);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00011E','ConnectionTozVMGuest','updatePermanentConn',4,1,119,128);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00012E','ConnectionTozVMGuest','updatePermanentConn',4,2,119,129);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00013E','ConnectionTozVMGuest','updatePermanentConn',4,3,119,130);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00014E','ConnectionTozVMGuest','updatePermanentConn',4,4,119,131);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00015E','ConnectionTozVMGuest','updatePermanentConn',4,5,119,132);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00016E','ConnectionTozVMGuest','updatePermanentConn',4,7,119,134);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00017E','ConnectionTozVMGuest','updateTemporaryConn',4,1,120,135);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00018W','ConnectionTozVMGuest','hasCMSFS',4,1,121,136);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00019W','ConnectionTozVMGuest','hasCMSFS',4,2,121,137);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00020E','ConnectionTozVMGuest','getVMUserID',4,1,122,138);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00021E','ConnectionTozVMGuest','runZipl',4,1,123,139);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00022E','ConnectionTozVMGuest','addUserAsSudoer',4,1,124,140);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00023E','ConnectionTozVMGuest','detachDevice',4,1,125,138);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00024E','ConnectionTozVMGuest','linkDev',4,1,126,138);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00025E','ConnectionTozVMGuest','linkDev',4,2,126,141);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00027E','ConnectionTozVMGuest','getDisk',4,2,127,143);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00028E','ConnectionTozVMGuest','scpFileBin',4,1,128,144);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00029E','ConnectionTozVMGuest','scpFileBin',4,2,128,145);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00030E','ConnectionTozVMGuest','cleanDirectory',4,1,129,146);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00031E','ConnectionTozVMGuest','updatePermanentConn',4,6,119,133);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00032I','ConnectionToWAVESRVSSH','*GENERAL*',0,0,1,154);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00033W','ConnectionToWAVESRVSSH','*GENERAL*',4,0,135,155);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00034E','ConnectionToWAVESRVSSH','*GENERAL*',8,0,136,156);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00035E','ConnectionToWAVESRVSSH','removeFile',8,1,117,157);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00036I','ConnectionToAbstractServer','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00037W','ConnectionToAbstractServer','*GENERAL*',4,0,136,156);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00038E','ConnectionToAbstractServer','*GENERAL*',8,0,135,155);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00039E','ConnectionTozVMGuest','setETHStatus',8,0,118,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00040E','ConnectionTozVMGuest','setETHStatus',8,2,118,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00041E','ConnectionTozVMGuest','setETHStatus',8,8,118,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00042E','ConnectionTozVMGuest','updateTemporaryConnAccess',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00043E','ConnectionTozVMGuest','updateTemporaryConnAccess',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00044E','ConnectionTozVMGuest','updateTemporaryConnAccess',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00045E','ConnectionTozVMGuest','updateTemporaryConnAccess',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00046E','ConnectionTozVMGuest','updateTemporaryConnTrunk',8,0,120,177);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00047E','ConnectionTozVMGuest','updateTemporaryConnTrunk',8,1,120,178);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00048E','ConnectionTozVMGuest','updateTemporaryConnTrunk',8,2,120,179);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00049E','ConnectionTozVMGuest','updateTemporaryConnTrunk',8,8,120,180);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00050W','ConnectionTozVMGuest','hasSUDO',4,1,121,136);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVGST00051W','ConnectionTozVMGuest','hasSUDO',4,2,121,137);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00000I','connectionToSQL','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00001I','connectionToSQL','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00001W','connectionToSQL','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00002I','connectionToSQL','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00002W','connectionToSQL','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00003I','connectionToSQL','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00003W','connectionToSQL','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00004W','connectionToSQL','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00005E','connectionToSQL','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00006E','connectionToSQL','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00007E','connectionToSQL','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00008E','connectionToSQL','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00009E','connectionToSQL','updateSystemDirectoryManager',4,1,99,99);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00010E','connectionToSQL','updateSystemDirectoryManager',4,2,99,100);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00011E','connectionToSQL','connectUserToGLAN',4,1,100,101);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00012E','connectionToSQL','updateConnUsertoGLAN',4,1,101,102);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00013E','connectionToSQL','updateConnUsertoGLAN',4,3,101,103);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00014E','connectionToSQL','addGLAN',4,0,102,104);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00015E','connectionToSQL','addGLAN',4,1,102,105);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00016E','connectionToSQL','updateGLANInconsist',4,0,103,106);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00017E','connectionToSQL','updateGLANAttrNIC',4,0,104,107);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00018E','connectionToSQL','deleteGLAN',4,0,105,107);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00019E','connectionToSQL','deleteGLAN',4,1,105,108);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00020E','connectionToSQL','updateDetailsForPrototype',4,0,106,110);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00021E','connectionToSQL','updateProtoInconsist',4,0,107,111);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00022E','connectionToSQL','addzVMPrototype',4,0,108,112);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00023E','connectionToSQL','addzVMPrototype',4,1,108,113);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00024W','connectionToSQL','dumpWAVELog',4,0,109,114);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00025W','connectionToSQL','dumpWAVELog',4,1,109,115);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00026I','connectionToSQL','cleanBTSworkunits',0,0,155,182);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00027W','connectionToSQL','cleanBTSworkunits',4,0,156,183);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00028E','connectionToSQL','cleanBTSworkunits',8,12,157,184);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00029I','connectionToSQL','cleanOrphanCORs',0,0,158,185);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00030W','connectionToSQL','cleanOrphanCORs',4,0,159,186);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00031E','connectionToSQL','cleanOrphanCORs',8,12,160,187);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00032I','connectionToSQL','clearTable',0,0,161,188);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00033I','connectionToSQL','clearTable',4,0,162,189);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL00034I','connectionToSQL','clearTable',8,12,163,190);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46000I','ConnectionToSQLBTSStats','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46001I','ConnectionToSQLBTSStats','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46002I','ConnectionToSQLBTSStats','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46003I','ConnectionToSQLBTSStats','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46004W','ConnectionToSQLBTSStats','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46005W','ConnectionToSQLBTSStats','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46006W','ConnectionToSQLBTSStats','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46007W','ConnectionToSQLBTSStats','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46008E','ConnectionToSQLBTSStats','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46009E','ConnectionToSQLBTSStats','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46010E','ConnectionToSQLBTSStats','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL46011E','ConnectionToSQLBTSStats','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47000I','ConnectionToSQLLinuxRepository','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47001I','ConnectionToSQLLinuxRepository','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47002I','ConnectionToSQLLinuxRepository','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47003I','ConnectionToSQLLinuxRepository','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47004W','ConnectionToSQLLinuxRepository','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47005W','ConnectionToSQLLinuxRepository','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47006W','ConnectionToSQLLinuxRepository','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47007W','ConnectionToSQLLinuxRepository','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47008E','ConnectionToSQLLinuxRepository','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47009E','ConnectionToSQLLinuxRepository','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47010E','ConnectionToSQLLinuxRepository','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL47011E','ConnectionToSQLLinuxRepository','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48000I','ConnectionToSQLAccounts','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48001I','ConnectionToSQLAccounts','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48002I','ConnectionToSQLAccounts','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48003I','ConnectionToSQLAccounts','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48004W','ConnectionToSQLAccounts','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48005W','ConnectionToSQLAccounts','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48006W','ConnectionToSQLAccounts','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48007W','ConnectionToSQLAccounts','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48008E','ConnectionToSQLAccounts','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48009E','ConnectionToSQLAccounts','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48010E','ConnectionToSQLAccounts','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL48011E','ConnectionToSQLAccounts','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49000I','ConnectionToSQLAGC','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49001I','ConnectionToSQLAGC','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49002I','ConnectionToSQLAGC','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49003I','ConnectionToSQLAGC','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49004W','ConnectionToSQLAGC','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49005W','ConnectionToSQLAGC','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49006W','ConnectionToSQLAGC','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49007W','ConnectionToSQLAGC','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49008E','ConnectionToSQLAGC','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49009E','ConnectionToSQLAGC','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49010E','ConnectionToSQLAGC','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL49011E','ConnectionToSQLAGC','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50000I','ConnectionToSQLSystem','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50001I','ConnectionToSQLSystem','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50002I','ConnectionToSQLSystem','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50003I','ConnectionToSQLSystem','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50004W','ConnectionToSQLSystem','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50005W','ConnectionToSQLSystem','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50006W','ConnectionToSQLSystem','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50007W','ConnectionToSQLSystem','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50008E','ConnectionToSQLSystem','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50009E','ConnectionToSQLSystem','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50010E','ConnectionToSQLSystem','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL50011E','ConnectionToSQLSystem','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51000I','ConnectionToSQLCPC','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51001I','ConnectionToSQLCPC','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51002I','ConnectionToSQLCPC','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51003I','ConnectionToSQLCPC','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51004W','ConnectionToSQLCPC','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51005W','ConnectionToSQLCPC','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51006W','ConnectionToSQLCPC','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51007W','ConnectionToSQLCPC','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51008E','ConnectionToSQLCPC','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51009E','ConnectionToSQLCPC','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51010E','ConnectionToSQLCPC','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL51011E','ConnectionToSQLCPC','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52000I','ConnectionToSQLDasdVolumes','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52001I','ConnectionToSQLDasdVolumes','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52002I','ConnectionToSQLDasdVolumes','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52003I','ConnectionToSQLDasdVolumes','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52004W','ConnectionToSQLDasdVolumes','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52005W','ConnectionToSQLDasdVolumes','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52006W','ConnectionToSQLDasdVolumes','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52007W','ConnectionToSQLDasdVolumes','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52008E','ConnectionToSQLDasdVolumes','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52009E','ConnectionToSQLDasdVolumes','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52010E','ConnectionToSQLDasdVolumes','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL52011E','ConnectionToSQLDasdVolumes','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53000I','ConnectionToSQLProject','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53001I','ConnectionToSQLProject','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53002I','ConnectionToSQLProject','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53003I','ConnectionToSQLProject','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53004W','ConnectionToSQLProject','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53005W','ConnectionToSQLProject','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53006W','ConnectionToSQLProject','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53007W','ConnectionToSQLProject','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53008E','ConnectionToSQLProject','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53009E','ConnectionToSQLProject','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53010E','ConnectionToSQLProject','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL53011E','ConnectionToSQLProject','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54000I','ConnectionToSQLUserGroup','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54001I','ConnectionToSQLUserGroup','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54002I','ConnectionToSQLUserGroup','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54003I','ConnectionToSQLUserGroup','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54004W','ConnectionToSQLUserGroup','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54005W','ConnectionToSQLUserGroup','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54006W','ConnectionToSQLUserGroup','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54007W','ConnectionToSQLUserGroup','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54008E','ConnectionToSQLUserGroup','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54009E','ConnectionToSQLUserGroup','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54010E','ConnectionToSQLUserGroup','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL54011E','ConnectionToSQLUserGroup','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55000I','ConnectionToSQLVN','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55001I','ConnectionToSQLVN','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55002I','ConnectionToSQLVN','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55003I','ConnectionToSQLVN','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55004W','ConnectionToSQLVN','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55005W','ConnectionToSQLVN','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55006W','ConnectionToSQLVN','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55007W','ConnectionToSQLVN','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55008E','ConnectionToSQLVN','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55009E','ConnectionToSQLVN','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55010E','ConnectionToSQLVN','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL55011E','ConnectionToSQLVN','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56000I','ConnectionToSQLDirectory','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56001I','ConnectionToSQLDirectory','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56002I','ConnectionToSQLDirectory','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56003I','ConnectionToSQLDirectory','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56004W','ConnectionToSQLDirectory','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56005W','ConnectionToSQLDirectory','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56006W','ConnectionToSQLDirectory','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56007W','ConnectionToSQLDirectory','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56008E','ConnectionToSQLDirectory','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56009E','ConnectionToSQLDirectory','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56010E','ConnectionToSQLDirectory','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL56011E','ConnectionToSQLDirectory','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57000I','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57001I','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57002I','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57003I','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57004W','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57005W','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57006W','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57007W','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57008E','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57009E','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57010E','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL57011E','ConnectionToSQLVirtualNetworkSegments','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58000I','ConnectionToSQLDevices','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58001I','ConnectionToSQLDevices','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58002I','ConnectionToSQLDevices','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58003I','ConnectionToSQLDevices','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58004W','ConnectionToSQLDevices','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58005W','ConnectionToSQLDevices','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58006W','ConnectionToSQLDevices','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58007W','ConnectionToSQLDevices','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58008E','ConnectionToSQLDevices','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58009E','ConnectionToSQLDevices','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58010E','ConnectionToSQLDevices','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL58011E','ConnectionToSQLDevices','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59000I','ConnectionToSQLBTS','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59001I','ConnectionToSQLBTS','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59002I','ConnectionToSQLBTS','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59003I','ConnectionToSQLBTS','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59004W','ConnectionToSQLBTS','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59005W','ConnectionToSQLBTS','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59006W','ConnectionToSQLBTS','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59007W','ConnectionToSQLBTS','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59008E','ConnectionToSQLBTS','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59009E','ConnectionToSQLBTS','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59010E','ConnectionToSQLBTS','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL59011E','ConnectionToSQLBTS','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60000I','ConnectionToSQLManagedEntity','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60001I','ConnectionToSQLManagedEntity','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60002I','ConnectionToSQLManagedEntity','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60003I','ConnectionToSQLManagedEntity','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60004W','ConnectionToSQLManagedEntity','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60005W','ConnectionToSQLManagedEntity','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60006W','ConnectionToSQLManagedEntity','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60007W','ConnectionToSQLManagedEntity','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60008E','ConnectionToSQLManagedEntity','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60009E','ConnectionToSQLManagedEntity','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60010E','ConnectionToSQLManagedEntity','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL60011E','ConnectionToSQLManagedEntity','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61000I','ConnectionToSQLCustomAttribute','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61001I','ConnectionToSQLCustomAttribute','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61002I','ConnectionToSQLCustomAttribute','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61003I','ConnectionToSQLCustomAttribute','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61004W','ConnectionToSQLCustomAttribute','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61005W','ConnectionToSQLCustomAttribute','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61006W','ConnectionToSQLCustomAttribute','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61007W','ConnectionToSQLCustomAttribute','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61008E','ConnectionToSQLCustomAttribute','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61009E','ConnectionToSQLCustomAttribute','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61010E','ConnectionToSQLCustomAttribute','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL61011E','ConnectionToSQLCustomAttribute','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62000I','ConnectionToSQLAttentionRequired','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62001I','ConnectionToSQLAttentionRequired','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62002I','ConnectionToSQLAttentionRequired','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62003I','ConnectionToSQLAttentionRequired','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62004W','ConnectionToSQLAttentionRequired','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62005W','ConnectionToSQLAttentionRequired','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62006W','ConnectionToSQLAttentionRequired','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62007W','ConnectionToSQLAttentionRequired','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62008E','ConnectionToSQLAttentionRequired','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62009E','ConnectionToSQLAttentionRequired','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62010E','ConnectionToSQLAttentionRequired','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL62011E','ConnectionToSQLAttentionRequired','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63000I','ConnectionToSQLPersonalization','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63001I','ConnectionToSQLPersonalization','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63002I','ConnectionToSQLPersonalization','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63003I','ConnectionToSQLPersonalization','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63004W','ConnectionToSQLPersonalization','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63005W','ConnectionToSQLPersonalization','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63006W','ConnectionToSQLPersonalization','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63007W','ConnectionToSQLPersonalization','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63008E','ConnectionToSQLPersonalization','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63009E','ConnectionToSQLPersonalization','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63010E','ConnectionToSQLPersonalization','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL63011E','ConnectionToSQLPersonalization','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64000I','ConnectionToSQLWRS','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64001I','ConnectionToSQLWRS','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64002I','ConnectionToSQLWRS','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64003I','ConnectionToSQLWRS','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64004W','ConnectionToSQLWRS','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64005W','ConnectionToSQLWRS','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64006W','ConnectionToSQLWRS','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64007W','ConnectionToSQLWRS','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64008E','ConnectionToSQLWRS','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64009E','ConnectionToSQLWRS','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64010E','ConnectionToSQLWRS','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL64011E','ConnectionToSQLWRS','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65000I','ConnectionToSQLWAVEUserScript','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65001I','ConnectionToSQLWAVEUserScript','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65002I','ConnectionToSQLWAVEUserScript','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65003I','ConnectionToSQLWAVEUserScript','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65004W','ConnectionToSQLWAVEUserScript','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65005W','ConnectionToSQLWAVEUserScript','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65006W','ConnectionToSQLWAVEUserScript','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65007W','ConnectionToSQLWAVEUserScript','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65008E','ConnectionToSQLWAVEUserScript','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65009E','ConnectionToSQLWAVEUserScript','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65010E','ConnectionToSQLWAVEUserScript','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL65011E','ConnectionToSQLWAVEUserScript','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66000I','ConnectionToSQLGeneral','*GENERAL*',0,0,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66001I','ConnectionToSQLGeneral','*GENERAL*',0,4,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66002I','ConnectionToSQLGeneral','*GENERAL*',0,8,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66003I','ConnectionToSQLGeneral','*GENERAL*',0,12,90,90);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66004W','ConnectionToSQLGeneral','*GENERAL*',4,0,91,91);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66005W','ConnectionToSQLGeneral','*GENERAL*',4,4,92,92);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66006W','ConnectionToSQLGeneral','*GENERAL*',4,8,93,93);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66007W','ConnectionToSQLGeneral','*GENERAL*',4,12,94,94);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66008E','ConnectionToSQLGeneral','*GENERAL*',8,0,95,95);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66009E','ConnectionToSQLGeneral','*GENERAL*',8,4,96,96);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66010E','ConnectionToSQLGeneral','*GENERAL*',8,8,97,97);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSQL66011E','ConnectionToSQLGeneral','*GENERAL*',8,12,98,98);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00000I','ConnectionTozVMServiceMachine','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00001W','ConnectionTozVMServiceMachine','*GENERAL*',4,0,110,116);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00002E','ConnectionTozVMServiceMachine','*GENERAL*',8,0,111,117);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00003E','ConnectionTozVMServiceMachine','zVMSystemDetachVolume',8,1,130,147);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00004E','ConnectionTozVMServiceMachine','zVMSystemDetachVolume',8,2,130,148);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00005E','ConnectionTozVMServiceMachine','queryLanDetails',8,1,131,149);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00006E','ConnectionTozVMServiceMachine','queryLanDetails',8,2,131,150);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00007E','ConnectionTozVMServiceMachine','netstatCommand',8,1,132,151);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00008E','ConnectionTozVMServiceMachine','queryDASDForVolser',8,1,133,152);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00009E','ConnectionTozVMServiceMachine','executeWAVECLRL',8,1,134,153);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00010E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,1,137,158);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00011E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,2,138,159);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00012E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforAllUsers',8,1,137,158);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00013E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforAllUsers',8,2,138,159);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00014E','ConnectionTozVMServiceMachine','getUsersConfiguration',8,1,137,158);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00015E','ConnectionTozVMServiceMachine','getUsersConfiguration',8,2,138,159);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00016E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSingleUser',8,1,137,158);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00017E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSingleUser',8,2,138,159);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00018E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSingleUser',8,3,139,160);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00019E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,4,140,160);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00020E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,5,141,161);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00021E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforAllUsers',8,4,140,160);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00022E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforAllUsers',8,5,141,161);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00023E','ConnectionTozVMServiceMachine','getUsersConfiguration',8,4,140,160);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00024E','ConnectionTozVMServiceMachine','getUsersConfiguration',8,5,141,161);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00025E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSingleUser',8,4,140,160);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00026E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSingleUser',8,5,141,161);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00027E','ConnectionTozVMServiceMachine','grantVN',8,1,145,170);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00028E','ConnectionTozVMServiceMachine','grantVN',8,2,146,171);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00029E','ConnectionTozVMServiceMachine','zVMsystemAttachDeviceToGuest',122,0,147,172);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00030E','ConnectionTozVMServiceMachine','zVMsystemAttachDeviceToGuest',128,0,148,173);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00031E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,9,149,174);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00032E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,6,150,174);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00033E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,7,151,174);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00034E','ConnectionTozVMServiceMachine','getCPUUtilizationPERFKITforSystem',8,8,152,174);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00035E','ConnectionTozVMServiceMachine','checkFileExists',16,0,153,175);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00036E','ConnectionTozVMServiceMachine','checkFileExists',16,0,154,176);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00037E','ConnectionTozVMServiceMachine','*GENERAL*',-2,0,111,117);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00038E','ConnectionTozVMServiceMachine','zVMsystemAttachDeviceToGuest',125,0,169,196);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00039E','ConnectionTozVMServiceMachine','activateMachine',8,1,170,197);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00040E','ConnectionTozVMServiceMachine','activateMachine',8,2,170,198);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00041E','ConnectionTozVMServiceMachine','activateMachine',8,3,170,199);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00042E','ConnectionTozVMServiceMachine','activateMachine',8,4,170,200);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00043E','ConnectionTozVMServiceMachine','*GENERAL*',16,100,177,210);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00044E','ConnectionTozVMServiceMachine','*GENERAL*',16,104,178,211);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00045E','ConnectionTozVMServiceMachine','*GENERAL*',16,108,179,212);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00046E','ConnectionTozVMServiceMachine','*GENERAL*',16,112,180,213);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00047E','ConnectionTozVMServiceMachine','*GENERAL*',16,124,181,214);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00048E','ConnectionTozVMServiceMachine','*GENERAL*',16,128,182,215);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00049E','ConnectionTozVMServiceMachine','*GENERAL*',16,132,183,216);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00050E','ConnectionTozVMServiceMachine','*GENERAL*',16,136,184,217);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00051E','ConnectionTozVMServiceMachine','*GENERAL*',16,150,185,218);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00052E','ConnectionTozVMServiceMachine','*GENERAL*',16,154,186,219);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00053E','ConnectionTozVMServiceMachine','*GENERAL*',16,158,187,220);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00054E','ConnectionTozVMServiceMachine','*GENERAL*',16,159,194,221);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00055E','ConnectionTozVMServiceMachine','*GENERAL*',16,160,188,222);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00056E','ConnectionTozVMServiceMachine','*GENERAL*',16,161,189,223);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00057E','ConnectionTozVMServiceMachine','*GENERAL*',16,162,190,224);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00058E','ConnectionTozVMServiceMachine','*GENERAL*',16,163,191,225);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00059E','ConnectionTozVMServiceMachine','*GENERAL*',16,164,192,226);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV00060E','ConnectionTozVMServiceMachine','*GENERAL*',8,168,193,227);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01000I','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01001W','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',4,0,110,116);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01002E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',8,0,111,117);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01003E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',-2,0,111,168);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01004E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,100,177,210);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01005E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,104,178,211);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01006E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,108,179,212);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01007E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,112,180,213);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01008E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,124,181,214);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01009E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,128,182,215);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01010E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,132,183,216);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01011E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,136,184,217);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01012E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,150,185,218);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01013E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,154,186,219);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01014E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,158,187,220);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01015E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,159,194,221);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01016E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,160,188,222);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01017E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,161,189,223);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01018E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,162,190,224);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01019E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,163,191,225);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01020E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',16,164,192,226);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV01021E','ConnectionTozVMServiceMachineDirMaint','*GENERAL*',8,168,193,227);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02000I','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',0,0,1,1);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02001W','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',4,0,110,116);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02002E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',8,0,111,117);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02003E','ConnectionTozVMServiceMachineVMSecure','DASDGroupDefineList',8,1,111,181);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02004E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,100,177,210);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02005E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,104,178,211);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02006E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,108,179,212);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02007E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,112,180,213);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02008E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,124,181,214);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02009E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,128,182,215);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02010E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,132,183,216);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02011E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,136,184,217);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02012E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,150,185,218);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02013E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,154,186,219);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02014E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,158,187,220);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02015E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,159,194,221);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02016E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,160,188,222);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02017E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,161,189,223);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02018E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,162,190,224);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02019E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,163,191,225);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02020E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',16,164,192,226);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSRV02021E','ConnectionTozVMServiceMachineVMSecure','*GENERAL*',8,168,193,227);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00001E','BTSConnection','*GENERAL*',4,0,196,229);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00001I','BTSRequestProcessor','*GENERAL*',0,0,199,232);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00002E','BTSConnection','*GENERAL*',4,4,197,230);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00002I','BTSMessageDescriptorHandlerAck','*GENERAL*',0,0,195,228);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00003E','BTSConnection','*GENERAL*',8,0,198,231);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00004E','BTSRequestProcessor','*GENERAL*',8,999,200,233);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00005E','BTSRequestProcessor','*GENERAL*',16,999,201,234);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00006E','BTSMessageDescriptorHandlerAck','*GENERAL*',4,0,202,235);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00007E','BTSMessageDescriptorHandlerAck','*GENERAL*',6,0,203,236);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVSUB00008E','BTSMessageDescriptorHandlerAck','*GENERAL*',7,0,204,237);
INSERT INTO WAVE_External_Call_Messages VALUES ('WAVTST00026E','ConnectionTozVMGuest','getDisk',4,1,127,142);

--
-- Table structure for table `WAVE_External_Resource_Messages_Detailed_US`
--

CREATE TABLE WAVE_External_Resource_Messages_Detailed_US (
  Message_Idx int(10) unsigned NOT NULL auto_increment,
  Message text NOT NULL,
  PRIMARY KEY  (Message_Idx)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_External_Resource_Messages_Detailed_US`
--

INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (1,'The specified request call ended successfully');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (2,'There was a syntax error with the specified API call RS was @p@.  Contact IBM Wave support');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (3,'The specified request was not authorized by the installed external security manager.  Contact your z/VM Security personell to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (4,'The specified request was not authorized by the API server.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (5,'The z/VM user id and password used by IBM Wave to access the API server are invalid.  Contact your IBM Wave administrator to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (6,'The specified function is not supported by the API server.  Contact IBM Wave support to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (7,'The specified function issued by IBM Wave is of the wrong length.  Contact IBM Wave support to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (8,'The API server could not access the SFS directories.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (9,'The API function issued by IBM Wave has an invalid length or parameter list.  Contact IBM Wave support to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (10,'The Directory entry for the specified z/VM Guest could not be located in the Directory manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (11,'The Directory Manager is unavailable in the z/VM System.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (12,'An asynchronous workunit has been generated for the request.  In most cases, the VM Workunit will be attached to a WAVE workunit visible in the Workunit tab of the general viewer');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (13,'An internal error has occured in the Directory Manager which resulted in an undefined return code to the API server.  Contact IBM Wave support to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (14,'The file defining the name lists could not be located in the directory manager.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (15,'The specified name list could not be located int he name list definition file of the directory manager.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (16,'No prototype or skeleton definitions could be found in the directory manager.  This is not necessarily an error, if there are indeed no prototypes defined in the Directory manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (17,'The specified name was added to the specified namelist.  The namelist did not exist and was created successfully.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (18,'The specified name already existed in the specified namelist.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (19,'The specified namelist could not be updated due to internal Direcotry Manager errors.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (20,'The specified name was removed from the namelist.  The namelist was left empty after the removal of the name and was destroyed automatically be the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (21,'The specified name could not be located in the specified namelist.  Therefore no removal was done.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (22,'The specified namelist could not be found in the Direcotry Manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (23,'There were no z/VM Guest entries in the Directory Manager.  The returned list is empty');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (24,'Non of the z/VM Guests queried in the request were found active in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (25,'The specified request ended successfully, but the directory remained offline');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (26,'The specified Directory Entry is locked by the Directory Manager.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (27,'The specified device used by the request as the target device for the clone process is not the same type as the one used as the source image device');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (28,'The specified device used by the request as the target device for the clone process is not the same size as the one used as the source image device');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (29,'The specified device already exists in the target z/VM Guest used by the clone request');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (30,'The specified device used by the clone request does not exist in the source z/VM Guest');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (31,'The specified device is locked by the Directory Manager.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (32,'The requested disk space for the clone request is not available.  Contact your IBM Wave administrator for additional disk allocation');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (33,'The specified DASD Group, DASD Region or DASD VOlume is not defined to the Directory Manager.  COntact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (34,'The specified device doe snot exist in the Directory Entry of the specified z/VM User');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (35,'The specified device is already defined in the Directory Entry for the z/VM Guest.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (36,'The specified device is locked by the Directory Manager.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (37,'The specified z/VM Guest is already inactive (logged-off) in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (38,'The specified z/VM Guest is already in the process of deactivation.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (39,'If a list of z/VM Guest was sent to the request, then some of the z/VM Guests in the list were not deactivated for unknown reasons');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (40,'The timeout value specified in the request exceeds the maximum timeout value defined in the z/VM System.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (41,'The specified z/VM Guest already exists in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (42,'The specified z/VM Prototype or Skeleton does not exist in the z/VM System.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (43,'The specified definition sent to the request contains multiple USER statements.  Only one USER statement is supported ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (44,'The z/VM Profile specified in the z/VM Guest definition does not exist in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (45,'The specified definition sent to the request contains multiple INCLUDE statements.  Only one INCLUDE statement is supported by z/VM');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (46,'The password specified for the new z/VM Guest was rejected by the site\'s security policy.  Contact your z/VM Systems Programming or Security team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (47,'The account specified for the new z/VM Guest was rejected by the z/VM System.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (48,'The specified z/VM Guest cannot be deleted from the z/VM System.  The Directory Manager returned a return code which indicates this.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (49,'The specified z/VM Prototype or Skeleton cannot be found in the z/VM System.  It is possible it was deleted outside of IBM Wave.  Run the Update Prototypes task in order for IBM Wave to update its prototype repository.  If the problem persists, contact IBM Wave support to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (50,'The specified z/VM Protoype or skeleton was rejested by the Directory Manager due to an error with the definition.  Re0checl the definition and resend the request.  If this problem persists, contact IBM Wave support to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (51,'The Directory Manager rejected the request due to an authorization error.  Check that the z/VM Guest used for the API server authentication is authorized to run the specified API request.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (52,'The specified z/VM Guest was not found in the Directory Manager in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (53,'The specified z/VM Guest was found to be already active in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (54,'Some of the z/VM Guests in the specified list sent to the request were not activated');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (55,'The specified TAG name is not defined to the irectory Manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (56,'The specified TAG name length exceeds the allowed 8 characters');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (57,'The specified TAG is protected by the site\'s exit routine and the change was rejected.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (58,'The specified DASD Region is not included in the specified DASD Group and was therefore not removed from it.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (59,'The specified DAD Group, DASD Region or DASD Volume are already defined to the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (60,'The specified DASD Volume is either offline in the z/VM System or is not a DASD Device.  If the DASD Volume is online in the z/VM System, contact IBM Wave support to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (61,'The specified address in the z/VM Guest is already occupied.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (62,'The specified address int he z/VM Guest is not in use');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (63,'The target z/VM Guest from which the request tried to link a disk does not allow this operation');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (64,'The target z/VM Guest disk does not have a password configured for the requested disk');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (65,'The password specified for the target disk is incorrect');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (66,'The specified asynchronous operation completed successfully.  It is also possible that the record for the operation was deleted from the Directory Manager.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (67,'The specified asynchronous operation is still in progress.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (68,'The specified asynchronous operation failed.  The WAVE Workunit associated with this VM Workunit will reflect this.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (69,'Free modes were could not be found for the system config file.  Contact your z/VM Systems Programming team to resolve this issue.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (70,'The two parm disks specified in the request are the same disk');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (71,'There was an error linking to the parm disk.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (72,'The specified parm disk is not Read/Wrte enabled.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (73,'A system config file was not found in the address specified in the request');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (74,'The system config file on the parm disk specified for the request contains errors.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (75,'There are syntax errors in the system config file on the parm disk specified to the request.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (76,'No CP modes available for the parm disk.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (77,'One or both of the specified parm disks are full.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (78,'Access was rejected to the specified parm disks.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (79,'A password was not supplied in the request for accessing the parm disks.  In order to get the password, contact your z/VM Systems Programming team');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (80,'The password supplied for the parm disk is incorrect.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (81,'The parm disk specified is not in the server\'s directory.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (82,'There was an error while executing the CPRELEASE command to release the parm disk.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (83,'There was an error accessing the specified parm disk using the CPACCESS command.  Contact your z/VM Systems Programming team to resolve this issue');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (84,'The DEFINE VSWITCH statement already exists in the system config file on the parm disk specified');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (85,'A Modify VSwitch statement which grants access to the specified z/VM Guest to the specified VSwitch was not found in the system config file');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (86,'A DEFINE VSWITCH statement could not be found for the specified VSwitch in the system config file');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (87,'There were confilicting parameters specified for the VSwitch.  Correct the request and resubmit.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (88,'There were multiple DEFINE and MODIFY statements for the specified VSwitch in the system config file');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (89,'When subscribing the specified z/VM Guest to receive directory update notifications, the Directory Manager has returned that the z/VM Guest is already subscribed.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (90,'The SQL statement was executed successfully (@p@ rows retrieved/updated)');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (91,'The select SQL @p@ returned with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (92,'The insert SQL @p@ returned with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (93,'The update SQL @p@ returned with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (94,'The delete SQL @p@ returned with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (95,'The select SQL @p@ returned with an error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (96,'The insert SQL @p@ returned with an error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (97,'The update SQL @p@ returned with an error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (98,'The delete SQL @p@ retuend with an error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (99,'Update system directory manager failed, because z/VM system was null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (100,'Update system directory manager failed, because directory manager was null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (101,'Error while retrieving details for LAN @p@. The Select SQL returned empty.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (102,'Error while retrieving detials for VLAN @p@.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (103,'Could not find LAN @p@  in DB.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (104,'Failed Inserting VLAN @p@ attributes to DB');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (105,'Failed Inserting VLAN @p@ basic parameters.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (106,'Could not update GLAN inconsistancy status. the LAN name was null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (107,'Could not update GLAN NIC. the LAN name was null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (108,'Could not delete LAN @p@. Failed to remove LAN attributes from DB.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (109,'Could not delete LAN @p@. Failed to remove LAN parameters from DB.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (110,'Failed Updating prototype details in DB. prototype was null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (111,'Failed to update prototype inconsistancy. prototype or system name were null.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (112,'Failed to insert Prototype @p@ attributes to DB');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (113,'Failed to insert Prototype @p@ parameters to DB');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (114,'Failed to dump log into file.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (115,'Failed to delete old log entries after dump.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (116,'The Service machine executed the request, but the request returned a warning condition');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (117,'The Service machine did not execute the request, the request returned an error condition');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (118,'The guest executed the request successfuly, ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (119,'The guest executed the request and ended with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (120,'The guest tried to execute the request, but there was a general connection error.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (121,'Either the guest is not a linux or there was a connection error while trying to find the shutdown flag for user @p@');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (122,'could not find linux distribution');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (123,'could not determine os version');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (124,'could not connect to user');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (125,'user defined as @p@ but found @p@');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (126,'Could not remove file @p@. Permission denied.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (127,'Invalid status was specified.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (128,'user is not linux');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (129,'error getting response from server ( lsqeth)');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (130,'error linking wave disk');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (131,'could not find wave disk vdev');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (132,'could not find wave disk ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (133,'Could not download network configuration');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (134,'Could not download hardware configuration');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (135,'Failed to configure netwowrk as temporary.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (136,'Error - connecting to server');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (137,'Error - @p@ is not installed');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (138,'Error - Could not find vmcp command.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (139,'Error while compiling zipl.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (140,'Error - Could not update sudoers file');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (141,'error retrieving wave work machine name');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (142,'invalid device name');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (143,'could not find device');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (144,'did not find cmsfscp');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (145,'could not find file');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (146,'permission error.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (147,'Cannot detach disk @p@ because it is in use. Make sure the disk is not being used and try again.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (148,'Cannot detach disk @p@. Disk not found');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (149,'Lan @p@ does not exist');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (150,'VLAN @p@ not found');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (151,'An internal TCPIP error occured : @p@ ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (152,'Volser @p@ not found');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (153,'Cannot link to wavewrk disk @p@');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (154,'request to WAVESERV ended succeffuly.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (155,'request to WAVESERV ended with a warning');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (156,'request to WAVESERV ended with an error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (157,'Permision error while trying to remove file from wavesrv.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (158,'The Service Machine running the perkit service is not active in the system or the VMCF facility is not enabled. ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (159,'There is no sample data for this action');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (160,'The zVM User is no longer active');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (161,'The WAVE work short service machine is not authorized to retrieve data from the Perfkit. Please add the WAVE work sm to the Authoriztion file as mentioned in the WAVE manual documentation.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (162,'The VMC facility is not enabled in on the SM that is running the Perfkit. Please enable the VMC facility as mentioned in the WAVE manual documentation.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (163,'Prototype already exists.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (164,'Could not create connection to API Server');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (165,'There was an internal SMAPI SM error processing the request.  Verify that all SMAPI service machines are up and running ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (166,'Could not connect to host.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (167,'The API returned an unknown return code.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (168,'The connection to the API timed out.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (169,'Login to API server failed.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (170,'The vswitch @p@ was removed from the system during the activation process. Please recreate the vswitch in order to activate the server or remove the nicdef from the user directory.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (171,'An internal error occured whlie granting access to vswitch @p@.  The grant command was: @p@ and the error msg was @p@.Please contact IBM with this information for support.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (172,'volume already attached to user, Can not attach to SYSTEM');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (173,'Error reading allocation record.\\nThere is an error in the z/VM DASD volume.\\n Contact your storage administrator.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (174,'One or more of the perkits sampling has been disabled.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (175,'The specified z/VM Guest does not contain a definition for the specified minidisk');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (176,'The specified file could not be found when searching the specified minidisk of the z/VM guest');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (177,'Could not find command in Linux ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (178,'Could not find ETH in Linux @p@');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (179,'Could not set ETH status ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (180,'An Internal error while updating @p@ network');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (181,'DASD configuration file is in use.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (182,'Clearing BTS WU table finished OK,  @p@ WU deleted');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (183,'Clearing BTS WU table finished,  no eligable workunits for delete were found');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (184,'Clearing BTS WU table failed');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (185,'Cleaning CORs finsihed OK,  @p@ COR entires deleted');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (186,'Cleaning CORs finsihed, no COR deleted');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (187,'Cleaning CORs failed.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (188,'Clearing table @p@ finshed ok, @p@ rows delete ');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (189,'Clearing table @p@ finshed, table was empty');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (190,'Clearing table @p@ failed');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (191,'Could not find any active relocations');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (192,'Invalid parameter was supplied to the API call');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (193,'Invalid operand was supplied to API call');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (194,'VMRELOCATE error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (195,'');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (196,'volume with the same name already attached to System, Can not attach to SYSTEM');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (197,'Guest ID is missing or invalid');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (198,'Guest was not found in CP directory or is NOLOG');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (199,'Guest already logged on');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (200,'Guest is LOGOFF/FORCE pending');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (201,'Failed to connect to IBM Wave Service machine');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (202,'Specifed CPU ID is out of range');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (203,'Maximum CPU number exceeded');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (204,'CCF is not installed');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (205,'CPU with the specified ID was not found');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (210,'Service Machine REXX version is different then WAVE rexx version');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (211,'Authorized API user password expired');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (212,'Authorized API user invalid user or  password');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (213,'Authorized API user do not have LOGONBY permission');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (214,'Authorized API user Error reading the CP directory.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (215,'Authorized API user ESM present, but not available right now.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (216,'Authorized API user Missing OPTION DIAG88 in your directory.');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (217,'Authorized API user Internal error validating the password');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (218,'Authorized API user  unauthorized user');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (219,'Authorized API user not authorized for command');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (220,'Unknown API');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (221,'Internal error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (222,'Invalid parameter');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (223,'Error while running, Syntax');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (224,'Error while running, Failure');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (225,'Error while running, Not ready');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (226,'Error while running, No Value');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (227,'Error while running');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (228,'The workunit was submitted successfully');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (229,'The timeout for the acknowledge message has expired');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (230,'The timeout for the return data has expired');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (231,'The was an I/O on the socket to the WAVESERV');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (232,'The SRF proccessor has completed successfully');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (233,'The SRF proccessor has ended with and error');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (234,'The was a severe error with the SRF proccessor');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (235,'The workunit type is unsupported');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (236,'There was an I/O error processing the workunit');
INSERT INTO WAVE_External_Resource_Messages_Detailed_US VALUES (237,'There was an internal errror processing the workunit');

--
-- Table structure for table `WAVE_External_Resource_Messages_Short_US`
--

CREATE TABLE WAVE_External_Resource_Messages_Short_US (
  Message_Idx int(10) unsigned NOT NULL auto_increment,
  Message text NOT NULL,
  PRIMARY KEY  (Message_Idx)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_External_Resource_Messages_Short_US`
--

INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (1,'Request ended successfully');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (2,'Syntax Error in function parameter');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (3,'Request was not authorized by the external security manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (4,'Request was not authorized by the API server');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (5,'Authentication error username or password invalid');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (6,'Specified function does not exist');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (7,'Function length does not match the specified input data');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (8,'Error accessing the SFS directory');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (9,'Specified length was invalid, out of valid server data range');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (10,'The Directory definition for the z/VM Guest @p@ could not be located');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (11,'The directory manager is unavailable');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (12,'An Asynchronous workunit has been generated for the request');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (13,'There was an internal error processing the request in the directory manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (14,'The directory manager name list definition file could not be found');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (15,'The name list @p@ could not be found in the directory manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (16,'No prototype definitions could be located in the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (17,'Name @p@ added to namelist @p@ successfully.  namelist was created.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (18,'Name @p@ already existed in the namelist @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (19,'The namelist @p@ could not be updated');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (20,'The name @p@ was successfully removed from the namelist @p@.  The namelist was destroyed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (21,'The name @p@ could not be located in the namelist @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (22,'The namelist @p@ cold not be found');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (23,'No z/VM User entries found in Directory manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (24,'No z/VM Guest in the specified list was found as active in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (25,'The request was successful, the object directory remained offline');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (26,'The Directory Entry for the z/VM Guest @p@ is locked by the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (27,'The specified Image device @p@ is not the same type as the source image device');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (28,'The specified Image Device @p@ is not the same size as the source image device');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (29,'The specified Image Disk @p@ already exists');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (30,'The specified Image Disk @p@ does not exist in the source z/VM Guest');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (31,'The specified Image Device @p@ is locked by the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (32,'The requested image disk space is not available');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (33,'The DASD Group, Region or DASD Volume name is not defined to the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (34,'The specified device @p@ does not exist in the directory entry for the z/VM Guest @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (35,'The specified device @p@ is already defined in the Directory of the z/VM Guest');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (36,'The specified device @p@ is locked by the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (37,'The specified z/VM Guest @p@ is already inactive in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (38,'The specified z/VM Guest @p@ is already deactivating');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (39,'Some of the z/VM Guests in the specified list were not deactivated');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (40,'The specified time for deactivation results in an interval greater than the maximum allowed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (41,'The z/VM Guest @p@ already exists in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (42,'The specified Prorotype @p@ does not exists in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (43,'The definition sent to the request contains multiple USER statements');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (44,'The z/VM Profile included in the specified definition is not defined');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (45,'The definition sent to the request contains multiple INCLUDE statements');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (46,'The z/VM Guest password specified to the request was rejected by the site\'s z/VM Password policy');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (47,'The z/VM Guest account specified to the request was rejected');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (48,'The z/VM Guest @p@ cannot be deleted from the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (49,'The z/VM Prototype or Skeleton @p@ could not be found in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (50,'There was an error with the z/VM Prototype definition for z/VM Prototype @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (51,'The Request was not authorized by the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (52,'The z/VM Guest @p@ was not found in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (53,'The z/VM Guest @p@ is already active in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (54,'Some z/VM Guests in the list were not activated');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (55,'The TAG name @p@ is not defined to the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (56,'The TAG name @p@ length exceeds the maximum length');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (57,'The use of the TAG @p@ was rejected by the exit routine');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (58,'The DASD Region @p@ is not included in the DASD Group @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (59,'The DASD Group, DASD Region or DASD Volume is already defined to the Directory Manager');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (60,'The DASD Volume @p@ is offline or is not a DASD Device');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (61,'The disk at address @p@ is already in use by the z/VM Guest @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (62,'The disk address @p@ is not in use by the z/VM Guest @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (63,'The target z/VM Guest does not allow disk sharing for the disk');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (64,'The target disk does not have the required password configured');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (65,'The password spefieid by the request for the target disk in incorrect');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (66,'The asynchronous opreation conpleted successfully');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (67,'The asynchronous operation is in progress');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (68,'The asynchronous operation failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (69,'Free modes not available for this VSwitch definition');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (70,'System config files 1 and 2 are the same');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (71,'There was an error linking to the CP parmdisks (1 or 2)');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (72,'The parm disk (1 or 2) are not Read/Write enabled');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (73,'System config not found on parm disk 1');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (74,'System config file has bad data');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (75,'There were syntax errors updating the system config file');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (76,'CP disk modes not available');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (77,'Parm disk (1 or 2) is full');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (78,'Access not allowed to parm disk (1 or 2)');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (79,'Password was not supplied for accessing parm disk (1 or 2)');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (80,'The password specified for the parm disk (1 or 2) is incorrect');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (81,'The parm disk (1 or 2) specified is not in the server\'s directory');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (82,'Error while executing CPRELEASE for parm disk (1 or 2)');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (83,'Error accessing parm disk (1 or 2) using CPACCESS');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (84,'Define VSWITCH statement already exists in the system config file for VSwitch @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (85,'Modify VSwitch statement for z/VM Guest @p@ was not found in the system config file');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (86,'Define VSwitch statement for the VSwitch @p@ does not exist in the system config file');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (87,'Define operands conflict.  Cannot update system config file');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (88,'Multiple Define and Modify statements in the system config file for the VSwitch @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (89,'There is a dulplicate notification subscription with the same paramters as the ones specified in the request');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (90,'SQL Statement executed successfully');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (91,'Select SQL stetemtn returned with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (92,'Insert SQL stetement returned with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (93,'Update SQL stetement returned with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (94,'Delete SQL stetement returned with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (95,'Select SQL statement returned with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (96,'Insert SQL statement returned with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (97,'Update SQL statement returned with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (98,'Delete SQL statement returned with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (99,'The z/VM Profile @p@ was not found in the z/VM System');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (100,'Failed updating Directory manager in DB.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (101,'Error While updating LAN @p@ connection.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (102,'Error While adding VLAN @p@ to DB.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (103,'Error While updating VLAN inconsistancy.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (104,'Error While updating VLAN NIC.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (105,'Error While deleting VLAN @p@ from DB.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (106,'Error While updating prototype details.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (107,'Error while updating prototype inconsistancy');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (108,'Error while adding prototype @p@ to DB.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (109,'Warning - Errors while dumping log.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (110,'Service Machine request ended with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (111,'Service Machine request ended with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (112,'Connection To Guest request ended ok');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (113,'Connection To Guest request ended with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (114,'Connection To Guest request ended with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (115,'Error while trying to get shutdown flag from guest.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (116,'Error while testing OS version for user @p@.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (117,'Error while trynig to remove file.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (118,'Error updating ETH status for guest @p@.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (119,'Error while updating permanent connection.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (120,'Error updating temporary connection.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (121,'Error while searching for @p@ in guest @p@.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (122,'Error while getting z/VM guest ID');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (123,'Error while creating zipl.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (124,'Error while adding a user as a sudoer.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (125,'Error detaching device @p@.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (126,'error linking device @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (127,'error getting disk @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (128,'error getting file from VM');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (129,'error while clearing directory.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (130,'Error detaching disk @p@. ');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (131,'Error quering lan details for lan @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (132,'Error issuing the netstat command');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (133,'Error quering DASD details for volser @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (134,'Error while cleaning the wavewrk disk @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (135,'request ended with error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (136,'request ended with warning');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (137,'PERFKIT is not reachable');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (138,'Data not available');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (139,'VM user not active');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (140,'WAVE Work Short SM not Authorized');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (141,'VMCF Facility not enabled');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (142,'Error Createing Prototype');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (143,'Error Connecting to API Server.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (144,'Internal SMAPI Service Machine Error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (145,'Vswitch @p@ was removed from the z/VM.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (146,'An internal error occured whlie granting access to vswitch @p@. ');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (147,'volume already attached to user');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (148,'error attaching disk @p@ to @p@');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (149,'Data Incomplete');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (150,'Data Incomplete - PROC Sample Disable');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (151,'Data Incomplete - USER Sample Disable');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (152,'Data Incomplete - USER & PROC Sample Disable');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (153,'Minidisk does not exist for specified guest');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (154,'The specified file was not found on the minidisk');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (155,'Clearing BTS WU table finished OK');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (156,'Clearing BTS WU table finished no WU deleted');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (157,'Clearing BTS WU table failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (158,'Cleaning CORs finsihed OK');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (159,'Cleaning CORs no COR deleted');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (160,'Cleaning CORs failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (161,'Clearing table finshed ok');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (162,'Clearing table, table was empty');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (163,'Cleaning table failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (164,'No Active Relocations Found');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (165,'Invalid Parameter');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (166,'Invalid Operand');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (167,'VMRELOCATE test error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (168,'VMRELOCATE move error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (169,'volume with the same name already attached to system');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (170,'z/VM Guest Activation Failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (171,'Adding CPU to Guest failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (172,'Removing CPU from Guest failed');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (177,'Invalid version');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (178,'password has expired');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (179,'bad user id or password');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (180,'does not have LOGONBY permission');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (181,'Error reading the CP directory.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (182,'ESM present, but not available right now.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (183,'Missing OPTION DIAG88 in your directory.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (184,'Internal error validating the password.');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (185,'unauthorized user');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (186,'user not authorized for command');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (187,'Unknown API');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (188,'Invalid parameter');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (189,'Error while running, Syntax');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (190,'Error while running, Failure');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (191,'Error while running, Not ready');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (192,'Error while running, No Value');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (193,'Error while running');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (194,'Internal error');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (195,'Workunit sumbitted successfully');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (196,'Timeout expired for acknowledge message');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (197,'Timeout expired  for return data');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (198,'Error on socket');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (199,'SRF Proccessor finished successfully');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (200,'Error in SRF Proccessor');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (201,'Severe Error in SRF Processor ');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (202,'Workunit unsupported');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (203,'I/O error processing workunit');
INSERT INTO WAVE_External_Resource_Messages_Short_US VALUES (204,'Internal error processing workunit');

--
-- Table structure for table `WAVE_LOG`
--

CREATE TABLE WAVE_LOG (
  zVMsystem varchar(8) NOT NULL default '',
  WAVEuser varchar(255) NOT NULL default '',
  messageCode varchar(10) NOT NULL default '',
  Msg_Type enum('S','E','W','I','U') NOT NULL default 'U',
  Msg varchar(255) NOT NULL default '',
  TimeStamp timestamp NOT NULL,
  KEY WAVEuser (WAVEuser),
  KEY TimeStamp (TimeStamp)
) TYPE=MyISAM;

--
-- Dumping data for table `WAVE_LOG`
--


--
-- Table structure for table `WAVE_Managed_Entity_Connection_Table`
--

CREATE TABLE WAVE_Managed_Entity_Connection_Table (
  Managed_Entity_ID int(10) unsigned NOT NULL default '0',
  Object_Type varchar(255) NOT NULL default '',
  Object_ID varchar(255) NOT NULL default '',
  KEY Index_1 (Managed_Entity_ID),
  CONSTRAINT `FK_WAVE_Managed_Entity_Connection_Table_1` FOREIGN KEY (`Managed_Entity_ID`) REFERENCES `WAVE_Managed_Entity_Table` (`Entity_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Managed_Entity_Connection_Table`
--


--
-- Table structure for table `WAVE_Managed_Entity_Table`
--

CREATE TABLE WAVE_Managed_Entity_Table (
  Entity_ID int(10) unsigned NOT NULL auto_increment,
  Entity_Type varchar(45) NOT NULL default '',
  Entity_Name varchar(255) NOT NULL default '',
  Entity_Description varchar(255) NOT NULL default '',
  Entity_Managed enum('Yes','No') NOT NULL default 'Yes',
  PRIMARY KEY  (Entity_ID)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Managed_Entity_Table`
--


--
-- Table structure for table `WAVE_Messages`
--

CREATE TABLE WAVE_Messages (
  WAVE_Message_Code varchar(10) NOT NULL default '',
  WAVE_Message_Type enum('S','E','W','I','U') NOT NULL default 'U',
  WAVE_Message_Debug_Level enum('1','2','3','4','5') NOT NULL default '1',
  WAVE_Message_Text varchar(255) NOT NULL default '',
  WAVE_Message_Description text,
  PRIMARY KEY  (WAVE_Message_Code)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Messages`
--

INSERT INTO WAVE_Messages VALUES ('WAVAPI400E','E','1','API Error in routine @p@ . RC is @p@, RS is @p@.','An API Error has occurred in the specified API routine. This message will usually be followed by a more specific reason-oriented error code.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI401E','E','1','Error removing region @p@ from all groups.','There was an API error removing the specified DASD region from all DASD Storage groups.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI402E','E','1','Error assigning region @p@ to storage group @p@.','There was an API error assigning the specified region to the specified DASD Group.  See previous API message for return code.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI403E','E','1','Error unassigning region from DASD volume @p@.','There was an API error unassigning the specified DASD region from the DASD Group.  See previous API message for return code.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI404E','E','1','Error assigning region to DASD volume @p@.','There was an API error assigning a DASD region tot e specified volume.  See previous API message for return code.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI405E','E','1','Error connecting to API server.','There was an error connecting the API Server on the z/VM System.  This might be caused by a communication failure, or the API server virtual machine being deactivated.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI406E','E','1','ESM authentication Error.','There was an internal error in the API request.  The request was denied by the External Security Manager.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI407E','E','1','Bad username or password.','There was in internal error in the API request.  The user name / password specified were invalid.  Check that the MAINT password specified to the z/VM system is the correct one.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI408E','E','1','Password expired.','There was an internal error in the API request.  The password for MAINT had expired.  Re-assign a password for maint and update the z/VM system in WAVE.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI409E','E','1','ESM failure.','There was an internal error in the API request.  The External Security Manager sent an error message.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI410E','E','1','Bad session token.','There was an internal error in the API request.  The communication session token is bad.  Contact IBM for assitance.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI411E','E','1','Directory Manager Authorization Error.','There was an internal error in the API request.  The DIRMAINT machine was not authorized to perform the requested API call.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI412E','E','1','SMAPI authorization error.','There was an internal error in the API request.  The API server was not authorized to perform the requested API call.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI413E','E','1','SMAPI server error.','There was an internal error in the API request.  The API server returned with a bad return code.  See previous messages for the exact return code returned by the API server.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI414E','E','1','Directory manager is unavailable.','There was an internal error in the API request.  It seems that DIRMAINT is not activated, or is not accepting API requests.');
INSERT INTO WAVE_Messages VALUES ('WAVAPI415E','E','1','Directory manager internal error, RS @p@.','There was an internal error in the API request.  The DIRMAINT machine returned the specified return code.');
INSERT INTO WAVE_Messages VALUES ('WAVATT001I','I','1','Updated the user servirity Attention Required entry @p@ @p@.','The specified IBM Wave object servirity was updated.');
INSERT INTO WAVE_Messages VALUES ('WAVATT002I','I','1','Attention Required entry for @p@ @p@ is now ignored.','The specified IBM Wave object is now ignored. The object status will not effect the system status.');
INSERT INTO WAVE_Messages VALUES ('WAVATT003I','I','1','Reseted the user servirity Attention Required entry @p@ @p@.','The user sevirity for the specified IBM Wave object was reseted to the default value.');
INSERT INTO WAVE_Messages VALUES ('WAVATT004I','I','1','Attention Required entry @p@ @p@ is no longer ignored.','The specified IBM Wave object was removed from the Attention required ignore list. The status of the object will effect the System status.');
INSERT INTO WAVE_Messages VALUES ('WAVATT400E','E','1','Failed to updated the user servirity Attention Required entry for @p@ @p@.','The specified IBM Wave object servirity was not updated.');
INSERT INTO WAVE_Messages VALUES ('WAVBTS001I','I','1','Scheduling Entry @p@ was deactivated successfully','The specified BTS scheduling entry was deactivated');
INSERT INTO WAVE_Messages VALUES ('WAVBTS002I','I','1','Scheduling Entry @p@ was activated successfully','The specified BTS Scheduling Entry was activated ');
INSERT INTO WAVE_Messages VALUES ('WAVBTS003I','I','1','Scheduling parameters for Scheduling Entry @p@ were changed to @p@','The specified Scheduling entry\'s pscheduling parameters were changed to the specified values');
INSERT INTO WAVE_Messages VALUES ('WAVBTS004I','I','1','BTS Worker removed successfully','The specified BTS Worker thread was removed');
INSERT INTO WAVE_Messages VALUES ('WAVBTS005I','I','1','BTS Worker added successfully','A BTS worker was added.');
INSERT INTO WAVE_Messages VALUES ('WAVBTS006I','I','1','BTS Workunit @p@ was deleted.','The specified BTS workunit was deleted from the database.');
INSERT INTO WAVE_Messages VALUES ('WAVBTS007I','I','1','BTS System COR @p@ deleted successfully.','The specified BTS system COR entry was deleted.');
INSERT INTO WAVE_Messages VALUES ('WAVBTS008I','I','1','BTS System COR rotated successfully.','System COR was closed and a new System COR was opened.');
INSERT INTO WAVE_Messages VALUES ('WAVBTS401E','E','1','Error deleting BTS Workunit @p@.','The specified BTS workunit was not deleted.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT001I','I','1','IBM Wave custom attribute @p@ was created successfuly.','The specified custom attribute was created successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT002I','I','1','IBM Wave custom attribute @p@ was updated successfuly.','The specified custom attribute was updated successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT003I','I','1','IBM Wave custom attribute @p@ was deleted successfuly.','The specified custom attribute was deleted successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT401E','E','1','Failed to create custom attribtue @p@','There was internal error creating the specified custom attirbute.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT402E','E','1','Failed to update custom attribtue @p@.','There was internal error updating the specified custom attirbute.');
INSERT INTO WAVE_Messages VALUES ('WAVCAT403E','E','1','Failed to delete custom attribtue @p@.','There was internal error deleting the specified custom attirbute.');
INSERT INTO WAVE_Messages VALUES ('WAVCLC001I','I','1','IBM Wave CLC instance created.','A IBM Wave CLC (CommunicationLess-Connection) was created.');
INSERT INTO WAVE_Messages VALUES ('WAVCLC002I','I','1','IBM Wave CLC client created for @p@.','A IBM Wave CLC (CommunicationLess-Connection) was established with the specified z/VM User.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC001I','I','1','CPC @p@ created successfully.','The specified CPC was successfully created and updated in the IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC002I','I','1','CPC @p@ deleted successfully.','The specified CPC was successfully deleted and removed from the IBM Wave database. All related VM objects (z/VM Systems, Users, GLANs etc) belonging to that CPC were also deleted from the database.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC003I','I','1','CPC @p@ updated successfully.','The specified CPC was successfully updated.  All data was updated in the IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC401E','E','1','Error creating CPC @p@.','There was an internal database error creating the specified CPC.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC402E','E','1','Error deleting CPC @p@.','There was an internal database error deleting the specified CPC.  If this CPC has a z/VM system attached to it, try to first remove the z/VM system and then delete the CPC.');
INSERT INTO WAVE_Messages VALUES ('WAVCPC403E','E','1','Error updating CPC @p@.','There was an internal database error updating the specified CPC.');
INSERT INTO WAVE_Messages VALUES ('WAVDBA001I','I','1','IBM Wave Database was successfully backed up into backup file @p@','The IBM Wave Database has been successfully backed up into the specified file');
INSERT INTO WAVE_Messages VALUES ('WAVDBA002I','I','1','IBM Wave Database was successfully restored from file @p@','The IBM Wave Database was successfully restored from the specified file');
INSERT INTO WAVE_Messages VALUES ('WAVDBA401E','E','1','Error removing region @p@ from all groups.','There was a database error removing the specified DASD region from all storage groups.');
INSERT INTO WAVE_Messages VALUES ('WAVDBA402E','E','1','Error assigning region @p@ to storage group @p@.','There was an internal error assigning the specified DASD region to the specified DASD Group.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVDBA403E','E','1','Error unassigning region from volume @p@.','There was an internal  error removing the DASD region from the specified DASD Volume.  See previous mesages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVDBA404E','E','1','Error assigning region to DASD volume @p@.','There was an internal error assiging a DASD region tot he specified DASD Volume.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVDBG001I','I','1','DEBUG: @p@ -> @p@.','This is a debug message.');
INSERT INTO WAVE_Messages VALUES ('WAVDEP001I','I','1','Device Pool @p@ added successfully.','The specified IBM Wave Device Pool was added successfully.  All internal IBM Wave database updates completed successfully');
INSERT INTO WAVE_Messages VALUES ('WAVDEP002I','I','1','Successfully associated Device Pool @p@ with system @p@ .','The specified IBM Wave Device Pool was associated with the system. ');
INSERT INTO WAVE_Messages VALUES ('WAVDEP003I','I','1','Device Pool @p@ updated successfully.','The specified IBM Wave Device Pool was updated successfully');
INSERT INTO WAVE_Messages VALUES ('WAVDEP004I','I','1','Successfully disassociated Device Pool @p@ from system @p@.','The specified IBM Wave Device Pool was successfully disassociated.');
INSERT INTO WAVE_Messages VALUES ('WAVDEP005I','I','1','Successfully removed Device Pool @p@.','The specified IBM Wave Device Pool was successfully removed.');
INSERT INTO WAVE_Messages VALUES ('WAVDEP400E','E','1','Failed to add the Device Pool @p@.','The specified IBM Wave Device Pool was not added. ');
INSERT INTO WAVE_Messages VALUES ('WAVDEP401E','E','1','Failed to associate Device Pool @p@ with system @p@.','The specified IBM Wave Device Pool was not associated with the system');
INSERT INTO WAVE_Messages VALUES ('WAVDEP402E','E','1','Failed to update Device Pool @p@.','The specified IBM Wave Device Pool was not updated.');
INSERT INTO WAVE_Messages VALUES ('WAVDEP403E','E','1','Failed to disassociate Device Pool @p@ from system @p@.','The specified IBM Wave Device Pool was not disassociated from the system.');
INSERT INTO WAVE_Messages VALUES ('WAVDEP404E','E','1','Failed to remove Device Pool @p@.','The specifeid IBM Wave Device Pool was not removed.');
INSERT INTO WAVE_Messages VALUES ('WAVDIR001I','I','1','The Directory @p@  was updated by IBM Wave user @p@.','The IBM Wave properties for the directory have been updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVDIR002I','I','1','Directory @p@ was deleted by IBM Wave user @p@.','The IBM Wave properties for the directory were deleted successfully');
INSERT INTO WAVE_Messages VALUES ('WAVDIR401E','E','1','Failed to update Directory @p@ by IBM Wave user @p@..','There was an internal error updating the Directory.  Contact IBM support team for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVDIR402E','E','1','Failed to delete Directory @p@ by IBM Wave user @p@.','There was an internal error deleting the Directory.  Contact IBM support team for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN000I','I','1','%%%text%%%.','This is a default information message.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN001W','W','1','%%%text%%%.','This is a default warning message.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN002E','E','1','%%%text%%%.','This is a default error message.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN003S','S','1','%%%text%%%.','This is a default severe message.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN007I','I','1','Connection to DB restored from @p@.','The connection to the IBM Wave internal database was restored.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN010I','I','1','IBM Wave Project @p@ added successfully.','The specified project was added successfully to the IBM Wave internal database.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN011I','I','1','IBM Wave Project @p@ updated successfully.','The apecified project was updated successfully in the IBM Wave internal database.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN012I','I','1','IBM Wave Project @p@ deleted successfully.','The specified project was deleted successfully from the IBM Wave internal database.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN013I','I','1','IBM Wave parameter @p@ updated to @p@.','The specified IBM Wave parameter was updated to the specified value.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN014I','I','1','IAN for @p@ @p@ was updated successfully.','The WAVE IAN for the specified object was updated successfully.  This might indicate an update to an existing IAN, or a creation of a  item.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN015I','I','1','IAN for @p@ @p@ was deleted successfully.','The WAVE IAN for the specified object was deleted successfully');
INSERT INTO WAVE_Messages VALUES ('WAVGEN016I','I','1','@p@ @p@ locked Successfully','The spcified object was locked successfully');
INSERT INTO WAVE_Messages VALUES ('WAVGEN017I','I','1','@p@ @p@ unlocked successfully','The specified object was unlocked successfully');
INSERT INTO WAVE_Messages VALUES ('WAVGEN018I','I','1','Single User Mode initiated by IBM Wave User @p@','IBM Wave has entered Single User Mode, in which only one administrator user can be logged on the IBM Wave at a time.  This mode is mainly used for maintanance.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN019I','I','1','Single User Mode terminated by IBM Wave User @p@','IBM Wave has terminated Single User Mode.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN020I','I','1','The WAVE Service Machines were recycled successfuly.','The WAVE service machines in the specified z/VM System were recycled successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN021I','I','1','Scheduled request @p@ submitted for immediate execution','A request was sent to the BTS to run the specified scheduled task immediatly using the Run Now action.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN410E','E','1','Error adding WAVE project @p@.','There was an internal database error adding the specified project.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN411E','E','1','Error updating WAVE project @p@.','There was an internal database error updating the specified project');
INSERT INTO WAVE_Messages VALUES ('WAVGEN412E','E','1','Error deleting WAVE project @p@.','There was an internal database error deleteing the specified project.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN414E','E','1','There as an error updating the IAN for @p@ @p@','There was a database error updating or creating an IAN for the specified item.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN415E','E','1','There was an error deleting the IAN for @p@ @p@','There was a database error deleting tht WAVE IAN for the specified object.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN416E','E','1','Error locking @p@ @p@','There as a databse error locing the specified object');
INSERT INTO WAVE_Messages VALUES ('WAVGEN417E','E','1','Error unlocking @p@ @p@','There as a database error unlocking the specified object');
INSERT INTO WAVE_Messages VALUES ('WAVGEN440E','E','1','Location error in template @p@.','There was an internal error (Location) in the template sub-system.  Contact IBM for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN441E','E','1','Data error in template @p@.','There was an internal error (Data) in the template sub-system.  Contact IBM for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN442E','E','1','Type error in template @p@.','There was an internal error (Type) in the template sub-system.  Contact IBM for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVGEN443E','E','1','Error creating panel @p@.','Error creating the specified panel.  Contact IBM for assistance.\n');
INSERT INTO WAVE_Messages VALUES ('WAVGEN444E','E','1','Error recycling IBM Wave Service Machines.','There was an internal error while trying to recycle the IBM Wave Service Machines on the specified z/VM System..');
INSERT INTO WAVE_Messages VALUES ('WAVMGE001I','I','1','Successfully added the IBM Wave Managed entity @p@.','The specified IBM Wave Managed entity was successfully added to IBM Wave.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE002I','I','1','Successfully connected entity @p@ to Device Pool @p@.','The specified IBM Wave Managed entity was successfully connected to the device pool.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE003I','I','1','Successfully connected entity @p@ to VNS @p@.','The specified IBM Wave Managed entity was successfully connected to the virtual network.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE004I','I','1','Successfully disconnected entity @p@ from Device Pool @p@.','The specified CSL-WAVE Managed entity was disconnected successfully from the Device Pool. ');
INSERT INTO WAVE_Messages VALUES ('WAVMGE005I','I','1','Successfully disconnected entity @p@ from VNS @p@.','The specified CSL-WAVE Managed entity was disconnected successfully from the virtual network segment. ');
INSERT INTO WAVE_Messages VALUES ('WAVMGE006I','I','1','Successfully updated entity @p@.','The specified CSL-WAVE Managed entity was updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE400E','E','1','Failed to add the CSL-WAVE Managed entity @p@.','The specified CSL-WAVE Managed entity was not added to WAVE. ');
INSERT INTO WAVE_Messages VALUES ('WAVMGE401E','E','1','Failed to connect entity @p@ to Device Pool @p@.','The specified CSL-WAVE Managed entity was not connected to the device pool.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE402E','E','1','Failed to connect entity @p@ to VNS @p@.','The specified CSL-WAVE Managed entity was not connected to the virtual network.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE403E','E','1','Failed to disconnect entity @p@ from Device Pool @p@.','The specified CSL-WAVE Managed entity was not disconnected from the Device Pool. ');
INSERT INTO WAVE_Messages VALUES ('WAVMGE404E','E','1','Failed to disconnect entity @p@ from VNS @p@.','The specified CSL-WAVE Managed entity was not disconnected from the virtual network segment.');
INSERT INTO WAVE_Messages VALUES ('WAVMGE405E','E','1','Failed to update entityt @p@.','The specified CSL-WAVE Managed entity was not updated.');
INSERT INTO WAVE_Messages VALUES ('WAVNET001I','I','1','@p@ @p@ was created successfully.','The specified Virtual Network was created successfully.  The new Virtual Network was updated in the z/VM system and in the internal CSL-WAVE database.');
INSERT INTO WAVE_Messages VALUES ('WAVNET002I','I','1','@p@ @p@ deleted successfully.','The specified Virtual Network was deleted successfully both from the z/VM system and from the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVNET003I','I','1','@p@ @p@ updated successfully.','The specified Virtual Network was updated successfully both in the z/VM system and in the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVNET004I','I','1','Inconsistant @p@ @p@ removed successfully.','The specified inconsistant Virtual Network was reomved from the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVNET020I','I','1','Temporary connection successfully created between @p@ and @p@.','A temporary connection was created successfully between the Guest LAN and user specified.  A temporary connection will be automatically removed when the zVM User is logged-off or deactivated.');
INSERT INTO WAVE_Messages VALUES ('WAVNET021I','I','1','Permanent connection successfully created between @p@ and @p@.','A permanenat connection was created successfully between the Guest LAN and zVM User specified.  A permanent conneciton will remain valid even after the z/VM user has been deactivated.');
INSERT INTO WAVE_Messages VALUES ('WAVNET022I','I','1','z/VM user @p@ successfully disconnected from @p@.','The specified user has been successfully disconnected from the specified Guest LAN.  All relevant internal database actions have completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVNET023I','I','1','@p@ @p@ recreated successfully.','The specified Virtual Network was re-created successfully from the data in the internal IBM Wave database.  Both the zVM System and the internal IBM Wave databse have been updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVNET201W','W','1','Servers that were active during the @p@(@p@) Re-Create must be re-cycled in order to recognize the newly Re-Created GLAN.','The specified Virtual Network was recreated.  All attached z/VM users that were were active were issued a recycle request in order for them to recignize the re-created Virtual Network.');
INSERT INTO WAVE_Messages VALUES ('WAVNET401E','E','1','Error creating @p@ @p@.','There was an internal error creating the specified Virtual Network.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVNET402E','E','1','Error deleting @p@ @p@.','There was an internal error deleting the specified Virtual Network.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRM001I','I','1','WAVE paramters were updated successfully by @p@.','WAVE parmaters were successfully updated by WAVE user.');
INSERT INTO WAVE_Messages VALUES ('WAVPRM401E','E','1','Error while updating WAVE paramteres by @p@.','Error while updating WAVE parameters.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO001I','I','1','Prototype @p@ created successfully.','The specified z/VM prototype was created successfully.  All updates to the z/VM system and to the internal IBM Wave database completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO002I','I','1','Prototype @p@ deleted successfully.','The specified z/VM prototype was deleted successfully.  If the prototype had a z/VM user associated with it, the z/VM user was restored and its password changed to the requested password.  The z/VM System and internal IBM Wave database were updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO003I','I','1','Prototype @p@ updated successfully.','The specified z/VM prototype was updated successfully.  The z/VM System ad internal IBM Wave database were updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO004I','I','1','Inconsistant VM prototype @p@ deleted successfully.','The specified inconsistant z/VM prototype was successfully removed from the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO005I','I','1','VM prototype @p@ associated with VM user @p@.','The specified z/VM prototype was successfully associated with the specified z/VM user.  All z/VM system and internal IBM Wave database update completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO006I','I','1','VM prototype @p@ disassociated from VM user.','The specified z/VM user was succesfully disassociated from the specified z/VM prototype.  The z/VM password for the specified z/VM user was restored to the requested password.  All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO007I','I','1','Ended Cloning user @p@ from prototype @p@.','The cloning process of the specified user has ended.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO008I','I','1','Started Cloning user @p@ from prototype @p@.','The cloning process of the specified user has started.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO401E','E','1','Error creating prototype @p@.','There was an internal error creating the specified z/VM prototype.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO402E','E','1','Error deleting prototype @p@.','There was an internal error deleteing the specified z/VM prototype. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO403E','E','1','Error updating prototype @p@.','There was an internal error updating the specified z/VM prototype.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO404E','E','1','Error removing inconsistant VM prototype @p@.','There was an internal error removing the specified inconsistant z/VM prototype.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO405E','E','1','Error associating VM prototype @p@ with VM user @p@.','There was an internal error associating the specified z/VM prototype with the specified z/VM user.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO406E','E','1','Error disassociating VM prototype @p@ from VM user.','There was an internal error disassociating the specified z/VM user from the specified z/VM prototype.  See previous mesages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVPRO507E','E','1','Error Cloning user @p@ from prototype @p@.','The cloning process of the specified user has ended with an error. ');
INSERT INTO WAVE_Messages VALUES ('WAVREP001I','I','1','@p@ WAVE report \" @p@ \" created successfully (report type is: @p@).','The specified report was created successfully.  The message displays the name of the report created and the type.');
INSERT INTO WAVE_Messages VALUES ('WAVREP002I','I','1','@p@ WAVE report \"@p@\" deleted successfully.','The specified report was deleted successfully.  If the deleted report is a global report, this chnage will be reflected in othe WAVE User sessions.');
INSERT INTO WAVE_Messages VALUES ('WAVREP003I','I','1','@p@ WAVE Report \" @p@ \" was updated successfully','The specified WAVE Report was saved successfully');
INSERT INTO WAVE_Messages VALUES ('WAVSCR001I','I','1','WAVE user script @p@ created successfully.','The specified WAVE user script has been successfully created.');
INSERT INTO WAVE_Messages VALUES ('WAVSCR002I','I','1','WAVE user script @p@ deleted successfully.','The specified WAVE user script has been deleted.');
INSERT INTO WAVE_Messages VALUES ('WAVSCR003I','I','1','WAVE user script @p@ saved successfully.','The specified WAVE user script was saved successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSCR401E','E','1','Error creating WAVE user script @p@.','There was an error creating the specified WAVE user script.  There might be a problem with the database, or a problem with the connection to the wavesrv server.  Make sure that SSH is available to the wavesrv server.');
INSERT INTO WAVE_Messages VALUES ('WAVSCR402E','E','1','Error deleting WAVE user script @p@.','There was an error deleting the specified WAVE user script.  There might be a problem with the database, or a problem with the connection to the wavesrv server.  Make sure that SSH is available to the wavesrv server.');
INSERT INTO WAVE_Messages VALUES ('WAVSCR403E','E','1','Error saving WAVE user script @p@.','There was an error saving the specified WAVE User script.  There might be a problem with the database, or a problem with the connection to the wavesrv server.  Make sure that SSH is available to the wavesrv server.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC001I','I','1','@p@ @p@ logged in from @p@.','The user has logged on to the WAVE GUI from the indicated station.\r\nThe message specifies if the user is a regular user or an administrator.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC002I','I','1','@p@ @p@ logged off from @p@.','The specified IBM Wave User has logged off from the specified station.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC003I','I','1','permission for z/VM system @p@ with type @p@ and value @p@ was added to WAVE User @p@.','The specified permission of the specified WAVE user was added successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC004I','I','1','permission for  z/VM system @p@ with type @p@ and value @p@ was deleted from WAVE User @p@.','The specified permission of the specified WAVE user was deleted successfuly');
INSERT INTO WAVE_Messages VALUES ('WAVSEC005I','I','1','permission for  z/VM system @p@ with type @p@ and value @p@ of WAVE User @p@ was updated.','The specified permission of the specified WAVE User was updated successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC006I','I','1','WAVE User @p@ status was updated to @p@.','The specified WAVE User status was updated.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC007I','I','1','WAVE User @p@ password was changed.','The specified WAVE User password was changed.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC008I','I','1','WAVE User @p@ security question was changed.','The specified WAVE User security question was changed.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC009I','I','1','WAVE User @p@ answer to the security question was changed.','The specified WAVE User answer to the security question was changed.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC010I','I','1','WAVE User @p@ was updated. the user @p@ change his password on next login.','The specified WAVE User password expiration was changed.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC011I','I','1','WAVE User @p@ type has changed to @p@','The specified WAVE User type was updated.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC012I','I','1','WAVE Log was dumped into file @p@ with md5 value @p@','The WAVE Log was dumped into the specified location in the WAVESERV file system. The generated dump file has an md5 value as specified.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC013I','I','1','Did not create IBM Wave Log dump file.','There were no eligable records in the IBM Wave Log.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC014I','I','1','TVP-API Credentials changed for z/VM System @p@','The login credentials used to authenticate into the TVP-API have changed for the specified z/VM system');
INSERT INTO WAVE_Messages VALUES ('WAVSEC015I','I','1','Knowledgebase AES keys were changed.	','New AES keys were successfully created in the knowledgebase.\r\nNew AES keys were successfully created in the knowledgebase.\r\nNew AES keys were successfully created in the knowledgebase.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC016I','I','1','Minidisk passwords changed for z/VM System @p@','The minidisk passwords have changed for the specified z/VM system');
INSERT INTO WAVE_Messages VALUES ('WAVSEC405E','E','1','ENQ error logging-on WAVE user @p@.','There was an internal ENQ error loggin-on the specified user.  It is possible that the user is already logged on.  If so, use the \"Force\" option on the logon screen.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC406E','E','1','Error logging-in IBM Wave user @p@ , user already logged on from @p@.','The specified user is already logged on to the IBM Wave system from another station.  Select the \"Force\" option from the login screen to forcibly logoff the user from the other station and logon at the current station.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC407E','E','1','@p@ @p@ forcibly logged off from @p@ due to double-login.','The specified user was forcibly logged off from the IBM Wave system.  This is due to the fact that the same user name was used with the \"Force\" option in another station.');
INSERT INTO WAVE_Messages VALUES ('WAVSEC408E','E','1','Error while regenerating AES keys','Failed to regenerate AES keys.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO001I','I','1','Region @p@ successfully removed from all groups.','The specified DASD Region has been successfully removed from all storage groups.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO002I','I','1','Region @p@ has been successfully assigned to group @p@.','The specified DASD Region was successfully assigned to the specifed DASD Group.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO003I','I','1','Region was successfully unassigned from DASD volume @p@.','The DASD region was successfully removed from the specified DASD volume.  All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO004I','I','1','Region was successfully assigned to DASD volume @p@.','A DASD region was successfully assigned on the specified DASD volume.  All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO005I','I','1','Storage group @p@ created successfully.','The specified DASD group was created successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO006I','I','1','Storage group @p@ updated successfully.','The specified DASD group was updated successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO007I','I','1','DASD group @p@ deleted successfully.','The specified DASD group was deleted successfully. All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO012I','I','1','Inconsistant DASD group @p@ remvoed successfully.','The specified DASD group was removed from the database.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO013I','I','1','Inconsistant DASD volume @p@ removed successfully.','The specified DASD volume was removed from the database.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO014I','I','1','DASD Volume @p@ was marked has PAGE.','The specified DASD Volume was marked has PAGE successfully. All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO015I','I','1','DASD Volume @p@ was marked has SPOOL.','The specified DASD Volume was marked has SPOOL successfully. All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO016I','I','1','DASD Volume @p@ was unmarked has PAGE.','The specified DASD Volume was unmarked has PAGE successfully. All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO017I','I','1','DASD Volume @p@ was unmarked has SPOOL.','The specified DASD Volume was unmarked SPOOL successfully. All z/VM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO018I','I','1','PAGE DASD Volume @p@ was added to z/VM system.','The specified PAGE DASD Volume was add to z/VM system. All zVM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO019I','I','1','SPOOL DASD Volume @p@ was added to z/VM system.','The specified SPOOL DASD Volume was add to z/VM system. All zVM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO020I','I','1','DASD Volume @p@ (Real Device @p@) varied @p@ successfully','The specified volume was successfully varied online\\offline ');
INSERT INTO WAVE_Messages VALUES ('WAVSTO405E','E','1','Error creating storage group @p@.','There was an internal error creating the specified DASD group.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO406E','E','1','Error updating storage Group @p@.','There was an internal error updating the specified DASD group. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO407E','E','1','Error deleting DASD group @p@.','There was an internal error deleting the specified DASD group. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO412E','E','1','Error removing DASD group @p@.','There was an internal database error removing the specified inconsistant DASD group.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO413E','E','1','Eoor removing DASD volume @p@.','There was an internal database error removing the specified inconsistant DASD volume.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO414E','E','1','Failed to Mark PAGE DASD Volume @p@.','There was an internal error marking PAGE the specified DASD Volume. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO415E','E','1','Failed to Mark SPOOL DASD Volume @p@.','There was an internal error marking SPOOL the specified DASD Volume. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO416E','E','1','Failed to UnMark PAGE DASD Volume @p@.','There was an internal error Unmarking PAGE the specified DASD Volume. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO417E','E','1','Failed to UnMark SPOOL DASD Volume @p@.','There was an internal error Unmarking SPOOL the specified DASD Volume. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO418E','E','1','Failed to add PAGE DASD Volume @p@ to z/VM system.','There was an internal error adding PAGE  DASD Volume to z/VM system. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO419E','E','1','Failed to add SPOOL DASD Volume @p@ to z/VM system.','There was an internal error adding SPOOL DASD Volume to z/VM system. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO420E','E','1','Failed attaching DASD Volume @p@ to z/VM system','There was an internal error attaching the DASD Volume to the z/VM system. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO421E','E','1','Failed detaching DASD Volume @p@ from z/VM system','There was an internal error detaching the DASD Volume from the z/VM system. See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO422E','E','1','Failed to vary DASD Volume @p@ (Real Device @p@) @p@','There was an internal error varying the specified DASD Volume.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO422I','I','1','DASD Volume @p@ was attached to z/VM system','The specified DASD Volume was attached to the z/VM system. All zVM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSTO423I','I','1','DASD Volume @p@ was detached from z/VM system','The specified DASD Volume was detached from the z/VM system. All zVM System and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS001I','I','1','z/VM System @p@ created successfully.','The specified z/VM system was created successfully.  All z/VM system and internal IBM Wave database updates completed successfully.  IBM Wave will load the auto-detect panel. ');
INSERT INTO WAVE_Messages VALUES ('WAVSYS002I','I','1','z/VM System @p@ deleted successfully.','The specified z/VM system was deleted successfully.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS003I','I','1','z/VM System @p@ updated successfully.','The specified z/VM system was updated successfully.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS010I','I','1','Connection restored to the API server of @p@.','The connection was restored to the API server on the specified z/VM system.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS011I','I','1','Spool purger was run on the z/VM System with mode @p@ . Return Code is @p@','The Spool purger was run on the specified z/VM System.  The return code from the spool purger run is indicated');
INSERT INTO WAVE_Messages VALUES ('WAVSYS012I','I','1','System shutdown was initiated from IBM Wave','A IBM Wave User has initiated a shutdown for the specified z/VM System');
INSERT INTO WAVE_Messages VALUES ('WAVSYS210W','W','1','Failed to connect to API server on @p@, attempting to reconnect (attempt number @p@).','There as an internal error connecting to the API server on the specified system.  IBM Wave will attempt to reconnect to the API server until the connection is restored or until the z/VM system\'s status  will be changed to suspended.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS401E','E','1','Error creating z/VM system @p@.','There was an internal error creating the specified z/VM system.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS402E','E','1','Error deleting z/VM system @p@.','There was an internal error deleting the specified z/VM system.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS403E','E','1','Error updating z/VM system @p@.','There was an internal error updating the specified z/VM system.  See previous messages for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS404E','E','1','Error deleting z/VM system @p@.','There was an internal error deleting the dedicated links for the z/VM system. Please contact IBM Wave support.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS405E','E','1','Error deleting z/VM system @p@.','There was an internal error deleting the dedicated links for the z/VM system. Please contact IBM Wave support.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS406E','E','1','Error deleting z/VM system @p@.','There was an internal error deleting the GLAN relations to the VNSs for the z/VM system. Please contact IBM Wave support.');
INSERT INTO WAVE_Messages VALUES ('WAVSYS407E','E','1','Error deleting z/VM system @p@.','There was an internal error deleting the VSwitches relations to the VNSs for the z/VM system. Please contact IBM Wave support.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD001I','I','1','IBM Wave Update Daemon started @p@.','The IBM Wave backgroup task started the specified operation.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD002I','I','1','IBM Wave Service @p@ re-run.','The specified IBM Wave background service started a run.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD003I','I','1','IBM Wave Service @p@ sleeping for @p@ seconds.','The specified IBM Wave background service is sleeping for the specified duration.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD004I','I','1','IBM Wave Service @p@ Shutting Down.','The specified IBM Wave background service has entered a shutdown phase.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD005I','I','1','IBM Wave Service @p@ run @p@.','The specified IBM Wave background service has started to run the specified task.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD006I','I','1','IBM Wave Service @p@ ended @p@.','The specified IBM Wave background service has ended the specified task.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD007I','I','1','IBM Wave Service @p@ started @p@.','The specified IBM Wave background service has started to run the specified task.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD010I','I','1','@p@ complete, inserted @p@ new rows.','A IBM Wave background service has completed the specified task and inserted the specified number of new entries to the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD201W','W','1','IBM Wave Service @p@ Failed to @p@ due to ENQ.','The specified IBM Wave background service failed to perform the specified task due to an existing ENQ.  This problem can be resolved by DEQing the specified ENQ from the WRS management option in the administrative menu.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD420E','E','1','IBM Wave Service @p@ Error initing z/VM User list for system @p@.','The specified IBM Wave background service has failed to initialize the z/VM user list for the specified z/VM system.. Contact IBM for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVUPD421E','E','1','IBM Wave Service @p@ Error initing network list for system @p@.','The specified IBM Wave background service has failed to initialize the z/VM uiser list for the specified z/VM system.. Contact IBM for assistance.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR001I','I','1','z/VM user @p@ created successfully.','The specified z/VM user was created successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR002I','I','1','z/VM user @p@ deleted successfully.','The specified z/VM user was deleted successfully.  All zVM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR003I','I','1','z/VM user @p@ updated successfully.','The specified z/VM user was updated successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR004I','I','1','Inconsistant z/VM user @p@ removed successfully.','The specified inconsistant z/VM user was successfully removed from the internal IBM Wave database.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR005I','I','1','z/VM user @p@ recycled successfully.','The specified z/VM user was successfully recycled.  The IBM Wave monitor background service will restart the z/VM user when it is deactivated.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR010I','I','1','z/VM user @p@ moved to site defined group @p@.','The specified z/VM user was succefully moved tot he specified site defined group.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR011I','I','1','@p@ @p@ removed successfully.','The specified object was removed successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR012I','I','1','Site defined group @p@ updated successfully.','The specified site defined group was deleted successfully.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR014I','I','1','z/VM user @p@ activated successfully.','The specified z/VM user was activated successfully.  Note that the activation is equivalent to a power-on action on a physical server.  If there is a logical problem in the z/VM user, the operating system might not load and the situation will require a manual intervention from the z/VM system programmer.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR015I','I','1','z/VM user @p@ deactivated successfully.','The specified z/VM user was deactivaeted successfully according to the parameters specified.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR016I','I','1','z/VM user @p@ moved to project @p@.','The specified z/VM user was successfully transferred to the specified project.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR017I','I','1','z/VM user @p@ moved to OS distribution @p@.','The specified z/VM user was assigned the specified OS distribution successfully. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR018I','I','1','Storage disk at added to user @p@ at virtual address @p@.','A minidisk was successfully added to the specified z/VM user at the specified virtual address. All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR019I','I','1','z/VM User @p@ successfully inited for IBM Wave use','The specified z/VM User was successfully inited for IBM Wave use.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR020I','I','1','Root passwor cleared for z/VM User @p@','The linux root password that was stored in the IBM Wave database was cleared.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR021I','I','1','z/VM user @p@ was accessed using WAVE CLC.','The specified z/VM user was accessed using WAVE CLC.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR022I','I','1','z/VM user @p@ was accessed using WAVE 3270 console.','The specified z/VM user was accessed using WAVE 3270 console');
INSERT INTO WAVE_Messages VALUES ('WAVUSR023I','I','1','z/VM user @p@ was accessed  using SSH.','The specified z/VM user was accessed using SSH');
INSERT INTO WAVE_Messages VALUES ('WAVUSR024I','I','1','Virtual machine @p@ has been connected to VNS @p@.','The specified virtaul machine was successfully connected to the virtual network segement.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR025I','I','1','Virtual machine @p@ has been disconnected from VNS @p@.','The specified virtaul machine was successfully disconnected from the virtual network segement.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR026I','I','1','IBM Wave custom attribute @p@ was assigned to z/VM user @p@.','The specified custom attribute was assigned to the specified z/vm user successfuly.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR201W','W','1','z/VM user @p@ should be recycled for changes update.','The z/VM user was updated, but should be recycled in order for the changes to take place.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR401E','E','1','Error Creating user @p@.','There was internal error creating the specified user.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR402E','E','1','Error deleting z/VM user @p@.','There was an internal error deactivating the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR405E','E','1','Error recycling z/VM user @p@.','There was an internal error recycling the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR410E','E','1','Error moving z/VM user @p@ to site defined group @p@.','There was an internal error moving the specified z/VM user to the specified Site defined group.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR411E','E','1','Error removing @p@ @p@.','There was an internal error removing the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR412E','E','1','Error updating site defined group @p@.','There was an internal error updating the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR413E','E','1','Error getting z/VM user distribution for @p@.','There was an internal error receiving the OS distribution for the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR414E','E','1','Error activating z/VM User @p@.','There was an internal error activating the specified z/VM user.  See previous messages or on-screen display for the exact reason.  This could happen when the zVM User\'s zVM password is set to NOLOG.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR415E','E','1','Error Deactivating z/VM user @p@.','There was an internal error deactivating the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR416E','E','1','Error moving z/VM user @p@ to project @p@.','There was an internal error moving the specified z/VM User to the specified project.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR417','E','1','Error moving z/VM user @p@ to OS Distribution @p@.','There was an internal error assigning the specified OS distribution to the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR417E','E','1','Error Removing z/VM user @p@.','There was an internal error removing the specified z/VM user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR418E','E','1','Failed to add storage disk to user @p@ at virtual address @p@.','There was an internal error adding a minidisk to the specified z/VM user at the specified virtual address.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR419E','E','1','Error connecting virtual machine @p@ to VNS @p@.','The specified virtual machine was not conneted to the virtual network segement.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR420E','E','1','Error disconnecting virtual machine @p@ from VNS @p@.','The specified virtual machine was not disconneted from the virtual network segement.');
INSERT INTO WAVE_Messages VALUES ('WAVUSR421E','E','1','Failed to assign IBM Wave custom attribute @p@ to z/VM user @p@.','There was internal error assigning custom attribute to z/vm user.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS001I','I','1','Successfully added new VNS @p@.','The specified virtual network segment was added successfully. ');
INSERT INTO WAVE_Messages VALUES ('WAVVNS002I','I','1','Successfully connected VNS @p@ to virtual network @p@.','The specified virtual network segment was connected to the virtual network.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS003I','I','1','Successfully disconnected VNS @p@ from virtual network @p@','The specified virtual network segment was disconneted successfully from the virtual network.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS004I','I','1','Successfully removed VNS @p@.','The specified virtual network segment was removed successfully from WAVE.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS005I','I','1','Successfully updated VNS @p@.','The specified virtual network segment was updated successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS400E','E','1','Failed to add VNS @p@.','The specified virtual network segment was not added.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS401E','E','1','Failed to connect VNS @p@ to virtual network @p@.','The specified virtual network segment was not connected to the virtual network. See related COR entries for more information');
INSERT INTO WAVE_Messages VALUES ('WAVVNS402E','E','1','Failed to dissconect VNS @p@ from virtual network @p@.','The specified virtual network segment was not disconneted from the virtual network.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS403E','E','1','Failed to remove VNS @p@.','The specified virtual network segment was not removed from WAVE.');
INSERT INTO WAVE_Messages VALUES ('WAVVNS404E','E','1','Failed to update VNS @p@.','The specified virtual network segment was not updated.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT001I','I','1','Successfully added VN @p@ of type @p@.','The specified Virtual network was added successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT002I','I','1','Successfully deleted VN @p@ of type @p@.','The specified Virtual Network was deleted successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT003I','I','1','Successfully recreated VN @p@ of type @p@.','The specified Virtual Network was succefully recreated from the Database.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT004I','I','1','Successfully removed VN @p@ of type @p@ from the DB.','The specified Virtual Network was removed from the IBM Wave Database.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT005I','I','1','Successfully updated VN @p@ of type @p@.','The specified Virtual Network was succefully updated.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT400E','E','1','Errors occurred while trying  to add VN @p@ of type @p@.','During the creation of the specified Virtual Network one or more errors may have occured. See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT401E','E','1','Errors occurred while trying  to delete VN @p@ of type @p@.','During the deletion of the specified Virtual Network one or more errors may have occured. See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT402E','E','1','Errors occurred while trying to delete a VN of type @p@.','During the deletion of a Virtual Network one or more errors may have occured. See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT403E','E','1','Errors occurred while trying  to recreate VN @p@ of type @p@.','During the recreation of the specified Virtual Network one or more errors may have occured. See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT404E','E','1','Errors occurred while trying to recreate a VN of type @p@.','During the recreation of a Virtual Network one or more errors may have occured. See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT405E','E','1','Errors occurred while trying to remove VN @p@ of type from the DB','Errors occured while trying to remove the specified Virtual Network from the IBM Wave Database.  See related COR entries for more information.');
INSERT INTO WAVE_Messages VALUES ('WAVVNT406E','E','1','Failed to update VN @p@ of type @p@.','The specified Virtual Network was not updated.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN001I','I','1','Update scheduled for @p@.','The IBM Wave background services were successfully notified to perform the specified update in the next run.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN002I','I','1','IBM Wave user @p@ created successfully.','The specified IBM Wave user was created successfully.  All internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN003I','I','1','IBM Wave user @p@ updated successfully.','The specified IBM Wave user was updated successfully.  All internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN004I','I','1','IBM Wave server service @p@ started successfully.','The specified IBM Wave background service was started successfully.  The IBM Wave service checker will load the service in its next run.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN005I','I','1','IBM Wave server service @p@ stopped successfully.','The spcified IBM Wave background service was issued a shutdown request.  The service will shutdown after the next run.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN006I','I','1','Password updated successfully for WAVE User @p@','The WAVE User password was updated sucssesfully.  This was either issued from within the GUI station or from the forgot password window. ');
INSERT INTO WAVE_Messages VALUES ('WAVWIN007I','I','1','WAVE User preferences for WAVE User @p@ updated successfully','The WAVE User preferences for the specified WAVE User were updated successfully');
INSERT INTO WAVE_Messages VALUES ('WAVWIN201W','W','1','Force DEQ was issued for @p@.','The specified ENQ entry was forcibly DEQued successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN401E','E','1','Schedule of update for @p@ failed.','There was an internal error scheduling the specified update for the IBM Wave background services.  Contact IBM for assistance');
INSERT INTO WAVE_Messages VALUES ('WAVWIN402E','E','1','Error creating IBM Wave user @p@.','There was an internal error creating the specified IBM Wave user.  See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN403E','E','1','Error updating IBM Wave user @p@.','There was an internal error updating the specified IBM Wave user.   See previous messages or on-screen display for the exact reason.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN404E','E','1','Failed to start IBM Wave server service @p@ in the alotted time.','There was an internal error starting the IBM Wave background service in the allotted time.  Try to issue the start command again.  If the problem persists. there might be a problem with the IBM Wave service checker.  Try to recycle the IBM Wave service checker.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN405E','E','1','Failed to stop IBM Wave server service @p@ in the alloted time.','There was an internal error stopping the IBM Wave background service in the alloted time.  Try to issue the stop command again.  If the problem persists. there might be a problem with the IBM Wave service checker.  Try to recycle the IBM Wave service checker.');
INSERT INTO WAVE_Messages VALUES ('WAVWIN406E','E','1','There was an error updating the WAVE User password for WAVE User @p@','There was a database error updating the WAVE password for the specified WAVE User');
INSERT INTO WAVE_Messages VALUES ('WAVWIN407E','E','1','There was an error updating the WAVE User Preferences for WAVE User @p@','There was a database error updating the WAVE User Preferences for the specified WAVE User.');
INSERT INTO WAVE_Messages VALUES ('WAVWRK001I','I','1','IBM Wave work unit @p@ created with VM WorkUnit IDs @p@.','The specified IBM Wave work unit was created successfully.  The message indicates the z/VM Work Units that were attached to the IBM Wave work unit.');
INSERT INTO WAVE_Messages VALUES ('WAVWRK002I','I','1','IBM Wave work unit @p@ deleted.','The specified IBM Wave work unit was successfully deleted.  All z/VM system and internal IBM Wave database updates completed successfully.');
INSERT INTO WAVE_Messages VALUES ('WAVWRK402E','E','1','Error deleting IBM Wave work unit @p@.','There was an internal error deleting the specified IBM Wave work unit.  If this problem persists, contact IBM for assistance.');

--
-- Table structure for table `WAVE_Parameter_Table`
--

CREATE TABLE WAVE_Parameter_Table (
  Parameter_Name varchar(255) NOT NULL default '',
  Parameter_Value longtext NOT NULL,
  PRIMARY KEY  (Parameter_Name),
  UNIQUE KEY Parameter_Name (Parameter_Name)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Parameter_Table`
--

INSERT INTO WAVE_Parameter_Table VALUES ('3270_SLEEP_MILS','500');
INSERT INTO WAVE_Parameter_Table VALUES ('3270_TERMINAL_MODE','4');
INSERT INTO WAVE_Parameter_Table VALUES ('ACTIVE_DIRECTORY_ADMIN','');
INSERT INTO WAVE_Parameter_Table VALUES ('ACTIVE_DIRECTORY_DEFAULT_DOMAIN','');
INSERT INTO WAVE_Parameter_Table VALUES ('ACTIVE_DIRECTORY_HOSTNAME','');
INSERT INTO WAVE_Parameter_Table VALUES ('ACTIVE_DIRECTORY_PASSWORD','');
INSERT INTO WAVE_Parameter_Table VALUES ('ACTIVE_DIRECTORY_PORT','389');
INSERT INTO WAVE_Parameter_Table VALUES ('ATTENTION_REQUIRED_SEVERITIES','<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<WAVE>\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"70\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"2\" IgnoreValue=\"false\" DefaultSeverity=\"80\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"3\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"4\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"5\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"6\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"7\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"8\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"9\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"10\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"11\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"12\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"13\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"14\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"15\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"16\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMUser\" ErrorType=\"17\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMPrototype\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMPrototype\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMPrototype\" ErrorType=\"2\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMPrototype\" ErrorType=\"3\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMLAN\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMLAN\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"70\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMVSwitch\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMVSwitch\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"70\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMDASDGroup\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMDASDVolume\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMDASDVolume\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMDASDVolume\" ErrorType=\"2\" IgnoreValue=\"false\" DefaultSeverity=\"90\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMSystem\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"80\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMSystem\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"80\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMSystem\" ErrorType=\"2\" IgnoreValue=\"false\" DefaultSeverity=\"80\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMSystem\" ErrorType=\"3\" IgnoreValue=\"false\" DefaultSeverity=\"80\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMCPC\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMCPC\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"90\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMCPC\" ErrorType=\"2\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMRealDevice\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMRealDevice\" ErrorType=\"1\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMDevicePool\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"30\" isModifyable=\"3\" />\r\n<attentionRequiredDescriptor ObjectType=\"zVMProfile\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"50\" isModifyable=\"0\" />\r\n<attentionRequiredDescriptor ObjectType=\"VNS\" ErrorType=\"0\" IgnoreValue=\"false\" DefaultSeverity=\"40\" isModifyable=\"3\" />\r\n</WAVE>');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_NO_OF_MISSING_HEARTBEATS','5');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_PARM_ListeningPort','3300');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_PARM_NumberOfWorkers','2');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_PARM_Version','1.1.0');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_WU_INTERNAL_ENDED_OK_SAVE_DAYS','1');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_WU_INTERNAL_SAVE_DAYS','1');
INSERT INTO WAVE_Parameter_Table VALUES ('BTS_WU_SAVE_DAYS','7');
INSERT INTO WAVE_Parameter_Table VALUES ('CHANGE_DESCRIPTOR_LOG_MAX_SIZE','250000');
INSERT INTO WAVE_Parameter_Table VALUES ('CHANGE_DESCRIPTOR_QUEUE_MAX_SIZE','250000');
INSERT INTO WAVE_Parameter_Table VALUES ('CLC_LINUX_LOGIN_PROMPT','Last login:');
INSERT INTO WAVE_Parameter_Table VALUES ('CSC_COMM_PORT','9999');
INSERT INTO WAVE_Parameter_Table VALUES ('DASD_UPDATE_INTERVAL','3600');
INSERT INTO WAVE_Parameter_Table VALUES ('DB_UPDATE_DAEMON_DEBUG_LEVEL','9');
INSERT INTO WAVE_Parameter_Table VALUES ('DB_UPDATE_DAEMON_WAKEUP_INTERVAL','10');
INSERT INTO WAVE_Parameter_Table VALUES ('DEFAULT_LOGIN_METHOD','DB');
INSERT INTO WAVE_Parameter_Table VALUES ('DIRMAINT_READ_PASSWORD','read');
INSERT INTO WAVE_Parameter_Table VALUES ('FUNCTIONALITY_MATRIX','<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<WAVE><FuncEntry FuncName=\"N/A\" FuncActLevel=\"1\" /></WAVE>');
INSERT INTO WAVE_Parameter_Table VALUES ('HW_CompMode','0');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_ANON_SEARCH','false');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_ENABLED','false');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_GROUP_ATTRIBUTE','member');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_GROUP_OBJECTCLASS','posixGroup');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_SSL_CERT_FILE','');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_USER_ATTRIBUTE','uid');
INSERT INTO WAVE_Parameter_Table VALUES ('LDAP_USER_OBJECTCLASS','person');
INSERT INTO WAVE_Parameter_Table VALUES ('LINUX_AUTH_ACCESS','USER');
INSERT INTO WAVE_Parameter_Table VALUES ('LINUX_AUTH_COMMAND','sudo');
INSERT INTO WAVE_Parameter_Table VALUES ('LINUX_AUTH_METHOD','WAVEUSER');
INSERT INTO WAVE_Parameter_Table VALUES ('LOGIN_USE_LDAP_GROUP','false');
INSERT INTO WAVE_Parameter_Table VALUES ('LOGIN_USE_LDAP_SSL','false');
INSERT INTO WAVE_Parameter_Table VALUES ('NETWORK_UPDATE_INTERVAL','3600');
INSERT INTO WAVE_Parameter_Table VALUES ('PARAM_AES_CDATE','');
INSERT INTO WAVE_Parameter_Table VALUES ('PARAM_AES_CREATED_BY','');
INSERT INTO WAVE_Parameter_Table VALUES ('PARAM_CHECK_AES','');
INSERT INTO WAVE_Parameter_Table VALUES ('PARAM_CLIENT_AES','');
INSERT INTO WAVE_Parameter_Table VALUES ('PARAM_WAVE_AES','');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_AGC_ENGINE_TYPE','ACCOUNT');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_NFS_TABLE','<?xml version=\"1.0\" encoding=\"UTF-8\"?>\r\n<WAVE />');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_SAMPLE_RELOCATION','30');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_SAMPLE_WORKUNITS','30');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_SECURITY_TRY_KERB_BY_DEFAULT','false');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_THREADED_LAYOUT','1');
INSERT INTO WAVE_Parameter_Table VALUES ('PARM_USE_AGC','false');
INSERT INTO WAVE_Parameter_Table VALUES ('PROTOTYPE_UPDATE_INTERVAL','3600');
INSERT INTO WAVE_Parameter_Table VALUES ('RunningMode','Normal');
INSERT INTO WAVE_Parameter_Table VALUES ('SECURITY_USE_GENERAL_MESSAGES','false');
INSERT INTO WAVE_Parameter_Table VALUES ('SECURITY_USE_SSH_TUNNEL','true');
INSERT INTO WAVE_Parameter_Table VALUES ('SECURITY_WAVEUSER_PRVKEY','');
INSERT INTO WAVE_Parameter_Table VALUES ('SECURITY_WAVEUSER_PUBKEY','');
INSERT INTO WAVE_Parameter_Table VALUES ('SERVICE_CHECKER_WAKEUP_INTERVAL','120');
INSERT INTO WAVE_Parameter_Table VALUES ('SSH_PORT','22');
INSERT INTO WAVE_Parameter_Table VALUES ('SSH_TIMEOUT','300');
INSERT INTO WAVE_Parameter_Table VALUES ('SYSLOGD_FACILITY','local0');
INSERT INTO WAVE_Parameter_Table VALUES ('SYSLOGD_HOST','');
INSERT INTO WAVE_Parameter_Table VALUES ('TRUST_ALL_CERTS','1');
INSERT INTO WAVE_Parameter_Table VALUES ('USER_UPDATE_INTERVAL','3600');
INSERT INTO WAVE_Parameter_Table VALUES ('USE_BTS_GUI_SSL_ENC','1');
INSERT INTO WAVE_Parameter_Table VALUES ('USE_SYSLOGD','NO');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVEDB_Version','1.1.0.5');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_ACCOUNT_SUSPEND_TIMEOUT','60');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_DYNAMIC_GRANT','No');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_GUI_DEBUG_LEVEL','9');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_GUI_LOG_TABLE_ENTRY_LIMIT','100');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_LINUX_FILESYSTEM_ERROR_THRESHOLD','90');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_LINUX_FILESYSTEM_WARNING_THRESHOLD','70');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_LOG_DUMP_INTERVAL','1');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_LOG_ENTRY_LIMIT','10000');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_MEMORY_ERROR_THRESHOLD','100');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_MEMORY_MAX_VALUE','150');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_MEMORY_WARNING_THRESHOLD','90');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_PAGE_ERROR_THRESHOLD','80');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_PAGE_WARNING_THRESHOLD','60');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_PROTOTYPE_DEFAULT_NAME','CSLTMPL');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_RESOURCE_CHECK_ACTIVATION','No');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_SCRIPT_SITE_EXIT_NAME','None');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_SESSION_TIMEOUT','0');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_SPOOL_ERROR_THRESHOLD','80');
INSERT INTO WAVE_Parameter_Table VALUES ('WAVE_SPOOL_WARNING_THRESHOLD','60');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Default_CPUs','1');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Default_Diskspace','2048');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Default_MaxStorage','1024');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Default_Storage','512');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Max_CPUs','2');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Max_Diskspace','3072');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Max_MaxStorage','1024');
INSERT INTO WAVE_Parameter_Table VALUES ('zVMuser_Max_Storage','1024');

--
-- Table structure for table `WAVE_Personalization_Table`
--

CREATE TABLE WAVE_Personalization_Table (
  WAVE_User_ID varchar(25) default NULL,
  Personalization_Entry_Type varchar(25) NOT NULL default '',
  Personalization_Entry_Content text NOT NULL,
  Personalization_Created_By varchar(255) default NULL,
  Personalization_Created_On datetime NOT NULL default '0000-00-00 00:00:00',
  Personalization_Modified_By varchar(255) default NULL,
  Personalization_Modified_On timestamp NOT NULL,
  Personalization_Entry_Name varchar(255) NOT NULL default '',
  Personalization_Locker varchar(255) NOT NULL default '',
  Personalization_Ian text NOT NULL,
  KEY Index_1 (WAVE_User_ID,Personalization_Created_By,Personalization_Modified_By),
  CONSTRAINT `FK_WAVE_Personalization_Table_1` FOREIGN KEY (`WAVE_User_ID`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Personalization_Table`
--


--
-- Table structure for table `WAVE_Script_Template_Table`
--

CREATE TABLE WAVE_Script_Template_Table (
  Template_Id smallint(6) NOT NULL auto_increment,
  Template_Name varchar(32) NOT NULL default '',
  OS_Distribution_Id smallint(6) NOT NULL default '0',
  Type enum('file','script','dummy') NOT NULL default 'file',
  Template_Location varchar(255) NOT NULL default '',
  Template_Data longtext NOT NULL,
  PRIMARY KEY  (Template_Id),
  KEY OS_Distribution_Id (OS_Distribution_Id),
  CONSTRAINT `WAVE_Script_Template_Table_ibfk_1` FOREIGN KEY (`OS_Distribution_Id`) REFERENCES `OS_Distribution_Table` (`Distribution_ID`)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Script_Template_Table`
--

INSERT INTO WAVE_Script_Template_Table VALUES (4,'KNOWN_MACHINES',0,'file','VM52','XCHANGE#IBM-COM\r\nMONWRITE#IBM-COM\r\nMPROUTE#IBM-COM\r\nNAMESRV#IBM-COM\r\nNDBPMGR#IBM-COM\r\nOPERSYMP#IBM-COM\r\nOSADMIN1#IBM-COM\r\nOSADMIN2#IBM-COM\r\nOSADMIN3#IBM-COM\r\nOSAMAINT#IBM-COM\r\nPERFSVM#IBM-COM\r\nOSASF#IBM-COM\r\nROOT#IBM-COM\r\nROUTED#IBM-COM\r\nRSCS#IBM-COM\r\nRSCSDNS#IBM-COM\r\nRXAGENT1#IBM-COM\r\nSNALNKA#IBM-COM\r\nSNMPD#IBM-COM\r\nSNMPQE#IBM-COM\r\nTCPMAINT#IBM-COM\r\nSYSMON#IBM-COM\r\nTCPIP#IBM-COM\r\nTFTPD#IBM-COM\r\nTSAFVM#IBM-COM\r\nUFTD#IBM-COM\r\nVMKERB#IBM-COM\r\nVMUTIL#IBM-COM\r\nVSMSERVE#IBM-COM\r\nX25IPI#IBM-COM\r\nBLDSEG#IBM-COM\r\nDEFAULT#IBM-COM\r\nDAEMON#IBM-COM\r\nEREP#IBM-COM\r\nDTCVSW2#IBM-COM\r\nIBMUSER#IBM-COM\r\nIMAP#IBM-COM\r\nLGLOPR#IBM-COM\r\nSMTP#IBM-COM\r\nLPSERVE#IBM-COM\r\nDHCPD#IBM-COM\r\nDIRMAINT#IBM-DIRM\r\nNDBSRV01#IBM-NA\r\nOPERATOR#IBM-NA\r\nREXECD#IBM-COM\r\nP684096K#IBM-NA\r\nSSLSERV#IBM-NA\r\nSYSADMIN#IBM-NA\r\nSYSDUMP1#IBM-NA\r\n$ALLOC$#IBM-NA\r\n$DIRECT$#IBM-NA\r\n$PAGE$#IBM-NA\r\n$SPOOL$#IBM-NA\r\n$SYSCKP$#IBM-NA\r\n$SYSWRM$#IBM-NA\r\n$TDISK$#IBM-NA\r\nADM#IBM-NA\r\n4OSASF40#IBM-NA\r\n5VMDIR10#IBM-NA\r\n5VMHCD20#IBM-NA\r\n5VMPTK20#IBM-NA\r\n5VMTCP20#IBM-NA\r\n5684042J#IBM-NA\r\n5767002P#IBM-NA\r\nADMSERV#IBM-NA\r\nAUTOLOG1#IBM-NA\r\nAUTOLOG2#IBM-NA\r\nAVSVM#IBM-NA\r\nBIN#IBM-NA\r\nBLDCMS#IBM-NA\r\nBLDNUC#IBM-NA\r\nBOOTPD#IBM-COM\r\nCBDIODSP#IBM-NA\r\nCMSBATCH#IBM-NA\r\nCMS1#IBM-NA\r\nDIRMSAT#IBM-DIRM\r\nDISKACNT#IBM-NA\r\nDTCVSW1#IBM-COM\r\nFTPSERVE#IBM-COM\r\nGCS#IBM-NA\r\nIMAPAUTH#IBM-NA\r\nMAINT#IBM-OPER\r\nNOBODY#IBM-OPER\r\nOPERATNS#IBM-OPER\r\nOP1#IBM-OPER\r\nDATAMOVE#IBM-DIRM\r\nRACMAINT#IBM-SEC\r\nPORTMAP#IBM-SEC\r\nRACFSMF#IBM-SEC\r\nRACFVM#IBM-SEC\r\nSYS#IBM-SEC\r\nAUDITOR#IBM-NA\r\nBLDRACF#IBM-SEC\r\nVMRMSVM#IBM-SYSTEM\r\nVMSERVR#IBM-SYSTEM\r\nVMSERVS#IBM-SYSTEM\r\nVMSERVU#IBM-SYSTEM\r\nSYSMAINT#IBM-UTIL\r\nVMNFS#IBM-UTIL\r\nVMRMADMN#IBM-UTIL\r\nGCSXA#IBM-UTIL\r\nMIGMAINT#IBM-UTIL\r\nVMRMAINT#CA-VMSecure\r\nVMSECURE#CA-VMSecure');
INSERT INTO WAVE_Script_Template_Table VALUES (23,'KNOWN_MACHINES',0,'file','VM53','XCHANGE#IBM-COM\r\nMONWRITE#IBM-COM\r\nMPROUTE#IBM-COM\r\nNAMESRV#IBM-COM\r\nNDBPMGR#IBM-COM\r\nOPERSYMP#IBM-COM\r\nOSADMIN1#IBM-COM\r\nOSADMIN2#IBM-COM\r\nOSADMIN3#IBM-COM\r\nOSAMAINT#IBM-COM\r\nPERFSVM#IBM-COM\r\nOSASF#IBM-COM\r\nROOT#IBM-COM\r\nROUTED#IBM-COM\r\nRSCS#IBM-COM\r\nRSCSDNS#IBM-COM\r\nRXAGENT1#IBM-COM\r\nSNALNKA#IBM-COM\r\nSNMPD#IBM-COM\r\nSNMPQE#IBM-COM\r\nTCPMAINT#IBM-COM\r\nSYSMON#IBM-COM\r\nTCPIP#IBM-COM\r\nTFTPD#IBM-COM\r\nTSAFVM#IBM-COM\r\nUFTD#IBM-COM\r\nVMKERB#IBM-COM\r\nVMUTIL#IBM-COM\r\nVSMSERVE#IBM-COM\r\nX25IPI#IBM-COM\r\nBLDSEG#IBM-COM\r\nDEFAULT#IBM-COM\r\nDAEMON#IBM-COM\r\nEREP#IBM-COM\r\nDTCVSW2#IBM-COM\r\nIBMUSER#IBM-COM\r\nIMAP#IBM-COM\r\nLGLOPR#IBM-COM\r\nSMTP#IBM-COM\r\nLPSERVE#IBM-COM\r\nDHCPD#IBM-COM\r\nDIRMAINT#IBM-DIRM\r\nNDBSRV01#IBM-NA\r\nOPERATOR#IBM-NA\r\nREXECD#IBM-COM\r\nP684096K#IBM-NA\r\nSSLSERV#IBM-NA\r\nSYSADMIN#IBM-NA\r\nSYSDUMP1#IBM-NA\r\n$ALLOC$#IBM-NA\r\n$DIRECT$#IBM-NA\r\n$PAGE$#IBM-NA\r\n$SPOOL$#IBM-NA\r\n$SYSCKP$#IBM-NA\r\n$SYSWRM$#IBM-NA\r\n$TDISK$#IBM-NA\r\nADM#IBM-NA\r\n4OSASF40#IBM-NA\r\n5VMDIR30#IBM-NA\r\n5VMHCD20#IBM-NA\r\n5684042J#IBM-NA\r\n5767002P#IBM-NA\r\nADMSERV#IBM-NA\r\nAUTOLOG1#IBM-NA\r\nAUTOLOG2#IBM-NA\r\nAVSVM#IBM-NA\r\nBIN#IBM-NA\r\nBLDCMS#IBM-NA\r\nBLDNUC#IBM-NA\r\nBOOTPD#IBM-COM\r\nCBDIODSP#IBM-NA\r\nCMSBATCH#IBM-NA\r\nCMS1#IBM-NA\r\nDIRMSAT#IBM-DIRM\r\nDISKACNT#IBM-NA\r\nDTCVSW1#IBM-COM\r\nFTPSERVE#IBM-COM\r\nGCS#IBM-NA\r\nIMAPAUTH#IBM-NA\r\nMAINT#IBM-OPER\r\nNOBODY#IBM-OPER\r\nOPERATNS#IBM-OPER\r\nOP1#IBM-OPER\r\nDATAMOVE#IBM-DIRM\r\nRACMAINT#IBM-SEC\r\nPORTMAP#IBM-SEC\r\nRACFSMF#IBM-SEC\r\nRACFVM#IBM-SEC\r\nSYS#IBM-SEC\r\nAUDITOR#IBM-NA\r\nBLDRACF#IBM-SEC\r\nVMRMSVM#IBM-SYSTEM\r\nVMSERVR#IBM-SYSTEM\r\nVMSERVS#IBM-SYSTEM\r\nVMSERVU#IBM-SYSTEM\r\nSYSMAINT#IBM-UTIL\r\nVMNFS#IBM-UTIL\r\nVMRMADMN#IBM-UTIL\r\nGCSXA#IBM-UTIL\r\nMIGMAINT#IBM-UTIL\r\nLDAPSRV#IBM-SEC\r\n5VMRAC30#IBM-SEC\r\nSNMPSUBA#IBM-COM\r\nZVMMAPLX#IBM-UTIL\r\nVSMWORK1#IBM-COM\r\nVSMWORK2#IBM-COM\r\nVSMWORK3#IBM-COM\r\nVSMPROXY#IBM-COM\r\nVSMREQIN#IBM-COM\r\nVSMREQIU#IBM-COM\r\n5VMTCP30#IBM-COM\r\nRSCSAUTH#IBM-SEC\r\n5VMPTK30#IBM-SEC\r\n5VMRSC30#IBM-UTIL\r\nSQLMACH#IBM-UTIL\r\nSQLUSER#IBM-UTIL\r\nVMRMAINT#CA-VMSecure\r\nVMSECURE#CA-VMSecure');
INSERT INTO WAVE_Script_Template_Table VALUES (26,'KNOWN_MACHINES',0,'file','VM54','XCHANGE#IBM-COM\r\nMONWRITE#IBM-COM\r\nMPROUTE#IBM-COM\r\nNAMESRV#IBM-COM\r\nNDBPMGR#IBM-COM\r\nOPERSYMP#IBM-COM\r\nOSADMIN1#IBM-COM\r\nOSADMIN2#IBM-COM\r\nOSADMIN3#IBM-COM\r\nOSAMAINT#IBM-COM\r\nPERFSVM#IBM-COM\r\nOSASF#IBM-COM\r\nROOT#IBM-COM\r\nROUTED#IBM-COM\r\nRSCS#IBM-COM\r\nRSCSDNS#IBM-COM\r\nRXAGENT1#IBM-COM\r\nSNALNKA#IBM-COM\r\nSNMPD#IBM-COM\r\nSNMPQE#IBM-COM\r\nTCPMAINT#IBM-COM\r\nSYSMON#IBM-COM\r\nTCPIP#IBM-COM\r\nTFTPD#IBM-COM\r\nTSAFVM#IBM-COM\r\nUFTD#IBM-COM\r\nVMKERB#IBM-COM\r\nVMUTIL#IBM-COM\r\nVSMSERVE#IBM-COM\r\nX25IPI#IBM-COM\r\nBLDSEG#IBM-COM\r\nDEFAULT#IBM-COM\r\nDAEMON#IBM-COM\r\nEREP#IBM-COM\r\nDTCVSW2#IBM-COM\r\nIBMUSER#IBM-COM\r\nIMAP#IBM-COM\r\nLGLOPR#IBM-COM\r\nSMTP#IBM-COM\r\nLPSERVE#IBM-COM\r\nDHCPD#IBM-COM\r\nDIRMAINT#IBM-DIRM\r\nNDBSRV01#IBM-NA\r\nOPERATOR#IBM-NA\r\nREXECD#IBM-COM\r\nP684096K#IBM-NA\r\nSSLSERV#IBM-NA\r\nSYSADMIN#IBM-NA\r\nSYSDUMP1#IBM-NA\r\n$ALLOC$#IBM-NA\r\n$DIRECT$#IBM-NA\r\n$PAGE$#IBM-NA\r\n$SPOOL$#IBM-NA\r\n$SYSCKP$#IBM-NA\r\n$SYSWRM$#IBM-NA\r\n$TDISK$#IBM-NA\r\nADM#IBM-NA\r\n4OSASF40#IBM-NA\r\n5VMDIR40#IBM-NA\r\n5VMHCD40#IBM-NA\r\n5684042J#IBM-NA\r\n5767002P#IBM-NA\r\nADMSERV#IBM-NA\r\nAUTOLOG1#IBM-NA\r\nAUTOLOG2#IBM-NA\r\nAVSVM#IBM-NA\r\nBIN#IBM-NA\r\nBLDCMS#IBM-NA\r\nBLDNUC#IBM-NA\r\nBOOTPD#IBM-COM\r\nCBDIODSP#IBM-NA\r\nCMSBATCH#IBM-NA\r\nCMS1#IBM-NA\r\nDIRMSAT#IBM-DIRM\r\nDISKACNT#IBM-NA\r\nDTCVSW1#IBM-COM\r\nFTPSERVE#IBM-COM\r\nGCS#IBM-NA\r\nIMAPAUTH#IBM-NA\r\nMAINT#IBM-OPER\r\nNOBODY#IBM-OPER\r\nOPERATNS#IBM-OPER\r\nOP1#IBM-OPER\r\nDATAMOVE#IBM-DIRM\r\nRACMAINT#IBM-SEC\r\nPORTMAP#IBM-SEC\r\nRACFSMF#IBM-SEC\r\nRACFVM#IBM-SEC\r\nSYS#IBM-SEC\r\nAUDITOR#IBM-NA\r\nBLDRACF#IBM-SEC\r\nVMRMSVM#IBM-SYSTEM\r\nVMSERVR#IBM-SYSTEM\r\nVMSERVS#IBM-SYSTEM\r\nVMSERVU#IBM-SYSTEM\r\nSYSMAINT#IBM-UTIL\r\nVMNFS#IBM-UTIL\r\nVMRMADMN#IBM-UTIL\r\nGCSXA#IBM-UTIL\r\nMIGMAINT#IBM-UTIL\r\nLDAPSRV#IBM-SEC\r\n5VMRAC40#IBM-SEC\r\nSNMPSUBA#IBM-COM\r\nZVMMAPLX#IBM-UTIL\r\nVSMWORK1#IBM-COM\r\nVSMWORK2#IBM-COM\r\nVSMWORK3#IBM-COM\r\nVSMPROXY#IBM-COM\r\nVSMREQIN#IBM-COM\r\nVSMREQIU#IBM-COM\r\n5VMTCP40#IBM-COM\r\nRSCSAUTH#IBM-SEC\r\n5VMPTK40#IBM-SEC\r\n5VMRSC40#IBM-UTIL\r\nISPVM#IBM-UTIL\r\nGSKADMIN#IBM-COM\r\nVMRMAINT#CA-VMSecure\r\nVMSECURE#CA-VMSecure');
INSERT INTO WAVE_Script_Template_Table VALUES (27,'KNOWN_MACHINES',0,'file','VM61','XCHANGE#IBM-COM\r\nMONWRITE#IBM-COM\r\nMPROUTE#IBM-COM\r\nNAMESRV#IBM-COM\r\nNDBPMGR#IBM-COM\r\nOPERSYMP#IBM-COM\r\nOSADMIN1#IBM-COM\r\nOSADMIN2#IBM-COM\r\nOSADMIN3#IBM-COM\r\nOSAMAINT#IBM-COM\r\nPERFSVM#IBM-COM\r\nOSASF#IBM-COM\r\nROOT#IBM-COM\r\nROUTED#IBM-COM\r\nRSCS#IBM-COM\r\nRSCSDNS#IBM-COM\r\nRXAGENT1#IBM-COM\r\nSNALNKA#IBM-COM\r\nSNMPD#IBM-COM\r\nSNMPQE#IBM-COM\r\nTCPMAINT#IBM-COM\r\nSYSMON#IBM-COM\r\nTCPIP#IBM-COM\r\nTFTPD#IBM-COM\r\nTSAFVM#IBM-COM\r\nUFTD#IBM-COM\r\nVMKERB#IBM-COM\r\nVMUTIL#IBM-COM\r\nVSMSERVE#IBM-COM\r\nX25IPI#IBM-COM\r\nBLDSEG#IBM-COM\r\nDEFAULT#IBM-COM\r\nDAEMON#IBM-COM\r\nEREP#IBM-COM\r\nDTCVSW2#IBM-COM\r\nIBMUSER#IBM-COM\r\nIMAP#IBM-COM\r\nLGLOPR#IBM-COM\r\nSMTP#IBM-COM\r\nLPSERVE#IBM-COM\r\nDHCPD#IBM-COM\r\nDIRMAINT#IBM-DIRM\r\nNDBSRV01#IBM-NA\r\nOPERATOR#IBM-NA\r\nREXECD#IBM-COM\r\nP684096K#IBM-NA\r\nSSLSERV#IBM-NA\r\nSYSADMIN#IBM-NA\r\nSYSDUMP1#IBM-NA\r\n$ALLOC$#IBM-NA\r\n$DIRECT$#IBM-NA\r\n$PAGE$#IBM-NA\r\n$SPOOL$#IBM-NA\r\n$SYSCKP$#IBM-NA\r\n$SYSWRM$#IBM-NA\r\n$TDISK$#IBM-NA\r\nADM#IBM-NA\r\n4OSASF40#IBM-NA\r\n6VMDIR10#IBM-NA\r\n5VMHCD40#IBM-NA\r\n5684042J#IBM-NA\r\n5767002P#IBM-NA\r\nADMSERV#IBM-NA\r\nAUTOLOG1#IBM-NA\r\nAUTOLOG2#IBM-NA\r\nAVSVM#IBM-NA\r\nBIN#IBM-NA\r\nBLDCMS#IBM-NA\r\nBLDNUC#IBM-NA\r\nBOOTPD#IBM-COM\r\nCBDIODSP#IBM-NA\r\nCMSBATCH#IBM-NA\r\nCMS1#IBM-NA\r\nDIRMSAT#IBM-DIRM\r\nDISKACNT#IBM-NA\r\nDTCVSW1#IBM-COM\r\nFTPSERVE#IBM-COM\r\nGCS#IBM-NA\r\nIMAPAUTH#IBM-NA\r\nMAINT#IBM-OPER\r\nNOBODY#IBM-OPER\r\nOPERATNS#IBM-OPER\r\nOP1#IBM-OPER\r\nDATAMOVE#IBM-DIRM\r\nRACMAINT#IBM-SEC\r\nPORTMAP#IBM-SEC\r\nRACFSMF#IBM-SEC\r\nRACFVM#IBM-SEC\r\nSYS#IBM-SEC\r\nAUDITOR#IBM-NA\r\nBLDRACF#IBM-SEC\r\nVMRMSVM#IBM-SYSTEM\r\nVMSERVR#IBM-SYSTEM\r\nVMSERVS#IBM-SYSTEM\r\nVMSERVU#IBM-SYSTEM\r\nSYSMAINT#IBM-UTIL\r\nVMNFS#IBM-UTIL\r\nVMRMADMN#IBM-UTIL\r\nGCSXA#IBM-UTIL\r\nMIGMAINT#IBM-UTIL\r\nLDAPSRV#IBM-SEC\r\n6VMRAC10#IBM-SEC\r\nSNMPSUBA#IBM-COM\r\nZVMMAPLX#IBM-UTIL\r\nVSMWORK1#IBM-COM\r\nVSMWORK2#IBM-COM\r\nVSMWORK3#IBM-COM\r\nVSMPROXY#IBM-COM\r\nVSMREQIN#IBM-COM\r\nVSMREQIU#IBM-COM\r\n6VMTCP10#IBM-COM\r\nRSCSAUTH#IBM-SEC\r\n6VMPTK10#IBM-SEC\r\n6VMRSC10#IBM-UTIL\r\nISPVM#IBM-UTIL\r\nGSKADMIN#IBM-COM\r\nVMRMAINT#CA-VMSecure\r\nVMSECURE#CA-VMSecure');
INSERT INTO WAVE_Script_Template_Table VALUES (28,'KNOWN_MACHINES',0,'file','VM62','XCHANGE#IBM-COM\r\nMONWRITE#IBM-COM\r\nMPROUTE#IBM-COM\r\nNAMESRV#IBM-COM\r\nNDBPMGR#IBM-COM\r\nOPERSYMP#IBM-COM\r\nOSADMIN1#IBM-COM\r\nOSADMIN2#IBM-COM\r\nOSADMIN3#IBM-COM\r\nOSAMAINT#IBM-COM\r\nPERFSVM#IBM-COM\r\nOSASF#IBM-COM\r\nROOT#IBM-COM\r\nROUTED#IBM-COM\r\nRSCS#IBM-COM\r\nRSCSDNS#IBM-COM\r\nRXAGENT1#IBM-COM\r\nSNALNKA#IBM-COM\r\nSNMPD#IBM-COM\r\nSNMPQE#IBM-COM\r\nTCPMAINT#IBM-COM\r\nSYSMON#IBM-COM\r\nTCPIP#IBM-COM\r\nTFTPD#IBM-COM\r\nTSAFVM#IBM-COM\r\nUFTD#IBM-COM\r\nVMKERB#IBM-COM\r\nVMUTIL#IBM-COM\r\nVSMSERVE#IBM-COM\r\nX25IPI#IBM-COM\r\nBLDSEG#IBM-COM\r\nDEFAULT#IBM-COM\r\nDAEMON#IBM-COM\r\nEREP#IBM-COM\r\nDTCVSW2#IBM-COM\r\nIBMUSER#IBM-COM\r\nIMAP#IBM-COM\r\nLGLOPR#IBM-COM\r\nSMTP#IBM-COM\r\nLPSERVE#IBM-COM\r\nDHCPD#IBM-COM\r\nDIRMAINT#IBM-DIRM\r\nNDBSRV01#IBM-NA\r\nOPERATOR#IBM-NA\r\nREXECD#IBM-COM\r\nP684096K#IBM-NA\r\nSSLSERV#IBM-NA\r\nSYSADMIN#IBM-NA\r\nSYSDUMP1#IBM-NA\r\n$ALLOC$#IBM-NA\r\n$DIRECT$#IBM-NA\r\n$PAGE$#IBM-NA\r\n$SPOOL$#IBM-NA\r\n$SYSCKP$#IBM-NA\r\n$SYSWRM$#IBM-NA\r\n$TDISK$#IBM-NA\r\nADM#IBM-NA\r\n4OSASF40#IBM-NA\r\n6VMDIR20#IBM-NA\r\n6VMHCD20#IBM-NA\r\n5684042J#IBM-NA\r\n5767002P#IBM-NA\r\nADMSERV#IBM-NA\r\nAUTOLOG1#IBM-NA\r\nAUTOLOG2#IBM-NA\r\nAVSVM#IBM-NA\r\nBIN#IBM-NA\r\nBLDCMS#IBM-NA\r\nBLDNUC#IBM-NA\r\nBOOTPD#IBM-COM\r\nCBDIODSP#IBM-NA\r\nCMSBATCH#IBM-NA\r\nCMS1#IBM-NA\r\nDIRMSAT#IBM-DIRM\r\nDISKACNT#IBM-NA\r\nDTCVSW1#IBM-COM\r\nFTPSERVE#IBM-COM\r\nGCS#IBM-NA\r\nIMAPAUTH#IBM-NA\r\nMAINT#IBM-OPER\r\nNOBODY#IBM-OPER\r\nOPERATNS#IBM-OPER\r\nOP1#IBM-OPER\r\nDATAMOVE#IBM-DIRM\r\nRACMAINT#IBM-SEC\r\nPORTMAP#IBM-SEC\r\nRACFSMF#IBM-SEC\r\nRACFVM#IBM-SEC\r\nSYS#IBM-SEC\r\nAUDITOR#IBM-NA\r\nBLDRACF#IBM-SEC\r\nVMRMSVM#IBM-SYSTEM\r\nVMSERVR#IBM-SYSTEM\r\nVMSERVS#IBM-SYSTEM\r\nVMSERVU#IBM-SYSTEM\r\nSYSMAINT#IBM-UTIL\r\nVMNFS#IBM-UTIL\r\nVMRMADMN#IBM-UTIL\r\nGCSXA#IBM-UTIL\r\nMIGMAINT#IBM-UTIL\r\nLDAPSRV#IBM-SEC\r\n6VMRAC20#IBM-SEC\r\nSNMPSUBA#IBM-COM\r\nZVMMAPLX#IBM-UTIL\r\nVSMWORK1#IBM-SMAPI\r\nVSMWORK2#IBM-SMAPI\r\nVSMWORK3#IBM-SMAPI\r\nVSMPROXY#IBM-SMAPI\r\nVSMREQIN#IBM-SMAPI\r\nVSMREQIU#IBM-SMAPI\r\n6VMTCP20#IBM-COM\r\nRSCSAUTH#IBM-SEC\r\n6VMPTK20#IBM-SEC\r\n6VMRSC20#IBM-UTIL\r\nISPVM#IBM-UTIL\r\nGSKADMIN#IBM-COM\r\nVMRMAINT#CA-VMSecure\r\nVMSECURE#CA-VMSecure\r\n6VMLEN20#IBM-UTIL\r\nDATAMOV2#IBM-DIRM\r\nDATAMOV3#IBM-DIRM\r\nDATAMOV4#IBM-DIRM\r\nDIRMSAT2#IBM-DIRM\r\nDIRMSAT3#IBM-DIRM\r\nDIRMSAT4#IBM-DIRM\r\nDTCENS1#IBM-ENS\r\nDTCENS2#IBM-ENS\r\nDTCSMAPI#IBM-ENS\r\nLOHCOST#IBM-ENS\r\nMAINT620#IBM-OPER\r\nPERSMAPI#IBM-SMAPI\r\nPMAINT#IBM-OPER\r\nSSL#IBM-SEC\r\nSSLDCSSM#IBM-SEC\r\nSVTSCU#IBM-SYSTEM\r\nVMSERVP#IBM-SYSTEM\r\nVSMEVSRV#IBM-SMAPI\r\nVSMGUARD#IBM-SMAPI\r\nVSMREQI6#IBM-SMAPI\r\nVSMREQIM#IBM-SMAPI\r\nZVMLXAPP#IBM-UTIL\r\nZVMLXTS#IBM-UTIL');
INSERT INTO WAVE_Script_Template_Table VALUES (29,'KNOWN_MACHINES',0,'file','VM63','4OSASF40#IBM-NA\n5684042J#IBM-NA\n5767002P#IBM-NA\n6VMDIR30#IBM-NA\n6VMHCD20#IBM-NA\n6VMLEN20#IBM-UTIL\n6VMPTK30#IBM-SEC\n6VMRAC30#IBM-SEC\n6VMRSC30#IBM-UTIL\n6VMTCP30#IBM-COM\nADM#IBM-NA\n$ALLOC$#IBM-NA\nAUDITOR#IBM-NA\nAUTOLOG1#IBM-NA\nAUTOLOG2#IBM-NA\nAVSVM#IBM-NA\nBIN#IBM-NA\nBLDCMS#IBM-NA\nBLDNUC#IBM-NA\nBLDRACF#IBM-SEC\nBLDSEG#IBM-COM\nCBDIODSP#IBM-NA\nCMS1#IBM-NA\nCMSBATCH#IBM-NA\nDAEMON#IBM-COM\nDATAMOV2#IBM-DIRM\nDATAMOV3#IBM-DIRM\nDATAMOV4#IBM-DIRM\nDATAMOVE#IBM-DIRM\nDEFAULT#IBM-COM\nDHCPD#IBM-COM\n$DIRECT$#IBM-NA\nDIRMAINT#IBM-DIRM\nDIRMSAT2#IBM-DIRM\nDIRMSAT3#IBM-DIRM\nDIRMSAT4#IBM-DIRM\nDIRMSAT#IBM-DIRM\nDISKACNT#IBM-NA\nDTCENS1#IBM-ENS\nDTCENS2#IBM-ENS\nDTCSMAPI#IBM-ENS\nDTCVSW1#IBM-COM\nDTCVSW2#IBM-COM\nEREP#IBM-COM\nFTPSERVE#IBM-COM\nGCS#IBM-NA\nGSKADMIN#IBM-COM\nIBMUSER#IBM-COM\nIMAPAUTH#IBM-NA\nIMAP#IBM-COM\nLDAPSRV#IBM-SEC\nLGLOPR#IBM-COM\nLOHCOST#IBM-ENS\nLPSERVE#IBM-COM\nMAINT630#IBM-OPER\nMAINT#IBM-OPER\nMIGMAINT#IBM-UTIL\nMONWRITE#IBM-COM\nMPROUTE#IBM-COM\nNOBODY#IBM-OPER\nOP1#IBM-OPER\nOPERATNS#IBM-OPER\nOPERATOR#IBM-NA\nOPERSYMP#IBM-COM\nOSADMIN1#IBM-COM\nOSADMIN2#IBM-COM\nOSADMIN3#IBM-COM\nOSAMAINT#IBM-COM\nOSASF#IBM-COM\n$PAGE$#IBM-NA\nPERFSVM#IBM-COM\nPERSMAPI#IBM-SMAPI\nPMAINT#IBM-OPER\nPORTMAP#IBM-SEC\nRACFSMF#IBM-SEC\nRACFVM#IBM-SEC\nRACMAINT#IBM-SEC\nREXECD#IBM-COM\nROOT#IBM-COM\nROUTED#IBM-COM\nRSCSAUTH#IBM-SEC\nRSCSDNS#IBM-COM\nRSCS#IBM-COM\nRXAGENT1#IBM-COM\nSMTP#IBM-COM\nSNMPD#IBM-COM\nSNMPQE#IBM-COM\nSNMPSUBA#IBM-COM\n$SPOOL$#IBM-NA\nSSLDCSSM#IBM-SEC\nSSL#IBM-SEC\nSYSADMIN#IBM-NA\n$SYSCKP$#IBM-NA\nSYSDUMP1#IBM-NA\nSYS#IBM-SEC\nSYSMAINT#IBM-UTIL\nSYSMON#IBM-COM\n$SYSWRM$#IBM-NA\nTCPIP#IBM-COM\nTCPMAINT#IBM-COM\n$TDISK$#IBM-NA\nTFTPD#IBM-COM\nTSAFVM#IBM-COM\nUFTD#IBM-COM\nVMKERB#IBM-COM\nVMNFS#IBM-UTIL\nVMRMADMN#IBM-UTIL\nVMRMAINT#CA-VMSecure\nVMRMSVM#IBM-SYSTEM\nVMSECURE#CA-VMSecure\nVMSERVP#IBM-SYSTEM\nVMSERVR#IBM-SYSTEM\nVMSERVS#IBM-SYSTEM\nVMSERVU#IBM-SYSTEM\nVMUTIL#IBM-COM\nVSMEVSRV#IBM-SMAPI\nVSMGUARD#IBM-SMAPI\nVSMPROXY#IBM-SMAPI\nVSMREQI6#IBM-SMAPI\nVSMREQIM#IBM-SMAPI\nVSMREQIN#IBM-SMAPI\nVSMREQIU#IBM-SMAPI\nVSMWORK1#IBM-SMAPI\nVSMWORK2#IBM-SMAPI\nVSMWORK3#IBM-SMAPI\nXCAT#IBM-UTIL\nXCHANGE#IBM-COM\nZHCP#IBM-UTIL\nZVMLXAPP#IBM-UTIL\nZVMLXTS#IBM-UTIL\nZVMMAPLX#IBM-UTIL\nZVMMAPLX#IBM-UTIL');

--
-- Table structure for table `WAVE_User_Group_Table`
--

CREATE TABLE WAVE_User_Group_Table (
  WAVE_User_Group_Name varchar(255) NOT NULL default '',
  WAVE_User_Group_Discription varchar(255) default NULL,
  WAVE_User_Group_Owner smallint(6) default NULL,
  WAVE_User_Group_Created_User varchar(255) NOT NULL default 'WAVEinit',
  WAVE_User_Group_Created_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  WAVE_User_Group_Update_User varchar(255) NOT NULL default 'WAVEinit',
  WAVE_User_Group_Update_TimeStamp timestamp NOT NULL,
  PRIMARY KEY  (WAVE_User_Group_Name),
  UNIQUE KEY WAVE_User_Group_Id (WAVE_User_Group_Name),
  KEY WAVE_User_Group_Created_User (WAVE_User_Group_Created_User),
  KEY WAVE_User_Group_Update_User (WAVE_User_Group_Update_User),
  CONSTRAINT `WAVE_User_Group_Table_ibfk_1` FOREIGN KEY (`WAVE_User_Group_Created_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `WAVE_User_Group_Table_ibfk_2` FOREIGN KEY (`WAVE_User_Group_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Group_Table`
--


--
-- Table structure for table `WAVE_User_Permission_Table`
--

CREATE TABLE WAVE_User_Permission_Table (
  WAVE_User_Permission_Profile_ID int(10) unsigned NOT NULL default '0',
  WAVE_User_Permission_System_Name varchar(8) default '',
  WAVE_User_Permission_Type enum('Project','GLAN','DASDGroup','System','DevicePool') NOT NULL default 'Project',
  WAVE_User_Permission_Entry varchar(255) default NULL,
  WAVE_User_Permission_Control text NOT NULL,
  KEY Profile_ID (WAVE_User_Permission_Profile_ID),
  CONSTRAINT `FK_WAVE_User_Permission_Table_1` FOREIGN KEY (`WAVE_User_Permission_Profile_ID`) REFERENCES `WAVE_User_Profile_Table` (`WAVE_User_Profile_ID`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Permission_Table`
--


--
-- Table structure for table `WAVE_User_Profile_LDAP_Group_Table`
--

CREATE TABLE WAVE_User_Profile_LDAP_Group_Table (
  WAVE_User_Profile_LDAP_Group varchar(255) NOT NULL default '',
  WAVE_User_Profile_ID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (WAVE_User_Profile_LDAP_Group),
  KEY Profile_ID_IX (WAVE_User_Profile_ID),
  CONSTRAINT `FK_WAVE_User_Profile_LDAP_Group_Table_1` FOREIGN KEY (`WAVE_User_Profile_ID`) REFERENCES `WAVE_User_Profile_Table` (`WAVE_User_Profile_ID`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Profile_LDAP_Group_Table`
--


--
-- Table structure for table `WAVE_User_Profile_Table`
--

CREATE TABLE WAVE_User_Profile_Table (
  WAVE_User_Profile_ID int(10) unsigned NOT NULL auto_increment,
  WAVE_User_Profile_Name varchar(255) NOT NULL default '',
  WAVE_User_Profile_Description text NOT NULL,
  WAVE_User_Profile_Type tinyint(1) unsigned NOT NULL default '0',
  WAVE_User_Profile_Rule smallint(6) unsigned NOT NULL default '0',
  WAVE_User_Profile_Locker varchar(255) NOT NULL default '',
  WAVE_User_Profile_IAN text NOT NULL,
  WAVE_User_Profile_Create_User varchar(255) NOT NULL default 'WAVEinit',
  WAVE_User_Profile_Create_Timestamp datetime NOT NULL default '2001-01-01 00:00:00',
  WAVE_User_Profile_Update_User varchar(255) NOT NULL default 'WAVEinit',
  WAVE_User_Profile_Update_Timestamp timestamp NOT NULL,
  PRIMARY KEY  (WAVE_User_Profile_ID),
  UNIQUE KEY WAVE_User_Profile_Name_IX (WAVE_User_Profile_Name),
  KEY Create_User_IX (WAVE_User_Profile_Create_User),
  KEY Update_User_IX (WAVE_User_Profile_Update_User),
  CONSTRAINT `WAVE_User_Profile_Table_1` FOREIGN KEY (`WAVE_User_Profile_Create_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `WAVE_User_Profile_Table_2` FOREIGN KEY (`WAVE_User_Profile_Update_User`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Profile_Table`
--


--
-- Table structure for table `WAVE_User_Profile_User_Table`
--

CREATE TABLE WAVE_User_Profile_User_Table (
  WAVE_User_Profile_User_Name varchar(255) NOT NULL default '',
  WAVE_User_Profile_ID int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (WAVE_User_Profile_User_Name),
  KEY Profile_ID (WAVE_User_Profile_ID),
  CONSTRAINT `FK_WAVE_User_Profile_User_Table_1` FOREIGN KEY (`WAVE_User_Profile_ID`) REFERENCES `WAVE_User_Profile_Table` (`WAVE_User_Profile_ID`) ON DELETE CASCADE ON UPDATE NO ACTION,
  CONSTRAINT `FK_WAVE_User_Profile_User_Table_2` FOREIGN KEY (`WAVE_User_Profile_User_Name`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Profile_User_Table`
--


--
-- Table structure for table `WAVE_User_Script_Table`
--

CREATE TABLE WAVE_User_Script_Table (
  User_Script_Name varchar(255) NOT NULL default '',
  User_Script_File_Name varchar(255) NOT NULL default '',
  User_Script_Description text NOT NULL,
  User_Script_Category varchar(255) NOT NULL default '',
  User_Script_Is_Global tinyint(1) NOT NULL default '0',
  User_Script_Created_By varchar(255) NOT NULL default '',
  User_Script_Created_On datetime NOT NULL default '0000-00-00 00:00:00',
  User_Script_Updated_By varchar(255) NOT NULL default '',
  User_Script_Updated_On timestamp NOT NULL,
  User_Script_Locker varchar(255) NOT NULL default '',
  User_Script_Ian text NOT NULL,
  User_Script_Sync text NOT NULL,
  KEY User_Script_Created_By (User_Script_Created_By),
  KEY User_Script_Updated_By (User_Script_Updated_By),
  CONSTRAINT `WAVE_User_Script_Table_ibfk_1` FOREIGN KEY (`User_Script_Created_By`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `WAVE_User_Script_Table_ibfk_2` FOREIGN KEY (`User_Script_Updated_By`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE NO ACTION ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Script_Table`
--


--
-- Table structure for table `WAVE_User_Table`
--

CREATE TABLE WAVE_User_Table (
  WAVE_User_Name varchar(255) NOT NULL default '',
  WAVE_User_Password varchar(64) NOT NULL default '',
  WAVE_User_Status enum('Active','Suspend','ASuspend') default 'Active',
  WAVE_User_Authorization_List varchar(25) NOT NULL default '',
  WAVE_User_Description varchar(255) default NULL,
  WAVE_User_Group_Id varchar(25) default NULL,
  WAVE_User_Animation tinyint(1) default NULL,
  WAVE_User_Create_User varchar(255) default 'WAVEinit',
  WAVE_User_Create_TimeStamp datetime NOT NULL default '2000-01-01 00:00:00',
  WAVE_User_Update_User varchar(255) default 'WAVEinit',
  WAVE_User_Update_TimeStamp timestamp NOT NULL,
  WAVE_User_Question varchar(255) NOT NULL default '',
  WAVE_User_Answer text NOT NULL,
  WAVE_User_Locker varchar(255) NOT NULL default '',
  WAVE_User_Ian text NOT NULL,
  WAVE_User_Is_Change_Pass tinyint(1) NOT NULL default '0',
  WAVE_User_Last_Login datetime NOT NULL default '2000-01-01 00:00:00',
  PRIMARY KEY  (WAVE_User_Name),
  KEY WAVE_User_Group_Id (WAVE_User_Group_Id),
  KEY WAVE_User_Name (WAVE_User_Name),
  KEY WAVE_User_Create_User (WAVE_User_Create_User),
  KEY WAVE_User_Update_User (WAVE_User_Update_User)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_User_Table`
--

INSERT INTO WAVE_User_Table VALUES ('CLIUser','481b40e7a867efe7','Active','','','',0,'WAVEinit','2007-12-13 13:12:12','WAVEinit',20090904075224,'',' ','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('WAVE Daemon Updater','','Active','',NULL,NULL,NULL,'WAVEinit','2000-01-01 00:00:00','WAVEinit',20070923221934,'','','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('waveadmin','','Active','','Dummy User for active directory',NULL,1,'WAVEinit','2007-12-13 13:12:12','WAVEinit',20071225003405,'','','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('WAVEBTSAttReq','4c188a60137d6a36','Active','','Initial WAE user for the Attention Required service of the BTS','',0,'WAVEinit','2007-12-13 13:12:12','WAVEinit',20090904075224,'','','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('WAVEBTSMsgListen','4c188a60137d6a36','Active','','Initial WAE user for the Message lisenet service of the BTS',NULL,0,'WAVEinit','2007-12-13 13:12:12','WAVEinit',20120123183322,'',' ','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('WAVEBTSScheduler','4c188a60137d6a36','Active','','Initial WAE user for the scheduler service of the BTS','',0,'WAVEinit','2007-12-13 13:12:12','WAVEinit',20071214081212,'','','','',0,'2000-01-01 00:00:00');
INSERT INTO WAVE_User_Table VALUES ('WAVEinit','','Active','','temp user to initiale the create and update',NULL,0,'','2000-01-01 00:00:00','',20070923221934,'','','','',0,'2000-01-01 00:00:00');

--
-- Table structure for table `WAVE_VM_Update_Table`
--

CREATE TABLE WAVE_VM_Update_Table (
  WAVE_VM_Aspect_ID varchar(50) NOT NULL default '',
  WAVE_VM_Update_System_Name varchar(8) NOT NULL default '',
  WAVE_VM_Update_Aspect enum('VM_Users','VM_Prototypes','VM_VLANs','VM_VLAN_Connections','VM_Systems','Updating_User','VM_DASD') NOT NULL default 'VM_Users',
  WAVE_VM_Update_Date timestamp NOT NULL,
  WAVE_User_Name varchar(255) NOT NULL default 'WAVEinit',
  WAVE_VM_Update_Perform_Update tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (WAVE_VM_Aspect_ID),
  KEY WAVE_VM_Update_System_Name (WAVE_VM_Update_System_Name),
  KEY WAVE_User_Name_2 (WAVE_User_Name),
  CONSTRAINT `WAVE_VM_Update_Table_ibfk_4` FOREIGN KEY (`WAVE_VM_Update_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `WAVE_VM_Update_Table_ibfk_5` FOREIGN KEY (`WAVE_User_Name`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_VM_Update_Table`
--


--
-- Table structure for table `WAVE_Virtual_Network_Segment_Relation_Table`
--

CREATE TABLE WAVE_Virtual_Network_Segment_Relation_Table (
  VNS_ID int(10) unsigned NOT NULL default '0',
  VN_ID varchar(35) NOT NULL default '',
  VN_Type varchar(45) NOT NULL default 'VSwitch',
  KEY Index_1 (VNS_ID),
  KEY Index_2 (VN_ID),
  CONSTRAINT `FK_WAVE_Virtual_Network_Segment_Relation_Table_1` FOREIGN KEY (`VNS_ID`) REFERENCES `WAVE_Virtual_Network_Segment_Table` (`VNS_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Virtual_Network_Segment_Relation_Table`
--


--
-- Table structure for table `WAVE_Virtual_Network_Segment_Table`
--

CREATE TABLE WAVE_Virtual_Network_Segment_Table (
  VNS_ID int(10) unsigned NOT NULL auto_increment,
  VNS_Name varchar(255) NOT NULL default '',
  VNS_Network varchar(15) NOT NULL default '',
  VNS_Netmask varchar(15) NOT NULL default '',
  VNS_Broadcast varchar(15) NOT NULL default '',
  VNS_Default_GW varchar(15) NOT NULL default '',
  VNS_VLAN_ID varchar(15) default NULL,
  VNS_Description varchar(255) NOT NULL default '',
  VNS_Creator varchar(255) NOT NULL default '',
  VNS_Create_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  VNS_Last_Modifer varchar(255) NOT NULL default '',
  VNS_Modified_Timestamp timestamp NOT NULL,
  PRIMARY KEY  (VNS_ID),
  KEY Index_2 (VNS_Creator),
  KEY Index_3 (VNS_Last_Modifer)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Virtual_Network_Segment_Table`
--


--
-- Table structure for table `WAVE_WRS_Table`
--

CREATE TABLE WAVE_WRS_Table (
  Resource varchar(255) NOT NULL default '',
  Locked_By varchar(255) NOT NULL default 'WAVEinit',
  WRS_Data varchar(255) default NULL,
  Time_Stamp timestamp NOT NULL,
  Locker_Client_Type enum('Internal','GUI','CLI') NOT NULL default 'Internal',
  PRIMARY KEY  (Resource),
  KEY Locked_By_User (Locked_By),
  CONSTRAINT `WAVE_WRS_Table_ibfk_1` FOREIGN KEY (`Locked_By`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_WRS_Table`
--


--
-- Table structure for table `WAVE_Workunit_Table`
--

CREATE TABLE WAVE_Workunit_Table (
  WAVE_Workunit_ID varchar(70) NOT NULL default '',
  WAVE_Workunit_Operation varchar(100) NOT NULL default '',
  WAVE_Workunit_Issuer varchar(255) NOT NULL default '',
  WAVE_Workunit_Issue_Time datetime NOT NULL default '2000-01-01 00:00:00',
  WAVE_Workunit_System varchar(8) NOT NULL default '',
  WAVE_Workunit_Status enum('Pending','Active','Ended-OK','Ended-Error') NOT NULL default 'Active',
  WAVE_Workunit_End_Time datetime default NULL,
  WAVE_Workunit_VM_Object_Type set('zVMUser','zVMSystem','zVMPrototype','zVMDASDGroup','zVMDASDVolume','zVMVLAN') default NULL,
  WAVE_Workunit_VM_Object_Name varchar(255) default NULL,
  PRIMARY KEY  (WAVE_Workunit_ID),
  KEY WAVE_Workunit_Issuer (WAVE_Workunit_Issuer,WAVE_Workunit_System),
  KEY WAVE_Workunit_System (WAVE_Workunit_System),
  CONSTRAINT `WAVE_Workunit_Table_ibfk_1` FOREIGN KEY (`WAVE_Workunit_Issuer`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`) ON DELETE NO ACTION ON UPDATE CASCADE,
  CONSTRAINT `WAVE_Workunit_Table_ibfk_2` FOREIGN KEY (`WAVE_Workunit_System`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `WAVE_Workunit_Table`
--


--
-- Table structure for table `zVM_Device_Pool_Association_Table`
--

CREATE TABLE zVM_Device_Pool_Association_Table (
  Device_Pool_ID varchar(255) NOT NULL default '',
  System_ID varchar(8) default NULL,
  KEY Index_1 (Device_Pool_ID),
  KEY Index_2 (System_ID),
  CONSTRAINT `FK_zVM_Device_Pool_Association_Table_1` FOREIGN KEY (`Device_Pool_ID`) REFERENCES `zVM_Device_Pool_Table` (`Device_Pool_ID`),
  CONSTRAINT `FK_zVM_Device_Pool_Association_Table_2` FOREIGN KEY (`System_ID`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Device_Pool_Association_Table`
--


--
-- Table structure for table `zVM_Device_Pool_Table`
--

CREATE TABLE zVM_Device_Pool_Table (
  Device_Pool_ID varchar(255) NOT NULL default '',
  Device_Pool_Type enum('OSA','HIPER','CTC','DASD','FCP') default NULL,
  Device_Pool_Description varchar(255) NOT NULL default '',
  Device_Pool_Locker varchar(255) default NULL,
  Device_Pool_IAN text,
  Device_Pool_Default_VDEV varchar(4) default '',
  Device_Pool_Creator varchar(255) NOT NULL default '',
  Device_Pool_Create_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  Device_Pool_Modifier varchar(255) NOT NULL default '',
  Device_Pool_Modified_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (Device_Pool_ID,Device_Pool_Creator,Device_Pool_Modifier),
  KEY FK_zVM_Device_Pool_Table_2 (Device_Pool_Creator),
  KEY FK_zVM_Device_Pool_Table_3 (Device_Pool_Modifier),
  CONSTRAINT `FK_zVM_Device_Pool_Table_2` FOREIGN KEY (`Device_Pool_Creator`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `FK_zVM_Device_Pool_Table_3` FOREIGN KEY (`Device_Pool_Modifier`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB COMMENT='InnoDB free: 10240 kB; (`Device_Pool_Locker`) REFER `WAVE_DE';

--
-- Dumping data for table `zVM_Device_Pool_Table`
--


--
-- Table structure for table `zVM_Guest_LAN_Table`
--

CREATE TABLE zVM_Guest_LAN_Table (
  VN_ID int(10) unsigned NOT NULL auto_increment,
  VN_Name varchar(8) NOT NULL default '',
  VN_System varchar(8) NOT NULL default '',
  VN_Owner varchar(8) NOT NULL default '',
  VN_Protocol varchar(8) NOT NULL default '',
  VN_Lifespan varchar(10) NOT NULL default '',
  VN_Inconsist int(10) unsigned NOT NULL default '0',
  VN_Description varchar(255) default NULL,
  VN_Creator varchar(255) NOT NULL default '',
  VN_Create_TimeStamp datetime NOT NULL default '0000-00-00 00:00:00',
  VN_Modifier varchar(255) NOT NULL default '',
  VN_Modified_TimeStamp timestamp NOT NULL,
  VN_Locker varchar(255) default NULL,
  VN_Ian text,
  Guest_Lan_Routed_By varchar(8) default NULL,
  VN_Default_NIC varchar(4) NOT NULL default '',
  VN_Layer char(1) NOT NULL default '',
  VN_Restriected char(1) NOT NULL default '',
  PRIMARY KEY  (VN_ID),
  KEY FK_zVM_Guest_LAN_Table_1 (VN_System),
  CONSTRAINT `FK_zVM_Guest_LAN_Table_1` FOREIGN KEY (`VN_System`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Guest_LAN_Table`
--


--
-- Table structure for table `zVM_Real_Device_Dedicate_Link_Table`
--

CREATE TABLE zVM_Real_Device_Dedicate_Link_Table (
  Real_Device_Unique_ID varchar(255) NOT NULL default '',
  Real_Device_Dedicate_Object_Type enum('zVMUser','zVMVSwitch','zVMSystem') NOT NULL default 'zVMUser',
  Real_Device_Dedicate_Object_ID varchar(17) NOT NULL default '',
  Real_Device_Type varchar(17) NOT NULL default 'OSA',
  Real_Device_Dedicate_Context enum('Online','Directory') NOT NULL default 'Online',
  KEY FK_zVM_Real_Device_Dedicate_Link_Table_1 (Real_Device_Unique_ID),
  CONSTRAINT `FK_zVM_Real_Device_Dedicate_Link_Table_1` FOREIGN KEY (`Real_Device_Unique_ID`) REFERENCES `zVM_Unique_ID_Table` (`Unique_ID`) ON DELETE CASCADE ON UPDATE CASCADE
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Real_Device_Dedicate_Link_Table`
--


--
-- Table structure for table `zVM_Real_Device_Table`
--

CREATE TABLE zVM_Real_Device_Table (
  Real_Device_ID varchar(13) NOT NULL default '',
  Real_Device_Address varchar(4) NOT NULL default '',
  Real_Device_System_ID varchar(8) NOT NULL default '',
  Real_Device_Online_Status enum('ONLINE','OFFLINE') NOT NULL default 'ONLINE',
  Real_Device_Share_Status enum('SHARED','NOTSHARED') NOT NULL default 'NOTSHARED',
  Real_Device_Locker varchar(255) default NULL,
  Real_Device_IAN text,
  Real_Device_Creator varchar(255) NOT NULL default '',
  Real_Device_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  Real_Device_Modifier varchar(255) NOT NULL default '',
  Real_Device_Modified_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  Real_Device_Unique_ID varchar(255) NOT NULL default '',
  Real_Device_Details varchar(255) NOT NULL default '',
  Real_Device_Chpid varchar(45) NOT NULL default '',
  PRIMARY KEY  (Real_Device_ID),
  KEY Index_2 (Real_Device_System_ID),
  KEY Index_5 (Real_Device_Creator),
  KEY Index_6 (Real_Device_Modifier),
  CONSTRAINT `FK_zVM_Real_Device_Table_1` FOREIGN KEY (`Real_Device_System_ID`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE,
  CONSTRAINT `FK_zVM_Real_Device_Table_4` FOREIGN KEY (`Real_Device_Creator`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`),
  CONSTRAINT `FK_zVM_Real_Device_Table_5` FOREIGN KEY (`Real_Device_Modifier`) REFERENCES `WAVE_User_Table` (`WAVE_User_Name`)
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Real_Device_Table`
--


--
-- Table structure for table `zVM_Unique_ID_Table`
--

CREATE TABLE zVM_Unique_ID_Table (
  Unique_ID varchar(255) NOT NULL default '',
  Device_Type enum('OSA','HIPER','DASD','FCP','CTC') NOT NULL default 'OSA',
  Device_Pool_ID varchar(255) NOT NULL default '',
  PRIMARY KEY  (Unique_ID),
  KEY Index_2 (Device_Pool_ID),
  CONSTRAINT `FK_zVM_Unique_ID_Table_1` FOREIGN KEY (`Device_Pool_ID`) REFERENCES `zVM_Device_Pool_Table` (`Device_Pool_ID`)
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Unique_ID_Table`
--


--
-- Table structure for table `zVM_VSwitch_Table`
--

CREATE TABLE zVM_VSwitch_Table (
  VN_ID int(10) unsigned NOT NULL auto_increment,
  VN_Name varchar(8) NOT NULL default '',
  VN_System varchar(8) NOT NULL default '',
  VN_Owner varchar(8) NOT NULL default '',
  VN_Protocol varchar(45) NOT NULL default '',
  VN_Lifespan varchar(45) NOT NULL default '',
  VN_Inconsist int(10) unsigned NOT NULL default '0',
  VN_Description varchar(255) default NULL,
  VN_Creator varchar(255) NOT NULL default '',
  VN_Create_TimeStamp datetime NOT NULL default '0000-00-00 00:00:00',
  VN_Modifier varchar(255) NOT NULL default '',
  VN_Modified_TimeStamp timestamp NOT NULL,
  VN_Locker varchar(255) default NULL,
  VN_Ian text,
  VSwitch_VLAN_Aware tinyint(1) NOT NULL default '0',
  VSwitch_Default_VLAN_ID varchar(4) default NULL,
  VN_Default_NIC varchar(4) NOT NULL default '',
  VN_Layer char(1) NOT NULL default '',
  PRIMARY KEY  (VN_ID),
  KEY FK_zVM_VSwitch_Table_1 (VN_System),
  CONSTRAINT `FK_zVM_VSwitch_Table_1` FOREIGN KEY (`VN_System`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_VSwitch_Table`
--


--
-- Table structure for table `zVM_Virtual_Network_Connection_Table`
--

CREATE TABLE zVM_Virtual_Network_Connection_Table (
  Connection_ID int(10) unsigned NOT NULL auto_increment,
  Connection_System_Name varchar(8) NOT NULL default '',
  Connection_Guest_ID varchar(17) NOT NULL default '',
  Connection_VN_Type varchar(45) NOT NULL default '',
  Connection_VN_ID varchar(45) NOT NULL default '',
  Connection_NIC_Address varchar(45) NOT NULL default '',
  Connection_Lifespan varchar(45) NOT NULL default '',
  Connection_IP_Address varchar(45) default NULL,
  Connection_VNS_ID varchar(45) NOT NULL default '',
  Connection_Inconsistent varchar(45) NOT NULL default '0',
  Connection_Priority varchar(45) NOT NULL default '0',
  Connection_Locker varchar(255) default NULL,
  Connection_IAN text,
  Connection_Creator varchar(255) NOT NULL default '',
  Connection_Create_Timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  Connection_Modifier varchar(255) NOT NULL default '',
  Connection_Modified_Timestamp timestamp NOT NULL,
  Connection_portType enum('N/A','ACCESS','TRUNK','UNKNOWN') NOT NULL default 'UNKNOWN',
  PRIMARY KEY  (Connection_ID),
  KEY Index_2 (Connection_System_Name),
  CONSTRAINT `FK_zVM_Virtual_Network_Connection_Table_1` FOREIGN KEY (`Connection_System_Name`) REFERENCES `VM_System_Table` (`VM_System_Name`) ON DELETE CASCADE ON UPDATE NO ACTION
) TYPE=InnoDB;

--
-- Dumping data for table `zVM_Virtual_Network_Connection_Table`
--


